commit 632b205878d4bd0e92eb225ef9273b3bb20fc0a6
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Sat Dec 31 10:43:07 2011 +0100

    stream_filter/httplive.c: improve comment somewhat.

commit 547a75774fd99b5c3a1223b1e2361f78f821d9b9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 31 04:29:06 2011 +0100

    Qt: remember last opened directory

commit 06c3e835dc0cd777d2fcf00e8cb68b68fc037d5d
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Fri Dec 30 21:58:12 2011 -0500

    Qt4: Make playlist window drag&drop to current selected PLSelItem
    
    Will make playlist window drag and drop to current selection (either media library or playlist).
    This should make it somewhat more user friendly because it drops into where the user expects it to.
    
    Fixes #4873
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1da50ed7bc16440af0b7f0eb48826a2da5f04de9
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Fri Dec 30 17:48:51 2011 -0500

    Qt4: Show fullscreen docking button in defaults
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 945943a21cf2962f2162e673920b0b503ef20f6e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 31 03:04:42 2011 +0100

    File audio output: remove useless longhelp
    
    We have the format selection for that

commit f52a50558f8fd897fed32646c7260e5de0f96611
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 30 16:30:11 2011 -0500

    vcd ioctl_ReadSectors() : factorize error case

commit ebab71b58b6f4309d7f851e861dbd65a2c9e20d6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 30 21:20:23 2011 +0100

    macosx: fix another rendering issue with the 'time slider's fancy gradient effect'

commit 0af518010617f407761b25933d78b56783e5d072
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 30 20:46:16 2011 +0100

    macosx: fixed progress bar position (refs #5742)

commit c483088f7eeb5fdec26dd037b2370bcbf0e4f587
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 30 20:29:57 2011 +0100

    macosx: fixed round window corners when using the black UI mode (refs #5742)

commit 5f03006307026c6fbb586a68e665360e9ae9ebb7
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri Dec 30 19:07:29 2011 +0100

    dash: Working arround specifications ambiguity.
    
    profile is spelled once as "profile", and "profiles" a few line after,
    so we now handle both.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 13002a34e61624fdf1092083625d511e15c41b63
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri Dec 30 19:02:32 2011 +0100

    dash: Don't crash if we don't have a valid mpdManager.
    
    This will happen when the profil is invalid.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2d31fd776f7717da77193d6a893b0d93c68f689b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 30 18:54:41 2011 +0100

    Dash: fix win32 compilation

commit 6502b3a0c8e16ec4f2216fe037b0a1bd82de979c
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri Dec 30 15:09:32 2011 +0100

    dash: Parsing SegmentInfoDefault & SegmentTimeline elements.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6347005a9f86d2b546cc47dc17d02f4ab2780e85
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri Dec 30 15:06:43 2011 +0100

    dash: Only use const Segments.
    
    Everything after the parsing step should be used as a const instance, as
    the MPD tree is read only.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f565072bb0cb35faede93318438c3ed9ca65cb6c
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri Dec 30 13:50:27 2011 +0100

    dash: Adding an implementation for SegmentInfoDefault element.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 752a29f300592e6ebc32f7b659d2f42ea15554fb
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri Dec 30 13:08:33 2011 +0100

    dash: Adding a SegmentInfoCommon class.
    
    This holds common property for both SegmentInfo and SegmentInfoDefault.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 580caf1111e49d2ba9fe3c76202b92f1db8a45d7
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri Dec 30 11:58:46 2011 +0100

    dash: Implementing the basics for SegmentTimeline.
    
    This will be usefull when implementing UrlTemplate.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 139175ef38c4a12a1ced914dcb043206830e21c8
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri Dec 30 17:46:22 2011 +0100

    dash: Reworking MPD tree building.
    
    First build a DOM tree, then compute the MPD tree.
    This should ease the pain later when implementing UrlTemplate elements.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fd8787137788fd24f2b9bb9890068d51e6f66a80
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Dec 29 13:19:53 2011 +0100

    dash: Parser: Ignore segments without sourceURL
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7127d0c9c8e7519994daa7656c9ddd0d7a5f0278
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Dec 29 12:22:59 2011 +0100

    dash: Removing now useless AttributeNotPresentException
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 45827b28fe75c1afeb09732b2cab6723adf4bf02
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Dec 29 12:09:57 2011 +0100

    dash: Removing now unused ElementNotPresentException
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3319c47e0e13ecec81ea527c70d0ad71033a17c1
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Dec 29 11:27:02 2011 +0100

    dash: Adding support for Representation's TrickMode element
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 203307197dce5e750462d19bbf734dd010ee6ff2
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Dec 29 10:55:31 2011 +0100

    dash: Handling Group @subsegmentAlignmentFlag in parser.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4abd446913081747a509e750b5c7e494c4d7a471
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Wed Dec 28 17:32:34 2011 +0100

    dash: Don't require the Representation @id. Many stream won't provide it.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9caf4cee157920d0f27fda86d9fe411a625a3173
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Wed Dec 28 17:30:13 2011 +0100

    dash: Try to fetch mimeType attribute from the parent element.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 699b4b50c9a05d77484321acbc5bda5925f0f3cd
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Wed Dec 28 15:51:53 2011 +0100

    dash: Removing useless using namespace;
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a640bad9819dad53ffa74a4776ff33bd75c47f6c
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri Dec 30 17:37:51 2011 +0100

    dash: Reworking profile handling.
    
    Adding Full2011 as a supported profile.
    For other profiles, do not instantiate a NullManager.
    Return NULL directly. This saves code and prevents us from maintaining an
    extra interface implementation.
    Also it prevents such problems :
    http://forum.videolan.org/viewtopic.php?f=13&t=96335&p=320162
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e16536dc6a14f3d095ab9b80da7277dd26cde21d
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Sun Dec 25 20:26:10 2011 +0100

    dash: Handle parsing of ContentProtection, Accessibility, Rating and Viewpoint in CommonAttributesElements
    
    All of these fields are of ContentDescription type, so
    ContentProtection, Viewpoint, Rating and Accessibility classes are now
    removed in favour of a unique class.
    Moreover, the SchemeInformation is defined as a string by the standard.
    Therefore, the SchemeInformation class has been removed.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 993077b724bc768345c870f23086bde3c9fc5e9e
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Sun Dec 25 01:11:52 2011 +0100

    dash: Don't use the module when MPD parsing failed.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 34fabb830ca5fcb4dfc39c39691a41715e72ab0e
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Sun Dec 25 00:51:52 2011 +0100

    dash: XML: handle text nodes.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8ceecb115d38220c5653aa202ef0b28a3fc6605e
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Sun Dec 25 00:50:52 2011 +0100

    dash: Don't crash when XML parsing fails.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5457d47757f63d9d5716468e7148c7e4f41bf5ea
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Sun Dec 25 00:14:23 2011 +0100

    dash: Reworking ProgramInfo parsing.
    
    Information are now computed once at parsing time.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a43d294f8371770f4425eb0f2e2a8ec29e1b2e92
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Sat Dec 24 19:14:56 2011 +0100

    dash: Reworking MPD attributes parsing.
    
    Mandatory elements are now checked.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 04be885bb5b870d5f40b604ab0fa4d62b75040e8
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Sat Dec 24 15:30:28 2011 +0100

    dash: Reworking the way MPD profile is handled
    
    It's not the job of the DOMParser to compute a Dash profile. Let the
    dash parser handle it.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b996a750bc3ef7ae337e4f71a23ddbdf240522a0
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Sat Dec 24 15:02:37 2011 +0100

    dash: Reworking segments.
    
    - Don't differenciate InitSegment and Segment, as the standard define
      them as the same type
    - therefore, removing ISegment
    - reworking attribut parsing (to be completely handled later)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b412a1269212314e3e76dc1b0ee42e09164ad1b0
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Sat Dec 24 14:31:04 2011 +0100

    dash: Reworking SemgentInfo parsing
    
    Elements/attributes are now parsed once, and not everytime a getter is
    called.
    Also, mandatory elements are now checked, also at parsing time.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8f9fd197f4df09c00bd7a5d06f8cadafd09cba7d
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Wed Dec 21 23:46:15 2011 +0100

    dash: BasicCMParser: Handle Representation @dependencyId
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 058904517b00e08409aadb8e8f1579c5cc602387
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Wed Dec 21 23:34:09 2011 +0100

    dash: Group: Adding a getter for Representation by id.
    
    This will be used to implement @dependencyId
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3dab8a807627d9ba9274e4e6b12a54d599e9d44f
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Wed Dec 21 23:31:21 2011 +0100

    dash: Basic CM parser: Parse some Representation attributes
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 967fdaa471d565e2795e06f4b478389fa314c455
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Wed Dec 21 23:20:18 2011 +0100

    dash: Adding some basic getters to Representation
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4a23e2fb48d2df3d5805bc6da8bc8bf2ea229d9b
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Tue Dec 20 00:14:00 2011 +0100

    dash: Group element contains the "common" attributes/elements
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d2b3b80413ed152f77d376ffea9aa7605857ed29
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Mon Dec 19 23:57:02 2011 +0100

    dash: BasicCMParser: Check for attributes at parsing time.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 68024ffea8357053688f8e763f7fdc2c92779f6c
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Mon Dec 19 23:56:13 2011 +0100

    dash: CommonAttributesElements: Reworking getters/setters.
    
    This will allow the parser to interact with all elements sharing these
    attibutes/subelements.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0b396ef1e6c2ec2bf370339e8df4a8790647eec9
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Wed Dec 14 18:21:46 2011 +0100

    strings: Adding an helper to convert iso8601 durations
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fb10d75691887dacc875163ad7cf92e584272205
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 30 12:38:51 2011 +0100

    macosx: re-written the way we render 3 part images by using another custom view (refs #5742)
    
    this fixes various drawing issues with the time slider and the window title

commit b79ee3454b1b9584bdc2094a9481f39028b910fe
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Fri Dec 30 02:52:57 2011 +0100

    Qt4: Enable closable tabs in sout dialog
    
    Modified-by: Jean-Baptiste Kempf <jb@videolan.org>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bc05fa41ed81614b1bdebc17b74ddcf4c7876760
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 30 02:15:00 2011 +0100

    mp4: fix typo
    
    Spotted by Christoph Miebach

commit 0accbd7955c0b4448137482362801cbed6ada750
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 29 18:09:58 2011 -0500

    contrib: Only use options common to Libav and FFmpeg

commit 9dfdda4548cfaceb04d31e9b237c592ac3d22659
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 29 17:50:50 2011 -0500

    contrib: use Libav by default instead of FFmpeg
    
    support is easier to get from Libav devs

commit 3be591d4200420c796e32344300af512415994d0
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 29 21:56:03 2011 +0100

    macosx: implement proper window button artwork (refs #5742)

commit 1fd475305c4a6ddc99bb55cf72b93e7d33d4b563
Author: Damien Erambert <damien.erambert@me.com>
Date:   Thu Dec 29 21:55:39 2011 +0100

    macosx: window button artwork
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 2e57a2c0ffe5cd283d4f909e4aaf09bbc3a004af
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 29 20:50:44 2011 +0100

    macosx: remove the window's resize button when VLC is linked against the 10.7 SDK, but keep it as an empty view when linked against an older SDK but still running on Lion (refs #5742)

commit 168b48cb412804b5a877fcbb7dbeeac60b01dc86
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 29 20:33:34 2011 +0100

    macosx: resolve conflict between sidebar icons and other UI artwork (refs #5742)

commit 65d1a6dc54734b700fbea4e8bc7c8763a025181b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 29 20:25:33 2011 +0100

    macosx: fixed indention of the sidebar icons (refs #5742)

commit d34151556967e2576af8e7ee2b89ddaed5085148
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 29 20:17:09 2011 +0100

    macosx: save window position manually when using the dark interface style

commit 12179aca0d615f9999ccf9c2c7645f5b368f2ba9
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Thu Dec 29 16:56:44 2011 +0100

    dbus: Implement org.freedesktop.Properties.GetAll for the MPRIS root interface

commit afbf044935584488d8a86233ab969574a7ec1c4c
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Thu Dec 29 14:27:45 2011 +0100

    dbus: Move DBus property marshaling code to separate functions

commit 51d31af4f0282c623cf9fcdf063305c9c6697303
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 29 02:57:17 2011 +0100

    10l: Typo about Indeo4.
    
    Sorry.

commit 1181edf483d17279a6c11c3dc9f594568f610458
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 29 02:51:27 2011 +0100

    Win32: improve webplugins packaging

commit 6dcb0ee0e937793c04fa4c9b3b3fe35f45ca1abd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 29 02:43:40 2011 +0100

    Win32: fix packaging of webplugin
    
    Else, it would create 36MB .exe installers when using package-win32
    target.

commit 04ed5db125ec7be5180c01047fc1911fd261c4cc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 29 02:19:20 2011 +0100

    Support for Indeo4 decoding

commit 6fb10a6ff7b3950ee8a2ec1e991a85086bf6bd49
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 29 01:26:52 2011 +0100

    macosx: switch to the # syntax for VCDs

commit 7c2fd92a29c58f10c82dc6685500302b5a21746c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 29 00:51:59 2011 +0100

    Qt: Use # for VCD mrls

commit 5098d74c593d4ddb5a442bca8bf6595f1f858e2d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 29 00:37:46 2011 +0100

    VCD: misc cosmetics and move to the # chapter syntax
    
    No functionnal change otherwise

commit cca013e7565ceb8337e904c6bafe38499d1f3915
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 28 12:25:04 2011 -0500

    apple script can fail if user is logged in through GUI
    
    Just ignore the error if it happens, the dmg will still work

commit 1550902d69c609e031485164298b9086d907de2b
Author: Brendon Justin <brendonjustin@gmail.com>
Date:   Tue Dec 27 14:10:33 2011 -0500

    Make the Mac DMG prettier.
    
    Modified-by: Rafaël Carré <funman@videolan.org>
        Specify mount point explicitely
        Quote $(srcdir)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 2257fcdbb7b8dac11c93f27dcc531d4e4c3f1890
Author: Denis Charmet <typx@dinauz.org>
Date:   Wed Dec 28 11:37:48 2011 +0100

    Avoid a crash with some corrupted mkvs
    
    Should close #5659
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2be0e49f3806a2f7f67e09e925f888215c2f6a8b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 28 03:04:33 2011 +0100

    macosx: implemented the logo and marquee filters in the video filters panel, optimized the code a bit (fixes #5118)

commit c630050511ad95a7a7336b3529211c1162130126
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Wed Dec 28 01:25:48 2011 +0100

    Qt4: Add aspect ratio combobox to toolbar editor
    
    Close #4127
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dae3915c0e9e63cfd9e7483ef44b7febfc2e8414
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 28 01:29:06 2011 +0100

    macosx: minor appearance fixes

commit 4c9c15ce9d0ac8ace102dba6e5adcae922b689d0
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 28 01:19:54 2011 +0100

    macosx: further improve splitview resizing

commit 771748b4275712ab21dcb8d4b13f92a23dc45a9d
Author: Denis Charmet <typx@dinauz.org>
Date:   Mon Dec 26 19:29:31 2011 +0100

    MKV: Fix seeking without cues
    
    the demux generates its own cues while reading and when seeking.
    This should also avoid crashes when seeking without cues.
    
    Closes #5085 and #5712
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 811ce44ff5e7f3db515b59fafcb452e09d1a48e6
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 25 20:03:54 2011 -0500

    bluray: don't crash when file is NULL
    
    e.g. vlc bluray://0
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 61d512e93967a2b8e8ac6212de9f6c2db94bcc69
Author: Denis Charmet <typx@dinauz.org>
Date:   Mon Dec 26 00:39:13 2011 +0100

    Fix a crash with corrupted MKV
    
    If the blocksize is corrupted and has a lace, you may have a buffer overflow. Should fix #5658.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 31c91f640af9511e73c11ef4d4abddae1f03fc86
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 25 23:47:33 2011 +0100

    Qt4: small fixes on the toolbar custom dialog

commit 1611d39d97e38ff72e23156b5aee7485d2b75ce9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 27 23:46:07 2011 +0100

    macosx: improve the sidebar's resizing behavior (fixes #5618 and also fixes #5595)

commit 262f28bee0ea0a94a510432196bc58ef0c4d149c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 27 23:35:42 2011 +0100

    macosx: added some bits of documentation

commit 105ab7dd428f77827705f7326d6a1515bc9fb8ea
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 27 23:24:37 2011 +0100

    macosx: added a resize control to the main window (not in use when linking against the 10.7 SDK)

commit f305a1f9df5a629171622e9bde03d19051267048
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 27 21:34:45 2011 +0100

    macosx: prevent color flashes when collapsing items in the sidebar (fixes #5600)

commit 0c1d889772c303da34ea305bf808bc03ad5755df
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 27 21:23:08 2011 +0100

    macosx: remove the intermediate VLC-tmp.app after creating either VLC.app or VLC-release.app since it is of no use without further processing

commit 1f58ae835b1d307f2c5909e2dc5383a5ce1b62f4
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Tue Dec 27 20:02:11 2011 +0100

    Win32 global hotkeys: vlc_GetActionId() needs "key-" prefix
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 2496d06d82a4d8ecf5d8d276bd86781eef4e3f61
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Tue Dec 27 19:57:26 2011 +0100

    alphabetical order in vlc_keys
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 7b9c02144485f0d4c7639741b7fb9dae784c7ff6
Author: Cheng Sun <chengsun9@gmail.com>
Date:   Tue Dec 27 18:51:14 2011 +0000

    Fix visibility of libvlc_printerr (missing LIBVLC_API)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit a213f7f9c6e0d82dc6397c27baf838e18f712632
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 27 14:37:01 2011 -0500

    udev: use proper scheme for bluray

commit ce0859d020c54a7eb76e1fdc91e03323010c37fe
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 27 13:22:15 2011 +0100

    macosx: replace our custom 'Recent Items' implementation with the default within NSDocumentController, which gives us nice custom menu items in case 2 files share the exact same name

commit 9f0a8e2c97b06091be14c2d7d18f831168bb787c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 27 12:58:16 2011 +0100

    macosx: open recent menu: for files, just show their name without the full path. additionally, show their icon to make it more pretty.

commit 45014de4256365dce832b1983597b637ff860ae7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 25 17:54:21 2011 +0100

    macosx: added placeholder artwork for the title bar's fullscreen button

commit 6e77944124447121dd655340513c7e882b5432c1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 25 15:19:45 2011 +0100

    macosx: added a basic traffic lights icon set for the dark window and the related implementation

commit 99fb87d0ea60ba751a5c3eb88ff00cad139d8a7c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 25 13:09:59 2011 +0100

    macosx: work-around incompatibility between custom code and Cocoa's own way of doing things (fixes #5722) and use animations when zooming the main window in black mode

commit 64280ec9ddfce2cf6e99e00d4b7087b1e2313c7e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 24 01:59:36 2011 +0100

    macosx: hide the titlebar's fullscreen button if we don't use Lion's fullscreen mode

commit c43bd662808f11092fc87419359910003dc407d6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 24 01:55:11 2011 +0100

    macosx: implement proper zooming for Leopard and Snow Leopard based upon code from the GNUstep library (as indicated)

commit e0b1c8bc5f61a2c7a53d31470a2a6bb9543bea47
Author: Sergey Radionov <rsatom@gmail.com>
Date:   Fri Dec 23 16:25:11 2011 +0700

    messages.c: added logging via OutputDebugString under windows.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit a30a747af7c6cd70c52070f69c0bc06f151f8d04
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 23 20:51:27 2011 +0100

    aout: do not run filters on NULL block
    
    Reported-by: Cheng Sun <chengsun9@gmail.com>

commit cca37149f6f7905a4c1263b6eed51f037455f0a0
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 23 19:58:26 2011 +0100

    macosx: hide the mainwindow's black title bar when using Lion's fullscreen mode

commit c30858cfe6e1ca7d0e9d6c7cbc626c736c3fa542
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 23 19:53:08 2011 +0100

    macosx: support the Lion-style resizing within the black main window when _compiling_ (no joke) on Lion

commit b40f9cee8617f6da0ddc4a3c3a4c0efa4ebcd837
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 23 19:04:41 2011 +0100

    macosx: prove-of-concept of a styled window title bar
    
    current lacks support for zooming and therefore behaves incorrectly when using Lion's native fullscreen mode

commit fbfc5966f10c2763576f6743269efe1ff3179673
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 23 09:05:37 2011 +0100

    dhsow: missing white space (breaks PO files)

commit a8e209b4021fc674fab596942e3da835040df15e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 23 01:51:51 2011 +0100

    macosx: slight file size reductions

commit 8e829d826805a1ef3b1c6ec16d075675c8a96c01
Author: Damien Erambert <damien.erambert@me.com>
Date:   Fri Dec 23 01:46:01 2011 +0100

    macosx: new dropzone icon

commit a1eacf91ed490499859c33c71abdd1f69e931b5c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 23 01:35:30 2011 +0100

    macosx: adapt to the new sidebar icons

commit 9de7b85e9846664f2975a200d53fd3f052b95c1c
Author: Damien Erambert <damien.erambert@me.com>
Date:   Fri Dec 23 01:28:44 2011 +0100

    macosx: newly designed sidebar icons

commit 7183021afcd2628a9d66b8fefd82c6e7fd509370
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 23 01:15:46 2011 +0100

    macosx: fixed 'disappearing' main window (fixes #5714)

commit 37c1667dd5022a3404775ee7657412e000462807
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 23 00:45:54 2011 +0100

    macosx: fixed crash when closing the main window while using Lion's native fullscreen mode

commit ffe64df06bf5386a15ba0b56dee5536a201b22f6
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 22 17:38:06 2011 -0500

    contrib: dvbpsi: don't build with -O6

commit 6d3f1d60857b792d0e219bc9109960dc97eb5b17
Author: Konstantin Bogdanov <var1able@var1able.ru>
Date:   Thu Dec 22 23:04:38 2011 +0100

    Improvements on the main Web Interface
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d4a0e2e215ac8b256d9ae454cac4353aadaf9ad6
Author: Cheng Sun <chengsun9@gmail.com>
Date:   Wed Dec 21 22:23:55 2011 +0000

    Allow blendbench to bail out gracefully instead of crash when base image cannot be found
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f7aedf89f00ff9f67c74673d302dbf115440b1ea
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 22 19:49:22 2011 +0100

    macosx: fix search field size on Lion (fixes #5566)
    
    needs testing on Snow Leopard and Leopard

commit 078366cf15ff116754b1fce889ebaf224fb06adf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 22 19:38:29 2011 +0100

    macosx: fixed clipping of the caution icon in the most-left column of the playlist table (fixes #5597)

commit 2552b92a99b3834b5be92837db256ee248a0403e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 22 19:28:16 2011 +0100

    macosx: fixed fullscreen toggle through the http interface and friends (fixes #5349)

commit a3b6543b1a1a30f9e6a7c7d5def0074ac2ca5a8c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 22 19:18:12 2011 +0100

    macosx: fix fspanel when using Lion's fullscreen mode (and mouse-moved events within the vout in general)

commit 81d70dce4e20f8769eb0d22e6d297d8025c8dde8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 22 13:44:17 2011 +0100

    Fix distcheck after yadif commit

commit 5c7c27cae5ca69415f1863fd322a6da35f5d3ad8
Author: Naohiro KORIYAMA <nkoriyama@gmail.com>
Date:   Wed Dec 21 17:02:09 2011 +0900

    yadif : Add SSSE3 and SSE2 support. porting from FFmpeg.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8634f7619987c7fb82a5e7b7568019dae29f7b21
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Wed Dec 21 07:21:23 2011 -0500

    Qt4: add title to file associations dialog
    
    Currently, when you click the button to set up file associations on
    Windows, the dialog presented is untitled and just displays the file
    name, "vlc".
    
    Close #5711
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6e71a9b9f6506d1f0c01c62504c4218d93c37512
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Wed Dec 21 14:58:37 2011 +0100

    Qt: rework of the fullscreen controller
    
    - fix the logic
    - simplify
    - repair the ability to save the state and position
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e5aca82f048485c32fe552cda9895ecabfc23074
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Wed Dec 21 14:58:36 2011 +0100

    Qt: use the effective size of the widget to center the FSC
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ee658c7c2740ac26dcf7092ac2f76dbfc66a1fe2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 16:15:47 2011 +0100

    MKV: allow simple title, multiple-chapter in the menus
    
    Close #5699
    Regression from 43424ac

commit 9b0fc851317323cfb0c67247e59f4356e75cb744
Author: Sébastien Escudier <sebastien-devel@celeos.eu>
Date:   Wed Dec 21 14:37:57 2011 +0100

    live555 : fix regression from 31ac20b22fc37bcf78991159bf8a0f138db05b44
    Closes #5707 #5493

commit 520804cef593abf761e0b5de995dc788f507cf84
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed Dec 21 11:16:27 2011 +0100

    stream_filter/httplive.c: fix EXT-X-MEDIA-SEQUENCE error message for HLS live streams.
    
    The error message  "EXT-X-MEDIA-SEQUENCE already present in playlist (new=%d, old=%d)" was
    triggered way to often for HLS live streams. In addition the new metadata from a new HLS
    playlist was not updated in the internal list.

commit 022964d9a587e2d5adc5808f4ae17ebcdddbd85f
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 21 01:08:02 2011 -0500

    remove unused custom typedef

commit 0a896b6beeced94f5a234afbc1aa751c2c4d8a60
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 20 23:25:13 2011 -0500

    contrib change_prefix.sh: exit successfully

commit d8fd1c1313a4734b324403c9aae5f76908f5e7f5
Author: Naohiro KORIYAMA <nkoriyama@gmail.com>
Date:   Wed Dec 21 09:58:25 2011 +0900

    Freetype: handle multibyte characters properly in registry entry.
    
    Close #5700
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 60240804e086e1b2376846c2c59f2b4ed5843bb2
Author: Alexander Law <exclusion@gmail.com>
Date:   Tue Dec 20 14:13:42 2011 +0400

    "Speed" menu item is not localizable
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bdf3c466d2212343667f5cda1bce3938d17471cd
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Tue Dec 20 20:29:47 2011 +0900

    Do not use libdvdnav's read ahead cache on OS/2.
    
    Using it causes libdvdnav to complain about 'demux error'.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 083e1bd921a3e68ddbe7e70dc718fa5f5b850dd8
Author: Cheng Sun <chengsun9@gmail.com>
Date:   Tue Dec 20 18:22:25 2011 +0000

    Fix vorbis channel order (which led to crash and contradicted spec)
    
    Close #5704
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 72187886ff68b6bbf4c36e6fe852b11244e84ed9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 21 00:56:44 2011 +0100

    macosx: enter fullscreen only if we were on Lion or we got an actual video to show (fixes #5611)
    
    this commit also fixes a xib incompatiblity with 10.5

commit 6d2b10ba8d689659135928c8d168198cfcfae725
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 21 00:37:33 2011 +0100

    macosx: save a few objc selector lookups

commit 86c4c01c6e17d66dc63dcb321f4ba6acb400fa38
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 20 22:51:11 2011 +0100

    macosx: correctly hide the controls within the native fullscreen mode on Lion when displaying a video (closes #5505)
    
    note that the ordinary fullscreen controller panel won't be present atm though
    
    additionally, this commit can potentially impact the layout of the controller zone and lead to ugly effects, so please stress it a bit

commit f004bad2b2e87a5afff86f6e8676cf856c706bf5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 20 21:53:56 2011 +0100

    macosx: fixed missing menubar on Lion when entering fullscreen mode through a VLC internal trigger (fixes #5537)

commit 7d282fac1cc455b5a5eca2bb56375efcbf879b06
Author: Clement Lecigne <clecigne@google.com>
Date:   Tue Dec 20 17:44:10 2011 +0200

    TiVo: fix double free
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 75a40b63d0cb0ba655a80c4030ce54cb812c471f
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Tue Dec 20 13:07:45 2011 +0100

    upnp: Fix compilation
    
    Oops, Do not forget to include limits.h when using INT_MAX

commit 794557eea63853456cf3120cdb1bdc88ca44ad9f
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Tue Dec 20 08:34:45 2011 +0100

    upnp: Switch to an unlimited maximum content length
    
    Use INT_MAX as the maximum content length as libupnp introduced 0 as an
    unlimited content length in pupnp 1.6.7, though UPNP_VERSION was not bumped.

commit 6a8197f657f1ef74e358864209b1ed4db37ff078
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 20 00:36:19 2011 +0100

    macosx: further optimize the menu re-creation on 10.6+

commit e316b5a5c135120dcebf9f7e2cff2d8d5b1308ca
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 20 00:24:36 2011 +0100

    macosx: fix and slightly optimize (on 10.6+) the open recent menu (fixes #5538)

commit 74f2f90a8e8bbfd2b527c947dd9fe68517992057
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 20 00:22:10 2011 +0100

    Mention in NEWS the relicensing

commit 68660d8a820d62c7f1b4661d41565bebb637f155
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 20 00:04:26 2011 +0100

    macosx: improve drawing of the 'fancy gradient effect for time slider' (fixes #5568)

commit 4c718f0ef3ed485347b16b21e62b80c929e6efd3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 19 23:28:31 2011 +0100

    macosx: fixed obscure crash when starting playback while the messages panel is open (fixes #5541)

commit f9c26629b783e5df81ec736eb024cabb52ba8085
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 19 23:47:44 2011 +0200

    Remove old comment

commit 6643ac0ae02a61c95b3911b1c36856ace0d06b2e
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Dec 19 17:03:04 2011 +0200

    omxil: Don't free the sentinel buffers
    
    These buffers aren't known to the actual OMX codec.
    
    Normally, these buffers are removed from the queue by
    DecodeAudio/DecodeVideo, but if they're pushed multiple
    times (which happens when using google sw decoders),
    PortReconfigure might try to free them.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 74b8075f417f3a9b92a43ae7c97973b2719a225c
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Dec 19 17:03:03 2011 +0200

    omxil: Handle sentinel buffers in DecodeAudio, too
    
    These buffers were introduced to avoid a potential deadlock
    when the codec has issued a PortSettingsChanged event but
    not returned any buffers to the client, making the DecodeVideo
    function hang waiting for an input buffer to use, before
    handling the reconfigure. The same handling needs to be done
    for DecodeAudio too, otherwise it will try to use the
    sentinel buffer as a normal one.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 32f03862749167b62c05c0b228911ab4e2ae1d5f
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Dec 19 17:03:02 2011 +0200

    omxil: Avoid a SetParameters call that fails for audio codecs on Galaxy S II
    
    This SetParameters call shouldn't be necessary as far as I know,
    but only avoiding it for audio codecs for now.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9639b545847f2fc2fd7f87993134d72835627630
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Dec 19 17:03:01 2011 +0200

    omxil: Fix a sanity check that only is relevant for video streams
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 95b27424f19019af490cb6486797b1a8f124817b
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Dec 19 17:03:00 2011 +0200

    omxil: Try to enable YUV420p mode on Samsung Galaxy S II
    
    This is similar to the ThumbnailMode on Nexus S, except that
    the index doesn't seem to be queryable dynamically
    (I don't seem to find any string in the binaries that
    would be the right one at least).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6d71b5c008e15f1718b8966b094f3701714c0f6a
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Dec 19 17:02:59 2011 +0200

    omxil: Ignore nSliceHeight on Galaxy S II
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 387b07cd61dae86319785905666f61b963b2889d
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Dec 19 16:10:41 2011 +0200

    androidsurface: Update the surfaceflinger video output for ICS
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dbb19bb6848207d5470f229d65d179ffaa3c79b2
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Dec 19 00:36:07 2011 +0100

    sap: handle SAP_Add() errors
    
    Fixes #5640
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 0e874482db5c4b856e5a947c0159df0060cdb1bb
Author: Cheng Sun <chengsun9@gmail.com>
Date:   Sun Dec 18 23:04:03 2011 +0000

    Fix mono audio filter condition check
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit f3ea7239e16e5642f5bbb275ecafd4ba49da6521
Author: Tobias Güntner <fatbull@web.de>
Date:   Mon Dec 19 15:36:04 2011 +0100

    Fix assertions
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit b00b016b55143c18e4b49ee300d656813b162f56
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Mon Dec 19 04:16:50 2011 +0100

    upnp: Use the default maximum content length of 16k.
    
    Setting libupnp's maximum content length to zero makes it unable to
    fetch any didl instead of the probably expected unlimited behavior.

commit 02f60487e26191b02b8d33c50323f5c1c1fffc4b
Author: Chris Clayton <chris2553@googlemail.com>
Date:   Sat Dec 17 23:30:08 2011 +0000

    upnp: Support UPnP A/V MediaServer:2 devices
    
    * Accept any version of the MediaServer service
    * Browse the advertised ContentDirectory service version
    
    Signed-off-by: Mirsal Ennaime <mirsal@videolan.org>

commit c618458095cf74610053e9fe53e0a12ca7fc81c6
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Dec 19 03:30:20 2011 +0100

    configure: sort of fix speexdsp
    
    $enable_speex can't be empty at this point so this check makes no sense

commit ca3f97a5111b897194134f11c78b4824ab87caba
Author: Chris Clayton <chris2553@googlemail.com>
Date:   Sat Dec 17 23:00:47 2011 +0000

    UPNP: Fix a tag name in MediaServer xml parsing
    
    According to http://upnp.org/specs/av/UPnP-av-MediaServer-v1-Device.pdf, the tag name of the element
    that provides the base URL for relative URLs is "URLBase". The same is true for a v2 MediaServer.
    Make it so in MediaServer:: parseDeviceDescription().
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e183a26d4346a5b05a276cde0fd97d33b8cfe72b
Author: Cheng Sun <chengsun9@gmail.com>
Date:   Thu Dec 15 17:10:52 2011 +0000

    Fix stack overflow in ExecuteCommand
    
    Close #5675
    
    Because ExecuteCommand allocates temporary string space on the stack,
    proportional to the length of the command to execute, a stack overflow can
    occur when the the command is too long.
    
    This can be triggered remotely e.g. from the VLC Web interface, by
    running this JavaScript:
    
    sendVLMCmd(Array.prototype.join.call({length:300000},'a'));
    
    which sends a string of length 300000 to ExecuteCommand, crashing VLC.
    
    OKed-by: Rafaël Carré <funman@videolan.org>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 282e4d503739dc4aa4654612e3b6eac2d489df94
Author: Martin Storsjö <martin@martin.st>
Date:   Fri Dec 16 23:47:06 2011 +0200

    omxil: Use a fake library name when loading IOMX
    
    The iomx loading stub doesn't use the library name.
    If there's errors in loading the function pointers, this
    gives slightly more correct error messages.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0eb7d1069b61e1ac249615e1ac08b0dadbd82518
Author: Martin Storsjö <martin@martin.st>
Date:   Fri Dec 16 23:47:05 2011 +0200

    android: Don't add private header include directories when building the full VLC tree
    
    These aren't necessary any longer.
    
    The approach of adding private headers to the build of the VLC
    core doesn't work well if one wants to target multiple private
    ABI versions in one build.
    
    Instead, small shared libraries for each private ABI version
    can be built separately.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8acfed11dc97ae97353f6f982323f9fdc86c0eb8
Author: Martin Storsjö <martin@martin.st>
Date:   Fri Dec 16 23:47:04 2011 +0200

    omxil: Remove the header check for the iomx module
    
    Building the iomx version of the omxil module itself doesn't
    require the private headers any longer, they're only necessary
    when building the iomx wrapper code (which should be built by the
    NDK makefile instead).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e3e832956b5cb42297dfa33389a1228ee5b6ee61
Author: Martin Storsjö <martin@martin.st>
Date:   Fri Dec 16 23:47:03 2011 +0200

    omxil: Build the iomx wrapper code as a separate shared library
    
    The separate shared library needs to be loaded into the process
    before using the iomx module, preferrably by the java part
    of the android application.
    
    This allows building the iomx glue code for a number of different
    ABI versions, and additionally avoids linking the main VLC
    library to any private symbols that might make it unloadable.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6fe4bc62188eeb352d1df81ffc30e66df6cc6800
Author: Martin Storsjö <martin@martin.st>
Date:   Fri Dec 16 23:47:02 2011 +0200

    omxil: Make the iomx wrapper not depend on the omxil utils.c file
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 407c1ad8ffe2ed50441f91f4a0b23b558bbafcae
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 18 16:53:11 2011 -0500

    windows package: name win64 installer vlc-$version-win64.exe

commit 60f907a594a7ae394f4e4fffaf2ef6988327f3a8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 18 21:19:46 2011 +0200

    Revert "Contribs: update live555 to latest snapshot"
    
    This reverts commit acb6ff18b5f4257771b954b81eed569d7ef9e250.

commit 73033a8c9533533c0ed295273002ac80e5f73c02
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 18 21:19:38 2011 +0200

    Revert "Configure: Update live555 requirements"
    
    This reverts commit 4e03fb4f516010c9b2819db6da361b4fdb0b16d2.

commit bc17f428edeb12407c1b46bbfb930aa401d8b1ff
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 18 19:18:07 2011 +0100

    rtsp: fix up duplicate --rtsp-host option declaration

commit 5072776786e9aa99d98921f4169125a9ed9e3a89
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 18 19:17:05 2011 +0100

    rtp output: print warnings when setting the RTSP server address

commit feead2df8278a684e64b3ee38f14c0f3a1be394e
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 18 19:11:32 2011 +0100

    rtsp: remove now useless handling of full --rtsp-host syntax

commit 78aa7005805c7dea49177e3d5e78399d75180df4
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 18 19:09:40 2011 +0100

    rtsp: set default port back to 554

commit 97e6ed6001719200862b537710cc40f739a376fc
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 18 19:08:08 2011 +0100

    luahttp: print error when setting the host from the lua configuration

commit 03933a58ffe973ed91b0f9092fb3e5eafbfebbb0
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 18 19:04:27 2011 +0100

    http output: print warnings when setting the server address

commit 37eb636261b66b1a8d5cff1b247096a946ff4f65
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 18 18:58:23 2011 +0100

    httpd: URL-parse --http-host and --rtsp-host
    
    This deals gracefully with and warns about the legacy
    --http-host <host>:<port> and --rtsp-host <host>:<port>/<path> syntaxes

commit 7be3c8c3ceac06908cf29113b5bd510244aeb0b2
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 18 18:54:35 2011 +0100

    httpd: remove dead assignment

commit 3cc35fcc4e7695ffbf24e2e5113e4969b8fb0ea9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 18 16:48:42 2011 +0100

    "Leave" => "Exit"
    
    Close #5694

commit 3a852411812dccf8c532487bfe84855bf02a2f9b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 18 14:57:22 2011 +0100

    Qt: fix copyright years

commit 5337619228f8d48560601e15caf8affbb4eca3f6
Author: Cheng Sun <chengsun9@gmail.com>
Date:   Sat Dec 17 21:22:11 2011 +0000

    Fix QToolButtonExt edge cases
    
    Previously QToolButtonExt had some undesirable edge case behaviour.
    
    Firstly, once the user presses down on a QToolButtonExt there is no
    way to cancel the action; either a short or a long click will be
    generated. Compare this to a normal button, which can be cancelled by
    releasing the mouse outside of the button area.
    
    Secondly, with the mouse button held down, moving the mouse in and out
    of the button area will generate multiple short click events, when no
    event at all is desired.
    
    This patch corrects this: by releasing the mouse outside the button area
    no event is generated; additionally no short click events are generated
    simply by moving the depressed mouse in and out of the button.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a9292296defadfb8dcfd1594b695c5ebaa1a24b8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 18 02:32:59 2011 +0100

    MP4: cleanup
    
    improve locality, remove memset and useless labels, add unlikely post
    allocations

commit ef466bbdae537748a588bac3eb55bbaa6a989a88
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 18 01:57:54 2011 +0100

    Mp4: fix stsz parsing
    
    Do not malloc 900Mb, for example...
    
    Close #5689

commit ffdde605bd21f9b514d0ed6ad23fe4bc3d1ad3a8
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 17 15:35:40 2011 -0500

    dvb_set_isdbc(): remove unused arguments warnings

commit 9373df563139acb2e8d2af6f531c0baaf5a08aa9
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 17 15:35:03 2011 -0500

    win64 package: use -win64 version string

commit c29797349261fa30bc2521968d14118d2168d0de
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 17 19:18:49 2011 +0100

    MacOS: do not thip the changelogs, it is useless

commit af04c6fac8c2c6eedfcb7cc54e4fd4171d9a7437
Author: Konstantin Bogdanov <var1able@var1able.ru>
Date:   Sat Dec 17 18:43:41 2011 +0100

    Improve WebUI for mobiles
    
    Tested on iOS devices
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e29e617f833a532d842d90ef2508b60260388f45
Author: Akash Mehrotra <mehrotra.akash@gmail.com>
Date:   Mon Dec 12 00:48:11 2011 +0530

    Fix EQ HTTP UI partially
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 06ef351ed404719e9698710ae0c8a925b08f0471
Author: Tobias Güntner <fatbull@web.de>
Date:   Sat Dec 17 05:11:30 2011 +0100

    Set title length and size.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7dab7f2f285f99c78f5aca3802a787f8b369e4c1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 17 05:24:03 2011 +0100

    Qt: do not react to right-click to mute volume
    
    This is counter-intuitive.
    As asked by etix

commit c912d31a1d4dcfbbe079d35e9826ec962789394a
Author: TUDURI Benoît <benoit.tuduri@gmail.com>
Date:   Sun Dec 11 16:11:50 2011 +0100

    Fix typo in French translation
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b4720edf2c54e5514074f50cb336d86b3b7b5ddc
Author: Tobias Güntner <fatbull@web.de>
Date:   Thu Dec 15 23:01:46 2011 +0100

    Ignore missing meta data files. Check directory name instead.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4e03fb4f516010c9b2819db6da361b4fdb0b16d2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 16 00:28:35 2011 +0100

    Configure: Update live555 requirements

commit acb6ff18b5f4257771b954b81eed569d7ef9e250
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 16 00:22:14 2011 +0100

    Contribs: update live555 to latest snapshot

commit ddb5191fec115d65341f5429ce2a0a426899feeb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 17 04:04:07 2011 +0100

    Fix french mistranslation
    
    Close #5680

commit bb12c0023452e86a26e407d6e728d961e4544f5e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 17 03:59:00 2011 +0100

    Qt: check colorDialog return function
    
    Close #5679

commit ebdc0701300643d3f85964f9ce016cc68270cec9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 16 20:58:19 2011 +0200

    contrib: fix typo

commit 657a61fee217c5967412ff78731d0acf452c1978
Author: Faustino E. Osuna <enrique.osuna@gmail.com>
Date:   Thu Dec 15 10:09:29 2011 +0100

    contrib: don't ignore triplets in subfolders
    
    Only ignores triplets in the root contrib path. Previous
    implementation had the potential to ignore triplets in the
    subfolders.
    
    This will allow for creating:
    1) Patches using this format (e.g. contrib/src/*/track-me-now.patch).
    2) Subfolders beneath contrib's root (but not in contrib itself)
    (e.g. contrib/src/track-me-now/*).
    
    OK-ed-by: Rafaël Carré <funman@videolan.org>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b5898cf0168bd7dcc68e34bd39ccbc2f7b4d61e5
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 15 22:16:46 2011 +0100

    Do not let avformat handle subtitles by default.

commit 0ddd6effdc4668eff50d178c8976de4417e17206
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 15 22:14:16 2011 +0100

    Reworked the way avformat input are blacklisted.

commit 04f7cf0afa06dc45e134db6747f53f5c4a085ad8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 15 21:44:17 2011 +0100

    Qt, sout: fix compilation on older moc version

commit 6d90bf20c01db2b284a81b26ce3356536257c1fc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 15 16:11:25 2011 +0100

    DirectSound: avoid crash on faulty audio device.

commit 9abcaacf83bd53b1f4b6569f7952e7025ddd0860
Author: Pere Orga <gotrunks@gmail.com>
Date:   Wed Dec 14 00:29:36 2011 +0100

    fix filename self-references
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit bac71d2759727a7cf198e8241a345cfa2b6dbd9a
Author: KO Myung-Hun <komh@chollian.net>
Date:   Thu Dec 15 17:13:10 2011 +0900

    Implement vlc_rand_bytes() for OS/2 and split to different files
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit b5b1c1906f7db9fa9d7dce5ecc331ab4bbb793f8
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Thu Dec 8 20:48:20 2011 +0900

    Fix compilation error due to pthread on OS/2
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 4ba496f8b38a1672619f810f0d4ba5de170058dc
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 15 14:51:44 2011 +0100

    macosx: slightly enlarge the License button in the about window (fixes #5658)

commit 37fef4bd0e709251353f807de9a6901678c5183f
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Thu Dec 15 13:51:37 2011 +0100

    Qt: fix multi-screens weirdness caused by the dockable FSC
    
    Close #5668
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dbd651614f0e5bfb4f5d9c9cc629a361183a2713
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Thu Dec 15 02:13:14 2011 +0100

    Support duration in avformat demuxer
    
    Ref #4030
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 49571193a5311674483608cd91811ef23f8f0391
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Thu Dec 15 01:21:13 2011 +0100

    Qt: fix an utf8 encoding issue in the recents menu
    
    The MRL received from a drag & drop was not converted correctly to an
    URI (using toURI) before being saved into the configuration. This was
    causing multi bytes characters to be serialized in UTF8 (\x????) and be
    given as-is to decode_URI which is not able to decode them.
    Close #5662
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 60cff20c351db4bde6eb6ed5696fce92d54bc3bb
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Thu Dec 15 01:21:12 2011 +0100

    Qt: enable the recents menu again after adding an element
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5bf6f7c0728ef9df408a2fc25a61faaa90705486
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 15 01:19:00 2011 +0100

    Qt: do not quit, let the core do it
    
    Should fix crash on quit wrt to Vout
    Tested on XP, 7 and Linux.

commit 96e4e4a0e48debbfe57f39ce1342c97227a6ba5b
Author: Faustino E. Osuna <enrique.osuna@gmail.com>
Date:   Wed Dec 14 20:24:22 2011 +0100

    contrib: update ignore files for git repositories
    
    Ignore downloaded git repos.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit ed8d730d24438a63d905f166e2e692ff6a52c75e
Author: Faustino E. Osuna <enrique.osuna@gmail.com>
Date:   Wed Dec 14 20:24:21 2011 +0100

    contrib: ignore triplets
    
    Ignore the triplet subfolders created in the contrib path.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 44465a737a1a6043bfa7d56e25cc73a7c87213d5
Author: Faustino E. Osuna <enrique.osuna@gmail.com>
Date:   Wed Dec 14 19:21:06 2011 +0100

    extras/tools: update ignore files
    
    Ignore downloaded archives / subfolders and files generated by make.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit fb1e33a46fab56f852457165bd2a17d1f427ae3a
Author: Faustino E. Osuna <enrique.osuna@gmail.com>
Date:   Wed Dec 14 19:21:05 2011 +0100

    extras/tools: fix when downloading in tools.mak
    
    Fix a typo when using the $(download) function. This suppresses
    malformed url errors from curl.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 01ec2d6e8c9347a0c8fec3db0937ef786a97910e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 14 20:00:47 2011 +0200

    contrib: use 32-bits LUAC file format on all platforms
    
    In other words, 64-bits platform will support 32-bits LUAC files and
    reject 64-bits LUAC files when using contribs.
    This should ease cross-compilation and copying luac files manually.

commit f3158ac08740071390a3bb8ca718ea4ac1a6aa11
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Wed Dec 14 18:32:07 2011 +0100

    Qt4: slightly improve the color set of the slider
    
    Thanks a lot to François Cartegnie, for the help to resolve the issue
    
    Close #5604
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d60425760483d5b58f458eff689901cf69e0fb89
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 14 16:03:03 2011 +0100

    Qt: fix toolbar settings read
    
    Close #5673

commit 43424ac2c4de2115c3461c46feae56c46ca449d5
Author: Denis Charmet <typx@dinauz.org>
Date:   Wed Dec 14 15:31:27 2011 +0100

    MKV: Do not list chapters and titles when there is only one of them
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ce01d1fc4db418d39880bbb6300eeb5bbcd7ba65
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Wed Dec 14 14:14:12 2011 +0100

    Add title time in playback menus for MP4
    
    Ref #4030
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c52cfdd034558076705445510d3bbb95719f9704
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 13 23:50:18 2011 -0500

    fix typo in french translation of nvlc

commit ccfcea33533fd56e7af00f9086364b8f266bd684
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 14 02:03:03 2011 +0100

    Contribs: support for PPC in contribs
    
    CrossCompiling from intel64 to PPC should mostly work on X.6 now
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 44610e93c48fea30b9f2b55812e125ed53bc682a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 14 01:29:51 2011 +0100

    DxVA: More GUIDs

commit 7a166dfbea4b56fd105e51dc66908b223fb20e5d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 13 22:52:46 2011 +0100

    Revert "Qt: do not explode when using OpenGL vout"
    
    This reverts commit f4c037efd2d3cde44daa1a58c7042fecc32b2177.
    
    This does not work as intended...

commit d800af88bccc194075ef6af7cc51fb5f7f4f326e
Author: Naohiro KORIYAMA <nkoriyama@gmail.com>
Date:   Tue Dec 13 23:44:43 2011 +0900

    Faad: Reinitialize decoder when we got Unexpected channel configuration change.
    
    Very classic in ISDB streams
    
    Closes #3714 #5448
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 67bb71c271edeb832cdb96d9b5aea2b83ec885f6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 13 11:51:34 2011 +0100

    Add thd to the list of extensions
    
    Close #5664

commit 3509a9746c81b0b89c299cd5d729c5afc002153f
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Tue Dec 13 03:53:31 2011 +0100

    Qt: use QWizard for Sout
    
    Close #5651
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e75a889e632b16a6c1b719025e6d9fcc8ba3b829
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 13 03:29:30 2011 +0100

    Qt: allow easy deletion of the keys and global key
    
    This was a regression of the new design

commit 18049f2610813910140f2dfb2236ea4529766eb1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 13 03:11:56 2011 +0100

    Qt: fix global hotkeys retrieval from conf
    
    If the global key arrived before the normal key, it didn't got
    displayed.
    Bug mentioned on IRC.

commit 0d1ba56a9adabefa36dab7a107a708dec5c459da
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Dec 12 15:17:06 2011 -0500

    Revert "Disable direct-rendering on ProRes"
    
    This reverts commit 8b914fcd30153d05b04921868166e5bd43370d61.
    
    The problem was fixed in bc3b85c6bd6dc0094562561b084dcea3f0364743.

commit bc3b85c6bd6dc0094562561b084dcea3f0364743
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 12 20:24:32 2011 +0100

    Ensure that picture_Setup() use at least a mod 32 height for pictures.

commit 644704c9f3ae619f069eefddc0fc0ecf3a1d1948
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 12 17:37:16 2011 +0200

    rtp output: do not inherit SRTP settings when SRTP is not built-in

commit 48a98edcc66626a2292f8c9f8d697fa8244736af
Author: Mal Graty <madmalibu@gmail.com>
Date:   Mon Dec 12 00:13:44 2011 +0000

    Playlist status not being updated on play/pause
    
    Fix issue #4899
    
    The problem was that the playing/paused state was being misreported
    to the luahttp interface, turns out this was due to the way the playing
    state was being updated in the Qt and hotkey logic.
    
    The p_input state was being updated, but the playlist wasn't being
    informed, this patch switches out the p_state calls to use the
    equivalent playlist aware functions.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 71360d0ad694d6bfd4e1cdd558927731dbad6ac4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 12 01:31:44 2011 +0100

    Set RealVideo to 0 priority

commit f4c037efd2d3cde44daa1a58c7042fecc32b2177
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 12 00:22:04 2011 +0100

    Qt: do not explode when using OpenGL vout

commit f1f2ec7dea0c39f1457caef675fcca4a7e6039e4
Author: Denis ARNAUD <denisarnuad@yahoo.fr>
Date:   Sun Dec 11 18:04:55 2011 +0000

    l10n: Add Breton translation to .desktop
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 8082db08a89b3c5a810cf4ac626fa9f05c62ae23
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 11 20:18:30 2011 +0100

    Removed now useless(invalid) muli-volume rar concatenation in the input core.

commit 25262a5ae65b2ce815a938fc53bab0602944921f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 11 20:13:18 2011 +0100

    Fixed multi-volume RAR support.
    
    The access now open itself the following rar volumes (only if needed). This
    also allows to support rar embeded in rar or using other protocals than file.
    
    It has been broken since the rar modules have been modified to
    support multiple files.

commit 5ab028110839f1bc3412a0cab383e27bb675de3d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 11 20:11:55 2011 +0100

    Fixed a small leak when the rar stream_filter recognize the stream.

commit 65bd21f9ac1070cb308166c9b468f157a394bd56
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 11 20:03:10 2011 +0100

    Fixed potential out of bound reads in DASH probe function.

commit 63fafad4ad2963880aa814ae35ec4f3f217e1f76
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 11 11:42:43 2011 +0100

    Fixed the return value of STREAM_GET_CONTENT_TYPE in the rar stream_filter.

commit e9bcb750e6473b001ac8b7abe79072d3a6a48697
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 11 19:08:16 2011 +0100

    Finish the LGPL switch for libVLC and libVLCcore

commit e58a689e830f183b649f0ce1908407f8c4636e61
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 11 18:06:21 2011 +0100

    Fix potential Freetype crash
    
    Close #5648

commit 258b93c707cc4034c89f5f5ead7f53b0c610be18
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 11 17:02:35 2011 +0100

    Support VP8 in NSV

commit 192108a171970b3d8b5faecc46d1db4374c95900
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Sun Dec 11 12:07:06 2011 +0100

    Add title play time in playback menus for MKV
    
    Ref #4030
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 704c3c6333447aeb644b739ad61c2fd287cafc8c
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 10 22:30:46 2011 -0500

    Revert "avcodec_get_edge_width() was added in libavcodec 52.66.0"
    
    This reverts commit 3c6bb18e81a62e8abb58ecd8b2df8549dea39729.
    
    Revert "avcodec: fix direct rendering with some codecs"
    
    This reverts commit fcc84608b67f3c3567b96604577bfdcc0de45b53.
    
    The issue is not related to EMU_EDGE flag

commit 229ce5a2dd53b70f21e7d40744f0ba93a7d8063b
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 10 22:18:48 2011 -0500

    osx: package Growl.framework
    
    xcodebuild doesn't know about the growl plugin so can't do it for us

commit 01077da94570dd2ed1b31f0e2b6ce1bfa71b2250
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 10 17:13:16 2011 -0500

    extras/tools: ignore fetched tarballs

commit 3c6bb18e81a62e8abb58ecd8b2df8549dea39729
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 10 17:10:22 2011 -0500

    avcodec_get_edge_width() was added in libavcodec 52.66.0
    
    as documented by doc/APIchanges

commit fcc84608b67f3c3567b96604577bfdcc0de45b53
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 10 16:58:35 2011 -0500

    avcodec: fix direct rendering with some codecs
    
    Provide edge buffers when CODEC_FLAG_EMU_EDGE is set
    Fix ProRes playback with direct rendering

commit f3b9b8a2ecce2a0acf0bd46dd2c417c638ff863f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 10 21:15:21 2011 +0100

    Contribs: compile more tools from gettext
    
    Except on Win32, where it doesn't compile

commit 8b914fcd30153d05b04921868166e5bd43370d61
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 10 20:53:04 2011 +0100

    Disable direct-rendering on ProRes
    
    Crashes in the SSSE3 asm

commit 028e42b29caeff94b662dc3cfe167f1411054a50
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 10 19:56:26 2011 +0100

    Contribs: fix sparkle compatibility for OSX 5
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 51b80d6fc0d81d0d31984d408d104df604bf9794
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 10 16:08:23 2011 +0100

    Fixed potential NULL deference in dvdnav plugin.

commit 387a1c1eda8c7f867392f3f3ab301a18de942945
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 10 13:11:25 2011 +0100

    Qt: SeekSlider: keep bottom chapter marks only

commit ede3bd6058cb462338403a93784a5a5ff3d39b75
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 9 19:40:37 2011 -0500

    bootstrap: prepend extras/tools/build/bin to PATH if it exists

commit 668bd49f54b2dbdb7121e18d316fc071f9ca0ddf
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 9 19:34:49 2011 -0500

    We don't use extras/contrib anymore, no need to look there

commit cb3798b8b8842e3de896a2863300b670c587d82c
Author: Christophe Mutricy <xtophe@chewa.net>
Date:   Fri Dec 9 23:43:51 2011 +0000

    Typo
    
    Spotted-by: Sveinn í Felli

commit 49b13f380adda0176a67a8f26f80ee0159848d2f
Author: Sveinn í Felli <sveinki@nett.is>
Date:   Fri Dec 9 23:35:23 2011 +0000

    l10n: Add Icelandic to .desktop
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit fde8edfe5de05237782e463e07c1043778390bd4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 10 00:00:20 2011 +0100

    MacOS: use VLC_OBJECT

commit 76ab0c709e6cd45ffe8e0b6d12f437501c58b67c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 9 21:49:28 2011 +0100

    Qt: SeekPoints / Input Slider: fix behaviour for 0 timed seekpoint

commit ea5c435f241e69b540c94bc08fef217a6bae542f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 9 21:41:11 2011 +0100

    demux: dvdnav: add chapters seekpoints timings

commit 3254502d3b2995908a06387a397f14c89e76621d
Author: Alexis Ballier <aballier@gentoo.org>
Date:   Fri Dec 9 16:10:10 2011 -0300

    xosd: require and link against Xlib.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 9b40c48c8aa69e71abb0263b1814ede7a370f7c9
Author: Alexis Ballier <aballier@gentoo.org>
Date:   Thu Dec 8 19:37:15 2011 -0300

    xosd: call vlc_xlib_init first
    
    See: https://bugs.gentoo.org/show_bug.cgi?id=393439
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 7b91aa21f97edd6daabb06ae3565137cfd579eac
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 9 12:36:30 2011 +0100

    DxVA: Re-format the table
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fa04d6b89accb17724712278359854abb3f4ae30
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 9 12:27:31 2011 +0100

    Yet another Intel Specific DxVA GUID
    
    But why? why? why?
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 32b311e4109abe508fe7c17f9c32d0bb16fafa77
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 6 13:53:06 2011 +0100

    MacOS: kill a warning
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8bbb90cc4a94f645f4096a14af0b948ae8f90e4b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 6 13:43:17 2011 +0100

    MacOS: fix getVideoViewAtPositionX
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0f3ee76af70c5e27ca9fe67238a59a3cc594cf93
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 6 13:08:24 2011 +0100

    MacOS gui: use aout_Volume* functions
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 48a46b852e1b66e8009cdfc4edadfaff44cfa30c
Author: Sébastien Escudier <sebastien-devel@celeos.eu>
Date:   Fri Dec 9 08:52:50 2011 +0100

    live555 : close when there is no more track.
    fix a regression from af107361d0ec376cf764a6111c9ba5ce433e15f1 when the stream ends.

commit 05b1efd02cf98f32b2022ff61ebc2f41a83dfbfb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 8 18:06:43 2011 +0100

    add dvb channels list .conf as filetype.
    
    (see demux/playlist/dvb. mplayer's std being channels.conf)

commit c0c2f1c3c88d4fcd164a6f2b5fa6ff22b47cce77
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Fri Dec 9 11:01:48 2011 +0100

    Qt4: Fix a fullscreen crash
    
    Close #5639
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f33e57f5ea63a4129092aa3036e79092bd940aff
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 9 00:32:31 2011 -0500

    avformat mux: check correctly for *info member
    
    It was added in svn r25418 of FFmpeg
    minor was bumped to 81 in r25444

commit 32b6b5b1d84b625ddaf9cf5ea04afebfe2b5dbcc
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 9 00:01:00 2011 -0500

    typo

commit 9d5f86c0e33b5fcdbb759566b1cd1433fd1b6931
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 8 22:20:28 2011 -0500

    avformat mux: use avformat_free_context()

commit 8f940d81428030a31b7c56817520ae9c7221e866
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 8 22:14:45 2011 -0500

    Fix for antique versions of FFmpeg

commit d824a709ccd875ffa022ac6bd675d8561c64f0bd
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 8 21:10:14 2011 -0500

    avformat mux: fix leaks

commit 75e2783d83ba8ca774f322ee0c1ee7be8a86d192
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 8 19:24:55 2011 -0500

    contrib: lame: typo

commit a0f0e09d553708704d00b7145df9c706bd09d380
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 9 02:01:39 2011 +0100

    Contribs: update dxva2api.h to version 3
    
    Less hacks and tabs in this version

commit f8e69ddd5fa1ae072452fbe9a4230851bccffc8b
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 7 22:52:46 2011 -0500

    contrib: remove unneeded gecko

commit 6a6a6e9008e562d85d60907fac9c87d0e99859f3
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 7 22:52:25 2011 -0500

    npapi: fetch gecko headers required for windows

commit 9641b6cab87c203bf9c3c502b258be5fff35ff75
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 8 23:55:57 2011 +0100

    Contribs: fix gettext compilation on some CrossCompile env
    
    And do the same compilation on all setups

commit 1b58a20c4daeb20f70709fd30c176cae65acd7cb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 8 18:58:46 2011 +0100

    Contribs: try to maintain X.5 runtime compatibility
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1720849cfcd3a8386b60434399429de4baaf1bb1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 8 21:50:36 2011 +0100

    Contrib: update LAME to 3.99.3

commit 3ce16b37046b703afe9d7f4fdaa7388c570d8e91
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 8 17:44:04 2011 +0100

    Qt: simplify media filters

commit f1790cf4624b2ecba773d540661c62dd51483e87
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 8 16:39:21 2011 +0100

    Qt: advanced capture: fix mrl generation for advanced options

commit 5cc04d06d766a9616f8b9bc8da39ed7c06df225c
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Mon Nov 28 17:31:37 2011 +0100

    dash: Don't hardcode the isLive information.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0a120d112e18f5cde5d57395dd36d18371365ccc
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Dec 1 16:55:38 2011 +0100

    dash: Fixing NullManager interface implementation.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d314c4f4cac6d055e23a387f6aa2b741aec237da
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Dec 1 15:57:59 2011 +0100

    dash: CommonAttributesElements: When applicable, convert attributes to integers
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7972dbae5aa3845762924c3dd65303546065cab7
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Dec 1 11:34:11 2011 +0100

    dash: Adding a RepresentationAttributesElements to represent standard's §5.4.3.2
    
    This will also save some code in a near future.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f73b7ff2cfc92f80a3b1e2c4d9fc2e7bb42cd5df
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Tue Dec 6 13:01:23 2011 +0100

    dash: DashManager: Adding a getMpdManager() method.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 86d9aabfe7e62477b6f6bb15a61c47df159c813f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 7 21:23:27 2011 +0200

    speex resampler: add 10% slack output space
    
    This should fix buffer underflows when changing the playback rate.
    We probably should instead reallocate the buffer and resume resampling
    when the situation occurs, but that would be a lot more complicated.

commit 7126cec981458881f2c042f120afbc65ec4e57ca
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Wed Dec 7 23:09:15 2011 +0900

    Do not define ENABLE_ROOTWRAP on OS/2
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 47c8b039bdbcc65024a92ff19edfc2e5fc3f43dc
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 7 12:03:36 2011 -0500

    contrib: directx/directshow: mention why we need them

commit 8fd4111acb17d4d887f163badd25c92a9465a51e
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 7 12:01:18 2011 -0500

    contrib: change dxva2api.h checksum
    
    I added a workaround for mingw64

commit 4203fa137fe8be34a63c7321d424615019621ee6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 7 18:01:16 2011 +0100

    contrib: fixed sparkle

commit 87038073b8434addc0d360d98a55b67fd55352a7
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 7 11:20:40 2011 -0500

    Dxva2 is only available in Windows Vista and above
    
    Define _WIN32_WINNT to 0x600 when checking/using dxva2 headers
    Continue to use a lower version to retain XP compatibility for the rest of VLC

commit 8cd8da639ca2866380c4154aec71ca44221a4df3
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 7 09:03:08 2011 -0500

    remove unused limits

commit 27286041d8bf759fc2e0cd8e947eb80dea829857
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Dec 5 03:31:16 2011 +0100

    NEWS about luaintf
    
    There was a bit of confusion about the future of lua interface
    scripts...
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 75fe29de25652698275aeaf9e6e831d24683659d
Author: Denis Charmet <typx@dinauz.org>
Date:   Tue Dec 6 23:38:15 2011 +0100

    Fix a crash in MKV when seeking to the last block of a cluster
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 087541029a5d8f3feb80c541a57ec706782ae9bd
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 6 17:44:56 2011 -0500

    Remove INTF_GAMMA_*
    
    It was not used for 10 years (minus 3 days)

commit 70264925b42781cc7fad6d54b0406b6db8f9dce9
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 6 17:11:52 2011 -0500

    OSX: Sparkle is not optional
    
    Should close #5609

commit bcd564d488c01cf3702577ca63d26f743dfa2f24
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 6 22:36:10 2011 +0200

    ALSA: do not prepend zeroes for S/PDIF, sleep instead

commit fe7d26efa2207c56b55cbab204b0bb6158b8d97f
Author: KO Myung-Hun <komh@chollian.net>
Date:   Sat Mar 12 16:13:17 2011 +0900

    Define IPv6 stuffs required in order to compile on OS/2.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit b1ae79cc89d54aa36556d46f71bd1becab6c1645
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 6 16:38:07 2011 +0100

    vaapi: fix profiles detection.
    
    The selected profile wasn't checked against card's ones.
    (ex: resulting in sending MPEG2 to a VC1/h264 only card)
    
    Signed-off-by: Jean-Paul Saman <jpsaman@videolan.org>

commit 66eec16fa204821d867e90f68477ab178091ea44
Author: KO Myung-Hun <komh@chollian.net>
Date:   Tue Dec 6 22:26:43 2011 +0900

    Add missing getaddrinfo(), freeaddrinfo(), getnameinfo() and gai_strerror() for OS/2
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 2dc2da86b9506620e1eeb657b3a99eeac0b59012
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 5 22:34:20 2011 +0100

    Qt: menus: rename MenusManager to MenuBar.
    
    as *Manager seems disliked.

commit 7cf467ae4446a54c1e5fbce3ada5701ef22f6ee8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 3 22:21:39 2011 +0100

    Qt: input_manager: merge loop&repeat events.
    
    Definitively doing the same thing.

commit 77d242cce1aacbb6b4c29606c2f6db68f4bd33af
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 26 19:49:12 2011 +0100

    Qt: menus: make next/prev to behave accordingly to playlist's content.
    
    Move EnableStatic from local to MenuManager's private (only used there).
    Use flags instead of string for action data.

commit 76f155bda6f6f3b60f97587228a589874ac47227
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 2 14:58:17 2011 +0100

    Qt: rename QVLCMenu to QVLCMenuManager.
    
    Provides factory role & static methods but is not a menu itself (as the
    previous name would let believe)

commit 88515f20012beb82028e1fd1fbf2f015d0042b23
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 26 18:14:43 2011 +0100

    Qt: Menus: make speed menu tearable.
    
    Tuning playback speed is usually done through multiple actions (because
    values are relative/increments). It is better to create a tear-off menu
    from it. Especially true since status bar isn't enabled by default.

commit af107361d0ec376cf764a6111c9ba5ce433e15f1
Author: Sébastien Escudier <sebastien-devel@celeos.eu>
Date:   Thu Dec 1 09:37:12 2011 +0100

    live555 : enable/disable tracks on the fly

commit 9196a5abbff44de412214da14f3586c4452b9963
Author: Sébastien Escudier <sebastien-devel@celeos.eu>
Date:   Thu Dec 1 09:26:01 2011 +0100

    live555 : when we switch to TCP, remember it

commit fa95aef0a036d2def61cd67d840543c4d83066b4
Author: Sébastien Escudier <sebastien-devel@celeos.eu>
Date:   Wed Nov 30 15:18:04 2011 +0100

    live555 : use TAB_ macro to store the tracks

commit 2e9e1015bee5fbd62d78c919dee1dc6786da171c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 5 03:05:00 2011 +0100

    Qt: fix bug happening when double-click in the embedded video

commit 14c2ffe79ebb00bfd09b5dbe2a0cdcb7483a1cd4
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 4 20:22:13 2011 -0500

    pkg-config 0.26 doesn't build without pkg-config installed

commit 187d8f3d5e6f80831c59dc5a9d5764692ce02d8b
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 4 20:02:42 2011 -0500

    pkgconfig doesn't depend on autoconf

commit ac35f362851682736f1246e3b5c831e7a25e837d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 5 01:38:36 2011 +0100

    picture_BlendSubpicture: remove assert on chroma incompatibility
    
    Asserted when J42* blended on I42*, for example
    
    Close #5516

commit 78b2c2c6f2bc8f2d6f117cb4a35e587b55483893
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 5 00:25:26 2011 +0100

    tools: bump cmake and pkg-config to the latest releases

commit 63c55b2d227a9838a8349e18893527d8c90e4c2e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 4 23:42:19 2011 +0100

    Fix various preferences typos

commit 303de67a0d1eb0d98145d8b0d3ff55a7f44aef59
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 4 16:15:34 2011 +0100

    Mono: fix channel order

commit 9b68f5d12a1774d783f58e8d85c172d68f31684a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 4 15:52:47 2011 +0100

    Simplify help string
    
    We already have the integer list for that.

commit 106dd3cb1540824f3b217a6b4bc2360d7bf00881
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 4 15:29:02 2011 +0100

    MacOS X: fix strings in UI

commit 22ec4bef7881e6f0cbddc4992dc5f642cac0d0e1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 4 15:16:59 2011 +0100

    Fix strings mistake for translation

commit 950705a7f8873f88c09ebcb3998b1779245db4a0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 4 13:58:51 2011 +0200

    subsdec: avoid unneeded strdup() and simplify

commit de721bf97706dd38b8156d887f7f03760f7c48c1
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 4 07:55:22 2011 +0100

    cli: add a command to load the VLM
    
    The VLM isn't loaded on start-up anymore, except when using the telnet
    wrapper, for compatibility reasons.
    
    Fixes #5420

commit 415c1ab48a995b17c81f2be5d344bdb0499efbd7
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 4 00:16:59 2011 -0500

    ps_psm_fill: fix logic bug spotted by clang

commit c4c377bdf37a6131f968d1201376b25c6455079a
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 4 00:06:58 2011 -0500

    Use PRId64 to print int64_t

commit 780203a14a82054a6a784711bd6d6b19e6a9d4bc
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 4 00:06:36 2011 -0500

    vout_new_buffer: fix signed / unsigned comparison

commit a9b61b9d2296c992cd3241bb30139fcb6093d5f0
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 4 03:55:36 2011 +0100

    lua: fix reference to telnet.lua

commit b2838d22a47429c82bffc148774e4077aadd9086
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 4 03:48:00 2011 +0100

    lua: remove dead code

commit 4baa177a058c8414ae61fb3d697ffbe5c255fbbf
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 4 03:26:39 2011 +0100

    lua: split config stuff into separate function

commit bdba9b6826e70eed4328004927dbfddb1c3be6b9
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 4 03:07:08 2011 +0100

    lua: fix lua{intf=<intf>} syntax

commit 2cff61a8f84903b69e37b2d191d9349997683953
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 3 22:36:55 2011 +0100

    lua: don't document rc and telnet, they're gone

commit 70f556e470b84b5f33aae14446e342a745768f30
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 3 21:54:03 2011 +0100

    lua: document the use of -I luaintf instead of -I lua

commit 1630833f20b595f6a594e71ab3c177705374d912
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 3 16:28:00 2011 +0100

    Qt: fix small quirk when adapting the equalizer values

commit 0efead41b6be2eeeca7276d8448e4f63db5645d2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 3 12:31:57 2011 +0100

    Qt: remember volume on exit is the default
    
    I don't want to be murdered in my sleep

commit 6d0a1fce490cf2d4c9f23f6c0781efc91fa794b6
Author: Naohiro KORIYAMA <nkoriyama@gmail.com>
Date:   Sat Dec 3 11:45:36 2011 +0900

    inet_ntop always returns NULL on Windows.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 7991356e57a7ae8228e573a1e982d9bb43e6b10e
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 30 13:59:26 2011 -0500

    contrib: --disable-all doesn't build anything

commit db7b4282126132069105416cf9610c4c749e395c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 2 21:19:25 2011 +0100

    MacOS: default to 10.6.sdk

commit 12797a5244521f1655afff27d09f13c4f541edba
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 2 20:45:22 2011 +0100

    Win32 Crashreport: use FTP passive mode

commit b409f07d68f76063c98b778a060217c840b74dc1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 2 17:23:47 2011 +0100

    macosx: don't do AppKit stuff if you're unsure that it's on the main thread..

commit f063b082594e3d4e6211a293e29125cc387d1e65
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 1 19:38:15 2011 -0500

    extra/tools: make sure autoconf comes with pkg-config macros

commit 3cd41963f1e4030a84010e94288dc9431fa5c9e0
Author: John Hendrikx <hjohn@xs4all.nl>
Date:   Thu Dec 1 14:08:33 2011 +0100

    Add libvlc_video_get_spu_delay and libvlc_video_set_spu_delay
    
    Allows control of the subtitle delay through libvlc.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 71e8745a8aad584c6e5fa1917ef8100a6b404c87
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Tue Nov 29 23:32:41 2011 +0100

    Qt4: Playlists: Fixing drop.
    
    KDE sends a move event by default, unless ctrl is pressed
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dce9c498c06e1c2bd4907dda58ebde3f6331814f
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Wed Nov 30 18:25:58 2011 +0100

    dash: Representation: Return a usable bandwith value.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b4d90eb2c1dd4f769abe80c5ade75b17506cf7fa
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Wed Nov 30 17:53:55 2011 +0100

    dash: Representation: Cosmetics.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3852dd54533838e2c5116405012e62659e7a5365
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Mon Nov 28 17:21:02 2011 +0100

    dash: MPD manager factory: fixing a potential memory leak
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d4a1c6dcb34c48d78b02cce96b59b08001a748ba
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 1 21:04:49 2011 +0100

    Contrib: fix glew rules on non-win32

commit 49bbc50cc33eee44db37fe7bacb2e261a4f29168
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 1 14:12:40 2011 -0500

    contrib: xcode3: select ARCHS to be built

commit d3f91a57d47617a1b608b33297fbdb8784330d90
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 1 14:00:55 2011 -0500

    contrib: growl: use gcc-4.2 when clang is not available
    
    the gcc-4.2 version on veda is old enough to build growl
    newer jones version makes xcode crap out that gcc isn't compatible

commit a8de19cd04085a2f0c5b948c0da5caa69350b49c
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 1 13:46:25 2011 -0500

    contrib: sparkle: patch project config to force arch with xcode 3

commit 85a3a705a22ff8169f887d9900ce7596cd909465
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 1 13:10:47 2011 -0500

    contrib: use $(shell to check xcode version

commit 794144bb9c2e5ce78599d7ab9e49106c44adae0c
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 1 01:02:05 2011 -0500

    fix ncurses text alignement in french translation

commit 7737c981fd792f22afeabedc651bd89a0ad1aabb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 1 12:37:02 2011 +0100

    Auhal: fix signed comparison issue

commit 03e681166f2d674ba6c43481de4fd8e8270ee5a3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 1 12:16:46 2011 +0100

    QTsound: fixes format string and integer times
    
    Thou shalt use %ld for NSInteger and %lu for NSUInteger

commit 62eac017d13a7a0cf54b3794125c07f0c0290a76
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 1 12:03:41 2011 +0100

    QTsound: only available on QTKit 7.6.3 and over
    
    This doesn't solve the MacOS10.5.sdk issue yet, but is a necessary step
    I wonder how Apple can ship such broken SDKs, anyway

commit 91d838ca49f2d76e29d65a8cb7b7a3bd9b50c4b4
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Dec 1 14:41:14 2011 +0400

    Lua: Fix extreme.com playlist parser. They use http now.

commit b7c4b2758b264e82fd3662ba0a56f08df2f89ef9
Author: Frédéric Yhuel <fyhuel@viotech.net>
Date:   Wed Nov 30 10:30:52 2011 +0100

    demux/mp4: add parsing of mfra atom
    
    mfra atom contains two leaf atoms, 'tfra' and 'mfro'. The first one
    provides file offsets of the chunks in a isml file.
    
    mfra atom support will not help Smooth Streaming support in VLC (at
    least for the client part), but can be useful for other
    purposes, e.g. to enable VLC to play a "raw" isml file.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1b0ab5019aa126123d8c9b86f23059222d839819
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 1 00:06:17 2011 -0500

    contrib: bghudappkit: fetch over git://

commit 31e5b9cbc7a24f65f48f786d49168692b4214111
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 30 23:31:03 2011 -0500

    typo

commit 5f0ed1bb1cf17716b67db9f9fb30f85906119775
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 30 23:10:39 2011 -0500

    contrib: bluray: use bluray rather than libbluray
    
    it's confusing enough to cause typos (sum-bluray instead of sum-libbluray)
    and break make fetch

commit 393b363ff8de09ff0eaf000d4751d3a7851dd4ca
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 30 19:43:11 2011 -0500

    remove trailing space breaking dependencies

commit 8895639dbaf061613bef26a51f03da5554e2731a
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 30 19:38:44 2011 -0500

    remove duplicate dep

commit 3c5709ece3211ed5582e8ecc442fdbf4d5488669
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 1 01:30:39 2011 +0100

    Contribs: dlopen crystalhd on win32
    
    And fix unzip behaviour

commit 590e02e555d4aaf60b629540c10aa40679219756
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 1 00:40:45 2011 +0100

    configure: require latest libbluray
    
    And drop libxml dependency

commit 9adf970db1520a5401e68d9637cc63086af65abd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 1 00:40:06 2011 +0100

    Configure: simplify MacOS flags
    
    No functionnal change

commit 40c4a544452fb233bb3ffe6f4dcdb84018db44b4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 1 00:34:46 2011 +0100

    Contribs: update libbluray to 0.2.1

commit 7ba6f22b3cc769031d3f17a06c31b9740aed0005
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 30 18:39:16 2011 +0100

    MacOS: do not try to have KDE-solid
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 46b2ae06c9a04f2c8dc604266d1c55fb4f0f6e53
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 30 18:38:34 2011 +0100

    MacOS: always specify a minimum-sdk
    
    This fixes issues on X.6 and X.7 when compiled with SDK10.5
    The configure would fail to see -crt10.6 library and die on poll()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8b9b52a7813e7c135bf0e5c04c159373e04b797a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 30 18:37:06 2011 +0100

    MacOS: workaround bug in SDK10.5
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5458760b3fb59051cfd622c19898fbe63cafc79a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 30 19:58:26 2011 +0200

    Fix libvlc_video_get_(height|width) inversion
    
    Both functions remain broken regardless.
    
    Reported-by: Yann Le Hir <yann.lehir@gmail.com>

commit 6c998c6073e57b8657915be5e741c8e800c62693
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 30 10:42:34 2011 -0500

    We don't patch pkg-config (anymore), don't run autoconf

commit 5e91281e3ca9965a3f408537446065f96afff243
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 30 03:31:28 2011 +0100

    Contribs: add headers for CrystalHD for win32
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7c22d840611736dc0276fd0ce9b6fc1a2d4284a4
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 30 01:44:35 2011 -0500

    Revert "extra/tools: make sure autoconf can access pkg-config macros"
    
    This reverts commit b590a13f930a14040047ac2203ca64afb1c0c38d.

commit 4ca64b24cf43600320427c6d88ef7d6f36dac8d2
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 30 01:31:02 2011 -0500

    contrib: growl: build with clang

commit 2fe4b45d6222dab49669541102c314a52ae96c4a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 30 03:43:35 2011 +0100

    Contribs: fix fluid compilation on Win32
    
    Should close #5571

commit 10db18e89a412d2314916e893fea836ebb6b3032
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 30 01:38:55 2011 +0100

    Contrib: better documentation for bootstrap

commit b590a13f930a14040047ac2203ca64afb1c0c38d
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 29 14:49:44 2011 -0500

    extra/tools: make sure autoconf can access pkg-config macros
    
    If we don't build pkg-config (because a previous installation exists
    somewhere else), autoconf won't find PKG_* m4 macros and fail to
    run on packages using them (if they don't ship the macros either)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d4b6d6c2cce702d004a96665d82dce389894f958
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 22:08:07 2011 +0200

    Move stats.c to input/

commit 8baa527ea629c7394209d07749d92800ce501fd4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 21:20:29 2011 +0200

    Convert rate stats to integer and remove useless float support
    
    This saves a whole lot of float conversion and simplifies the code.

commit ef69c0b372f14b46cb2fde368c58d2b5caafced0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 20:44:20 2011 +0200

    Hard-code stats update interval
    
    Only 1 second interval has ever been used.

commit a1f861a076819038396721cfd4a4977469fcc5ec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 20:40:18 2011 +0200

    Move stats counter declaration to core
    
    One last full rebuild for this!

commit 88a45a320bd933a6fd649cc8007312b6e769c070
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 20:09:52 2011 +0200

    Remove write-only HTTPd statistics

commit c72674daea20f8547d01a2ec49ec57d3e9a79e14
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 20:00:02 2011 +0200

    Remove redundant object parameter to stats functions

commit 32167b7e0ce384ad4d037734526eb53bc26e4dde
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 19:46:24 2011 +0200

    Repack libvlc internal data

commit c5dac996061594e526fff114b4fd08a4fde865a4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 19:46:06 2011 +0200

    Remove unused timer instance data

commit c7de7efc6275629903d63e96a05a2cc6de239484
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 29 12:20:55 2011 -0500

    extra/tools: use gcc-4.2 on Darwin

commit 9697eabdc1130eeed082ce81a0a4b5f90d9347d4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 19:22:18 2011 +0200

    Remove unused counter_t members

commit 5816597cc47f2222103c11168aded6c19dff015d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 19:12:43 2011 +0200

    Remove dead stats_DumpInputStats() function

commit b21c8b2f44511c5f86e5212ebb4bd71d915594c4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 19:09:50 2011 +0200

    Remove unused min, max and last stats

commit e3a897cf11f768a9b9bf3b3fab9a1b8bc82e9235
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 18:59:18 2011 +0200

    Remove write-only timer statistics
    
    The implementation was slow/inefficient. This is really silly for
    _performance_ counters. And contrary to the other statistics, nothing
    actually reads them, except for debug logs.
    
    If you really want debug-only performance timers, use this:
    
        mtime_t start, end;
    
        start = mdate();
        compute_decimals_of_Pi(100);
        end = mdate();
        msg_Dbg(obj, "spent %"PRIu64" us computing", end - start);

commit 4fc348b73600620062a6d569414fb3306401f13c
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 29 03:19:17 2011 -0500

    Distribute (but do not build) modules/access/dvb

commit 65e6d845bd5cdf72240679066e85a39f49155da5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 29 10:10:18 2011 +0100

    MacOS: explicitely force --macosx values
    
    So that the user notices it when it doesn't work
    Ref #5569
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 789ea42038c632d67f4752d9755c6155f10765eb
Author: Frédéric Yhuel <fyhuel@viotech.net>
Date:   Tue Nov 29 10:14:41 2011 +0100

    demux/mp4: add parsing of some atoms
    
    Atoms mvex, mehd, trex and sdtp are found at least in PIFF (isml) files.
    This a first step towards Smooth Streaming support in VLC.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3cfa24562e1d3e9c2e62bbfe602222284d553f72
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 29 09:39:43 2011 +0100

    Access makefile: don't add twice the folders
    
    And reorder alphabetically, so such mistakes don't happen again

commit 21ce20e3591ce242d6a928363506555f09e49ba6
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 29 02:37:47 2011 -0500

    modules/access: only add to DIST_SUBDIRS the subdirs with Makefile.am in them

commit 14aca606608420b268925c236242d02aa56ac460
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 29 02:17:49 2011 -0500

    modules/access: add missing directories to DIST_SUBDIRS

commit 0fea656392deea18a30da3a76ff8141c58dd1a09
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 29 01:11:22 2011 -0500

    fix OSX architecture detection for i386

commit ebeb2b4057933ffcc940d5d5f991b549f3183b89
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 29 00:41:41 2011 -0500

    ncurses: simplify check
    
    Do not leak -lncursesw in LIBS

commit ad549b62b593d6a31c002adb34018755d2e7b8bc
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 28 23:40:25 2011 -0500

    skins2: disable if qt4 is not available
    
    only error out if asked with --enable-skins2

commit 073fb45a9ef13b68c6f7a2b246107dac34fc0841
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 28 23:41:25 2011 -0500

    Move skins2 test after qt4 so it can be disabled

commit d70a620035f2e3587fb482e73ed51e344375e620
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 28 23:09:46 2011 -0500

    ncurses: update french translation

commit 3b8fa2db51b9aa4f0752bef3457251dd5fcb46fe
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 28 23:09:28 2011 -0500

    ncurses: sync statistics strings with rc.c

commit 610c68d8721240a61723b69b542fccb5ffdd0a45
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 28 22:43:34 2011 -0500

    ncurses: add ';' shortcut to search next item

commit 9d759fed27350f5a9489597e38c06fb07ad87247
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 28 22:23:40 2011 -0500

    ncurses: don't erase search box content
    
    split out open box function

commit e982db92e1cf61970d7057c7f651c6f07d17d2b2
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 28 21:59:12 2011 -0500

    (v)asprintf: define HAVE_(V)ASPRINTF if found

commit 718b1f9901e5077b50c2189604afba883ca87bf7
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 28 21:55:35 2011 -0500

    fix access_smb libraries

commit 84a1a3461adf901ff134a09eb4341cc301fdc6dd
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 28 21:34:47 2011 -0500

    (v)asprintf : don't use AC_REPLACE_FUNCS
    
    Use our own check which also recognizes static inline functions

commit 7778302ef843ff938e957ce175048c27f4738f85
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 28 19:12:10 2011 -0500

    Fix thread library check
    
    Don't use ac_cv_search cached value because it could contain
    "no" or "none required" which aren't valid link flags
    
    AC_CHECK_LIB(main, xxx) did not exactly search for main symbol, it
    searched for the presence of the library.
    Instead we look for a required symbol.
    
    We don't use e.g. pthread_mutex_lock because some pthread symbols
    are available in glibc, but not all.
    
    Not finding pthread library is not an error, because at least OS/2 and
    symbian don't need it. (We skip the check on Windows already)

commit da8306253e31884720458952feb0b0f5da19a132
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 28 17:55:41 2011 -0500

    simplify thread library check

commit eca488fca9f35deabca77607d8e66fe714aa74a6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 28 23:33:49 2011 +0100

    Fix doc for distcheck

commit db00e97951a5a0859363f00b073136cd8a9675b7
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 28 17:12:26 2011 -0500

    Fix fvisibility=hidden check on windows

commit 0bfcfc8b38eb01b74c9e756b32fb48f16a7bf55a
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 28 16:11:11 2011 -0500

    More VIM syntax fixes

commit 3f12f9ccc2bd8af2b38c45938724a8e9e7bc8a27
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 28 16:05:44 2011 -0500

    Fix VIM syntax highlight

commit 562dd63b4367122493c7364e0d40df26c4129c08
Author: Naohiro KORIYAMA <nkoriyama@gmail.com>
Date:   Tue Nov 29 01:34:00 2011 +0900

    detect libintl static library correctly in configure
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 7ba1f036b256dde03a170836b1eccd3f3ac60f5f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 28 21:16:36 2011 +0200

    contrib: do not build regex

commit e588c1f9d731fabc722c32caf783943c2ada97c2
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Mon Nov 28 15:47:22 2011 +0100

    dash: Let the parser handle the root node cleaning.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5e7910c3766da1568b2be169e6733f1dd6e7f7e7
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Mon Nov 28 14:10:20 2011 +0100

    dash: Fixing a crash with invalid XML documents.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0290575bf9fcf61fe5a14695c2e2da9ae6cd2e0e
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Mon Nov 28 14:55:44 2011 +0100

    dash: Segments: Avoid copies + cosmetic.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 33f8d91d7537eb8517c8157afcb56432aba42a1a
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Mon Nov 28 14:53:11 2011 +0100

    dash: Ignore representations without valid segments.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f0bf352244a1ef2562baffcf42851346d3642e19
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Mon Nov 28 13:19:04 2011 +0100

    dash: Avoid some copies.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f4600d0e6f9482911de1e40cb22e517088ee0962
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri Nov 25 17:00:25 2011 +0100

    dash: Chunk: Avoiding copies + cosmetics
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8c55fe50c102c71ca2e62b3c75d19eee918387ea
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Mon Nov 28 13:29:03 2011 +0100

    dash: Avoid crashing when there's no SegmentInfo node.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3082f245467703ab9843fef630bc0ac58ec02b16
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 27 21:19:34 2011 -0500

    contrib: fix regex target
    
    don't assume the system has it (and thus skip building it)

commit 10b6e2ad22293b1f59c427378ce24cfb542bf229
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 27 19:47:54 2011 -0500

    contrib: caca: add --disable-java , factorize

commit acdd56d82cd27420c9cb0e9f5f1ad161dc30ef0a
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 19 08:51:05 2011 -0500

    configure.ac: fix use of *FLAGS_save and VLC_{SAVE, RESTORE}_FLAGS
    
    You should use them like this:
    - modify *FLAGS and LIBS globally
    - use VLC_SAVE_FLAGS to push the variables
    - modify the variables for the tests
    - use VLC_RESTORE_FLAGS when you're done to pop the variables

commit 5f4bb6a9e20e3860707229c31b9d1b83d4ec6732
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 28 01:13:20 2011 +0100

    On the road of 1.3.0

commit 36ab287e77e9df059f261ed1cfb13fc4674182ec
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 27 21:44:15 2011 +0100

    LGPL
    
    Re-license almost all of libVLC and libVLCcore to LGPLv2.1+
    
    This move was authorized by the developers, either:
     - by e-mail,
     - by vote at the VideoLAN Dev Days 2011,
     - on the license website,
     - in a contract, oral or written.
    No objection was raised, so far.
    
    The developers agreeing are:
      Justus Piater
      Alexis Ballier
      Alexander Bethke
      Mohammed Adnène Trojette
      Alex Converse
      Alexey Sokolov
      Alexis de Lattre
      Andre Pang
      Anthony Loiseau
      Cyril Deguet
      André Weber
      Boris Dorès
      Brieuc Jeunhomme
      Benjamin Drung
      Hugo Beauzée-Luyssen
      Benoit Steiner
      Benjamin Pracht
      Bernie Purcell
      Przemyslaw Fiala
      Arnaud de Bossoreille de Ribou
      Brad Smith
      Nick Briggs
      Christopher Rath
      Christophe Courtaut
      Christopher Mueller
      Clement Chesnin
      Andres Krapf
      Damien Fouilleul
      David Flynn
      Sebastien Zwickert
      Antoine Cellerier
      Jérôme Decoodt
      Jérome Decoodt
      Dylan Yudaken
      Eduard Babayan
      Eugenio Jarosiewicz
      Elliot Murphy
      Eric Petit
      Erwan Tulou
      Etienne Membrives
      Ludovic Fauvet
      Fabio Ritrovato
      Tobias Güntner
      Jakub Wieczorek
      Frédéric Crozat
      Francois Cartegnie
      Laurent Aimar
      Florian G. Pflug
      Felix Paul Kühne
      Frank Enderle
      Rafaël Carré
      Simon Latapie
      Gildas Bazin
      Geoffroy Couprie
      Julien / Gellule
      Gildas Bazin
      Arnaud Schauly
      Toralf Niebuhr
      Vicente Jimenez Aguilar
      Derk-Jan Hartman
      Henri Fallon
      Ilkka Ollakka
      Olivier Teulière
      Rémi Duraffort
      Jakob Leben
      Jean-Baptiste Kempf
      Jean-Paul Saman
      Jean-Philippe Grimaldi
      Jean-François Massol
      Gaël Hendryckx
      Jakob Leben
      Jean-Marc Dressler
      Jai Menon
      Johan Bilien
      Johann Ransay
      Joris van Rooij
      JP Dinger
      Jean-Philippe André
      Adrien Grand
      Juha Jeronen
      Juho Vähä-Herttua
      Kaarlo Raiha
      Kaarlo Raiha
      Kamil Baldyga
      Keary Griffin
      Ken Self
      KO Myung-Hun
      Pierre Ynard
      Filippo Carone
      Loïc Minier
      Luca Barbato
      Lucas C. Villa Real
      Lukas Durfina
      Adrien Maglo
      Marc Ariberti
      Mark Lee
      Mark Moriarty
      Martin Storsjö
      Christophe Massiot
      Michel Kaempf
      Marian Ďurkovič
      Mirsal Ennaime
      Carlo Calabrò
      Damien Lucas
      Naohiro Koriyama
      Basos G
      Pierre Baillet
      Vincent Penquerc'h
      Olivier Aubert
      Pankaj Yadav
      Paul Corke
      Pierre d'Herbemont
      Philippe Morin
      Antoine Lejeune
      Michael Ploujnikov
      Jean-Marc Dressler
      Michael Hanselmann
      Rafaël Carré
      Ramiro Polla
      Rémi Denis-Courmont
      Renaud Dartus
      Richard Shepherd
      Faustino Osuna
      Arnaud Vallat
      Rob Jonson
      Robert Jedrzejczyk
      Steve Lhomme
      Rocky Bernstein
      Romain Goyet
      Rov Juvano
      Sam Hocevar
      Martin T. H. Sandsmark
      Sebastian Birk
      Sébastien Escudier
      Vincent Seguin
      Fabio Ritrovato
      Sigmund Augdal Helberg
      Casian Andrei
      Srikanth Raju
      Hannes Domani
      Stéphane Borel
      Stephan Krempel
      Stephan Assmus
      Tony Castley
      Pavlov Konstantin
      Eric Petit
      Tanguy Krotoff
      Dennis van Amerongen
      Michel Lespinasse
      Can Wu
      Xavier Marchesini
      Sébastien Toque
      Christophe Mutricy
      Yoann Peronneau
      Yohann Martineau
      Yuval Tze
      Scott Caudle
      Clément Stenac
    
    It is possible, that some minor piece of code was badly tracked, for
    some reasons (SVN, mainly) or that some small developers did not answer.
    However, as an "œuvre collective", defined as in "CPI 113-2 alinéa 3",
    and seeing "Cour. Cass. 17 Mai 1978", and seeing that the editor and
    the very vast majority of developers have agreed (> 99.99% of the code,
    > 99% of developers), we are fine here.

commit 2567c03f4c36be2d4b99a2744ded28890fd94618
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 27 21:32:32 2011 +0100

    Qt: web intf: Ease mobile intf url access with QR-Code

commit b7f095620ec069e40295847019acedf27913b7ce
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 27 21:58:17 2011 +0200

    Remove useless config.h #define

commit 8f327be75dbb072a9d8aeb5fbf6173b85fab6ad0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 27 15:27:47 2011 +0200

    Replace MD5 implementation with FSF LGPL'd one
    
    This was originally written by Ulrich Drepper for glibc. However, this
    particular version is copied from libgcrypt (simpler to adapt).

commit 2f873669069fdca797000409d2e278a0055ef856
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 27 14:25:23 2011 +0200

    Correct debug message

commit 98aa3f7066d2b40d087414dd25c1a249c79a8e58
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 27 13:55:34 2011 +0200

    Move MD5 test to src/

commit c9a3688176a1571ab5cd9b77b6fddc3e1a110b62
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 27 06:14:26 2011 -0500

    contrib: run $(RECONF) in an arbitrary list of packages
    
    Now they recognize arm-linux-androideabi toolchain

commit 99096954f81c87a7515a2da5d90ab0194bef2074
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 27 04:46:39 2011 -0500

    contrib: Don't change HOST when building for android

commit 4f0b2161aa473c6d2a88216ad32087ff3586d77f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 27 13:11:22 2011 +0200

    MD5: improve test coverage

commit a42fe7a14d00f05748bb751dc4cd8956e29c3335
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 27 12:46:30 2011 +0200

    GnuTLS needs Winsock

commit b63d9ddec87b8083b40eed0a214de7a9ec4df268
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 27 12:04:40 2011 +0200

    Remove Linux distros from old contrib

commit 89c4b526e914809191f3f8c5efd65decd45b287a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 27 11:44:29 2011 +0200

    SRTP: mark internal library static, fix linking

commit d8d6bf695ee80c9540bf50ccd6318cd2609a016d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 27 11:30:27 2011 +0200

    contrib: fix static linking of libbluray
    
    Upstream should set Libs.private, but we want Libs.

commit f625f16aa49ce21aec65f02993e02213a6ab31f6
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 27 04:07:19 2011 -0500

    contrib: ffmpeg: add some cflags for arm/neon

commit a8fe060f3f5e17af2aa7b7bafb599b80e4a3181f
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 27 03:56:20 2011 -0500

    contrib: set android specifics

commit 259b9e4bcb0dee4f27c1c005f8c6ec0705558585
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 27 03:13:03 2011 -0500

    contrib: shout: skip if not building encoders

commit ababf11935d7ca4f5073cd9374da4409e79d917c
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 27 02:51:02 2011 -0500

    contrib: ffmpeg: only use libvpx when building encoders

commit 51bad0ef6510b2a6081ddc8ff9bce709fe19c2bf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 27 10:55:44 2011 +0200

    contrib: fix cddb dependency

commit deef5535cf7479c32c8998f25025a2ff8a4d429e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 27 10:54:08 2011 +0200

    Revert "contrib: make AUTOPOINT point to the script installed by gettext"
    
    This reverts commit 878d5212b7d531f2791ed230297857b0a94131fc.
    This fixes the build with installed autopoint.

commit 25c92ecdad241ba0e66ec68da885c9579c77fc32
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 27 10:36:13 2011 +0200

    Cleanup contrib warning

commit c26e0c1f56645085164cb1a98caf99f2a8a485f6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 27 10:35:36 2011 +0200

    GnuTLS: plugin needs crypt32 on Windows to use the certificate store

commit e29933bc26b1e12c4872e927e6bdd3d01e432361
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 27 04:01:02 2011 +0100

    Add a md5 computation test

commit 87636fed7ae915eb688e96bc061804798424a775
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 26 20:54:44 2011 -0500

    contrib: libxml2: disable tests

commit 8dc73f9e17ea729ed58ed82029f5a14d4173f158
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 27 02:46:30 2011 +0100

    Contribs: fix xml2 installation on OSX

commit 17ea145c1be2c35073c31d151b2b34ae23530a8b
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 26 20:25:44 2011 -0500

    Remove broken message

commit 7f71d43e9424959a0514b952bd9c29d08a65e0b0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 27 01:03:03 2011 +0100

    Warn people about depreciation, do not block them.

commit 9ce1ad72d1ef266841bd6976cb61a2a4bc1cf7c7
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 26 16:39:44 2011 -0500

    extras/tools: check for tar -J properly
    
    we don't use 'xz' binary directly

commit cb1111bc28589d869da9b5fe0a69c5a73cf08298
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 26 15:46:21 2011 -0500

    cosmetics

commit ffce1e460279dab9e890ae6f28074fb5bffc70d9
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 26 15:29:09 2011 -0500

    raop: handle VLC_ADD_LIBS

commit 4e56bb9c3a6b765fd01ec387168b849dab996a2f
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 26 15:04:09 2011 -0500

    Deprecate extras/contrib

commit 26ce585efb09e224f6a5fcdd7dbf7201cced4c4a
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 26 15:00:43 2011 -0500

    remoteosd: handle VLC_ADD_LIBS

commit 525abdab4db413884b4d03e0d32d67ac35dff17d
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 26 14:51:32 2011 -0500

    contrib: fix gnutls.pc on win32

commit c1cdd9154cb857a9886d28e9deb8d27b41c1f8e1
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 26 14:11:27 2011 -0500

    extras/tools: set AUTOCONF variable so automake can find it
    
    use $(AUTOCONF) to make pkg-config, add dependancy on autoconf

commit bdd6d7ca672372da18e52fdea7e494c1941be4ed
Author: Diego Fernando Nieto <diegofn@me.com>
Date:   Sat Nov 26 14:10:09 2011 -0500

    extras/tools: fix make clean
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 041605f192b416757d2fa88a668f6e1fcfad034a
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 26 13:59:16 2011 -0500

    extra/tools: tar and xz can be built independantly

commit ba7eaded5790bba644788a5f54b320d53080691e
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 26 13:54:24 2011 -0500

    contrib: prepend extras/tools/build/bin to PATH
    
    This makes sure our build of tar (if it exists) is used before system tar

commit 7d7b602579db4b59a321b243bba882596e9f277f
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 26 13:38:16 2011 -0500

    contrib: error out early if MacOSX SDK doesn't exist

commit 98ad3f3cb54dba78cb1b5d2f5d84052b5274c430
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 26 20:22:41 2011 +0200

    I422_YUY2: clobber lists for MMX and SSE2

commit 0fdf4e2e39f0fe8110ee8582da1c5916d9fa737c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 26 20:12:12 2011 +0200

    i420_rgb: clobber lists for MMX and SSE2

commit 7abc4fee7cf2df2c306a6ac6f497e4ce2065ae9e
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 26 13:01:41 2011 -0500

    ncurses: parallel build is broken, force make -j1

commit b1e7c0eb784fd3f24b29d62a2113b516263d566b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 26 19:59:23 2011 +0200

    MMX memcpy: set clobber list

commit 878d5212b7d531f2791ed230297857b0a94131fc
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 26 12:58:57 2011 -0500

    contrib: make AUTOPOINT point to the script installed by gettext

commit e47fb7cd004cd51c21f563593501a359a3a3f7ee
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 26 12:35:37 2011 -0500

    contrib: detect XCode > 3
    
    We need -arch to specify which arch to be built, else we have no idea

commit 5f8906ff5ceaef5e05b7c91363fcf30dcff39b15
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 26 14:07:47 2011 +0100

    Configure: build skins2 when asked

commit 77e431be6dded7d2f52fdbde15987b168a473433
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 26 13:02:06 2011 +0100

    Dash: compiled by default

commit 740c733e4cb505d709f0ed1d7ac9275db24024c2
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 24 17:37:43 2011 +0100

    dash: Parser: Standard (§5.4.4.1) specifies there can be at most one SegmentInfo node.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b3b66ecf038101243a7e8041dca8acaf8b836bd0
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri Nov 25 14:55:37 2011 +0100

    dash: MPDManager: Fixing memory leak
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 27459888ae70dd9d5ecd7749d47c2356e1b02f86
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri Nov 25 14:51:46 2011 +0100

    dash: DOMparser: Replacing an init method by an init list.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 55ea9b1e9d423c71962263b85e3af95bc411858a
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri Nov 25 14:43:56 2011 +0100

    dash: DOMParser: FIxing memory leak.
    
    This also prevents VLC to abort at exit.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4a7622120fb3aa873aae7e2361354578d0e065da
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 24 16:28:55 2011 +0100

    dash: RateBasedAdaptationLogic: cosmetics.
    
    Removing useless destructor & using initialization list.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b12d4270116f025afeebc3ca8a0c66f6b932329a
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sat Nov 26 15:05:28 2011 +0900

    Add OS/2 support to freetype module
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ce5c09494f0fa02049ecd9d9940d3317dea3a06b
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sat Nov 26 15:05:29 2011 +0900

    A local host starts with '/' on OS/2
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5b29de4706c98821e385b868ef8f178393c4ca86
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Nov 26 04:08:27 2011 +0100

    Document size restrictions of SRTP parameters
    
    Feel free to improve/add rationale

commit 58ef6e995c1a7d9d43c4ec1925845a3cd8d4d5df
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 25 21:12:27 2011 -0500

    Revert "contrib: ffmpeg: fix OSX linking with vda enabled"
    
    This reverts commit 08b3a966d270bd38e31db35978cc8de713d14575.
    
    Patch was merged in libav and ffmpeg

commit 683382180b7588301d175f0ffb3d02f2a75bfb57
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 25 17:39:35 2011 -0500

    contrib: MacOSX 10.5 works fine (tested for PPC32)
    
    Use this as the default
    Specify which framework to use by using OSX_VERSION=10.6

commit 296666f97642519264598acbe5a93673e897903b
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 25 17:41:00 2011 -0500

    contrib: vpx: try to set correct target for OSX

commit 7564f8f79f1d3e3a7145e9a23b7fe3043354891f
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 25 17:30:22 2011 -0500

    contrib: don't use -arch flag of xcodebuild
    
    It's only available since XCode4 on MacOSX 10.6

commit b3efd4273794e51e2856f7a81073ab60ab545c84
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 25 23:22:46 2011 +0200

    lua: remove MD5 functions before someone uses them

commit f2ec9d3eb8290d4af64ca208c756ceab00635d62
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 25 23:22:46 2011 +0200

    Bump plugin version before 1.2.0-pre2 due to minor ABI changes

commit 0db7670783253822aca6086cdee6686ec1353202
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 25 13:03:54 2011 -0500

    tools: check if tar supports J option

commit cbd4ad668faeb5eec1cee081a9bfe22b68b237c6
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 25 12:53:05 2011 -0500

    tools: fix tar dependency

commit 44ae66e5c83013784a0cb2755a574060046de629
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 25 12:52:54 2011 -0500

    Revert "Tools: one needs tar for the contribs"
    
    This reverts commit 7ab4c10e1af4825d88e6af69731820e4bc3d52f2.

commit e71614eced3473d552fb696896a8c5cedc056cdc
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 25 11:51:15 2011 -0500

    contrib: dvdread: fix dvdcss check on darwin

commit de618db3601bac3939b0814d9d4701f507dd0e1c
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 25 11:37:25 2011 -0500

    remove libdvdcss static linking hacks
    
    contrib's dvdread is patched and the patch is being upstreamed

commit 5bed700483d854f195151e0b9318ad5a32bba738
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 25 11:29:58 2011 -0500

    contrib: update dvdread patch
    
    put dvdcss libs in .pc when needed

commit 17a681a2a60f32cf0db7a65ae3e9a1475daa0ebf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 25 17:21:30 2011 +0200

    Move some gcrypt-related logic to makefiles

commit 2a70bf3485b7c8ae409b5fbc73655713a1ef440b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 25 16:41:22 2011 +0200

    Move intf_EJect() out of core

commit a5aed8a35116aaf8a80ae62a43308be3b7fa538c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 25 16:30:50 2011 +0200

    intf_Eject: remove unused MacOS support

commit fd1b32a38c5a29b300bda0433d97bf595722d467
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 25 16:30:03 2011 +0200

    intf_Eject: remove Linux <= 2.0 support, fix error handling

commit 876ebf085ebd2038b383b9e716fa5e53ee6c0a71
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 25 11:39:11 2011 +0100

    Qt: default FSC width to 800

commit e84b1a919101830309365a63430f11207c0a035f
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 22:53:59 2011 -0500

    OSX package: simplify
    
    Don't remove VLC-tmp.app

commit ad73dce3e3acfd8444938e93b0d42e0474b62b43
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 22:11:34 2011 -0500

    contrib: fix flac conf on OSX

commit 890da7340e277cc865309dd45d918fb10e4578fe
Author: Ralph Giles <giles@mozilla.com>
Date:   Thu Nov 24 17:41:54 2011 -0800

    Fix the condition for HAVE_QTKIT.
    
        The AM_CONDITIONAL call for HAVE_QTKIT has had a bug since
        3ddb9e51, where a 'test' invocation was elided. On MacOS X
        10.7.2 this caused the configure script to hang with an
        obscure launchd message:
    
          launch_msg("CheckIn") IPC failure: Operation not permitted
    
        This patch restores the intended logic.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit ca15b15bc6b3e97edc31f8fd95d2c0fb140a6ab1
Author: F. Yhuel <fyhuel@viotech.net>
Date:   Thu Nov 24 15:56:55 2011 +0100

    demux/mp4: bug fix in trun atom parsing
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a0aa05f2fec4ca0cb336e02c746f7fe7c894c9cb
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 20:34:25 2011 -0500

    OSX: disable SDL
    
    The library has not been ported to OSX 10.6

commit 108f7055b331b8a3f548e5995997df409abcd745
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 20:10:28 2011 -0500

    OSX: disable vcdx for the time being
    
    vcd is fine enough to be what we ship on windows

commit 078e321d5c1b3f29ca5558b0573ca117fbedcbea
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 20:08:41 2011 -0500

    workaround the fact that VLC_ADD_LIBS appends arguments to the start of LIBS_plugin

commit 17f189f20e51841d3a18986e435be3bbd88e8876
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 25 01:55:15 2011 +0100

    vlc_xml.h: reindent the standard header

commit fd3f4d2e7072dcf400ac8c7ca6fcf8df41ebd2dd
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 19:35:35 2011 -0500

    move dvdcss checks after dvdread and dvdnav
    
    Else dvdread libs end up being "-ldvdcss .. -ldvdread"

commit fd8417918754a9d536bf621fa0a3bf8ca56d079e
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 19:16:46 2011 -0500

    dvdcss: only use darwin libraries on darwin
    
    simplify

commit 08b3a966d270bd38e31db35978cc8de713d14575
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 19:10:14 2011 -0500

    contrib: ffmpeg: fix OSX linking with vda enabled
    
    patch sent to libav

commit b1ff303cd6736ff4b9ab9688cc4569a5f9006fa0
Author: Christophe Mutricy <xtophe@chewa.net>
Date:   Fri Nov 25 00:01:31 2011 +0000

    l10n: Refresh all .po for -pre2

commit 108b63da194d86f0e7273c36a1fbb9fccf544a4a
Author: Eric Lassauge <lassauge@users.sf.net>
Date:   Fri Nov 25 00:00:32 2011 +0000

    l10n: French update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 2de269291ac65cc79dc2d45031e9da726ba8dacf
Author: Marián Hikaník <podnety@mojepreklady.net>
Date:   Thu Nov 24 23:53:25 2011 +0000

    l10n: Slovak update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit ccd35a73693c217f189806d2778b01ed41dce142
Author: Thomas De Rocker <thomasderocker@hotmail.com>
Date:   Thu Nov 24 23:52:39 2011 +0000

    l10n: Dutch update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 088f8ae5bcf813f3392141ef2eca504d1037059e
Author: Azpidatziak Euskaraz <azpidatziak@gmail.com>
Date:   Thu Nov 24 23:52:00 2011 +0000

    l10n: Basque update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 96a8ed476abe5b0f5a6ba2799f0b08a9a6635773
Author: Christophe Mutricy <xtophe@chewa.net>
Date:   Thu Nov 24 23:50:29 2011 +0000

    i18n: refresh vlc.pot for -pre2
    
    Includes some strings from luahttp not currently automatically extracted

commit 275e6a597bb67fff1672ba7e6f4b2af7da827e04
Author: Christophe Mutricy <xtophe@chewa.net>
Date:   Thu Nov 24 23:49:03 2011 +0000

    Add more files to POTFILES.in
    
    Some only provides strings for teh list of modules tho.
    
    Pointed-Out-By: Eric Lassauge

commit 1a1220063ff98360521c406344f2874af0949c05
Author: Thomas De Rocker <thomasderocker@hotmail.com>
Date:   Thu Nov 24 23:13:13 2011 +0000

    l10n: Update Dutch translation of Win installer
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 1424165964f3c4b27269780f4d7eefd7107c6892
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 18:27:35 2011 -0500

    Link dvdread and dvdnav plugins to libdvdcss, always
    
    Also add missing libraries for darwin

commit acf5397b37d648b8df13eb3a0d1bee14d8e3ae2c
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 18:03:15 2011 -0500

    contrib: fix bghudappkit for xcodebuild of vlc project

commit 5d20fde4699ea276af8d0669463ed5eb182dce9f
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 17:09:35 2011 -0500

    contrib: bghudappkit: use a known to work git revision
    
    ibplugin was removed in current master

commit 04e929175191c8086fd5cd7264a4bdd3e9a8badd
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 17:08:20 2011 -0500

    contrib: support using a specific commit tag in download_git

commit 282acbf1d328b581f9d289f69b84979d9707e55e
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 16:58:37 2011 -0500

    Update lookup directory for growl

commit 45f98242300f76b6531d8c344214f78f8212221e
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 16:38:11 2011 -0500

    contrib: growl: fix build

commit 580921081cb86c1bd1523987dfe4e1cb11a2a91b
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 16:33:17 2011 -0500

    contrib: Growl: fix build
    
    Growl.framework is still nowhere to be found though

commit b821b6691062fcd8fd6b09a3a7e501efffcee239
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 24 23:15:22 2011 +0200

    Set VLC_MMX and VLC_SSE where needed while testing the CPU features

commit 96447a8af587815cba340f98cef8b786db1db04b
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 15:58:43 2011 -0500

    contrib: build sparkle

commit e854291dbab92b860772cab2b9119539fe73eadb
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 11 15:39:29 2011 +0100

    grain: fix clobber list
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit c68a4ce3080bae5f3caf65e95896ad3323f46ef2
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 11 15:28:56 2011 +0100

    gradfun: define the clobber list
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 209f1ae07f3380a50f3e920d6ba43a1138fae429
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 12:18:34 2011 +0200

    Define VLC_MMX and VLC_SSE function attribute macros

commit 8179cfedcb3fbdcf6db6521ce49c82d16762c88f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 24 22:17:27 2011 +0200

    Win32: default to binary mode in vlc_open() (fix #5578)
    
    ...rather than merely vlc_fopen().

commit d6d9ee3386255deca484d6ac225fce9151edf9aa
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 24 21:29:13 2011 +0200

    FluidSynth: look for sound font in /usr/share/sounds/sf2/ by default

commit bfa5357416d72472041e878f4649dfe0d900bffd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 24 21:21:11 2011 +0200

    Fluidsynth: revector initialization, no functional changes

commit 1a3321747ebf0dc2740f13aa7ac14440c981460d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 24 19:12:51 2011 +0100

    Use a subfolder for the contribs prebuilt...
    
    Else, we'll go mad over the management of this huge folder.

commit 17c7666bf05f97ecbdbd5521f9fdbc171ce7d19c
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 12:58:13 2011 -0500

    contrib: remove $(OS) from package/prebuilt

commit 7011b14f736a4851b6007ef6ac161486cb5b269a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 24 18:38:50 2011 +0100

    NEWS, LIST and POTFILES.in for KVA

commit 7ab4c10e1af4825d88e6af69731820e4bc3d52f2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 23 16:00:08 2011 +0100

    Tools: one needs tar for the contribs

commit b278bb8521bac23564b2a662ba5da42c192806be
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 24 19:36:13 2011 +0200

    vlc_networh.h: close() needs <unistd.h>
    
    Reported-by: Myung-Hun KO <komh78@gmail.com>

commit 9a617608c0fdefc83c63f86a95b3b65a6955ba9e
Author: KO Myung-Hun <komh@chollian.net>
Date:   Sun Nov 13 21:27:18 2011 +0900

    Add UI for KVA
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 088684bb98ca1926b608572cd2692947bf5b1b2d
Author: KO Myung-Hun <komh@chollian.net>
Date:   Thu Nov 24 19:22:22 2011 +0900

    Add KVA video output module for OS/2
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit fa0e429bad0fae81a69c1ba89d41908ca18c8632
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 24 19:23:42 2011 +0200

    isatty() requires <unistd.h>
    
    Reported-by: KO Myung-Hun <komh78@gmail.com>

commit 1c707713b742f75bb3d799ce3909d81707d363e4
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 24 17:35:14 2011 +0100

    dash: DOMHelper: Avoiding some copies, using operator== instead of compare()
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit d6576e6af2472d48bfb36966e29d36bfb74b64ee
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 24 17:26:00 2011 +0100

    dash: Node: Avoiding lots of copies
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 1086074c0da8e56d1ca2ce8c6af14a4268489a47
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 24 17:06:20 2011 +0100

    dash: DOMHelper: Adding a helper to get the first child element.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 1f72229677fa80f9af594c984afc9e32ea917d6e
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 24 16:33:20 2011 +0100

    dash: RateBasedAdaptationLogic: Removing useless loop.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit ca1045ab9f7b8488300fd9d0628157c9e937638f
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 24 15:34:32 2011 +0100

    dash: Fixing memory leak
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 54452fcda2370a3907786ae5e7cdabac1d278597
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 24 12:24:31 2011 +0100

    dash: IMPDManager: Removing useless constructor
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 49e90877c6f80254b0dd8cc7559e37e4e99d794b
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 24 12:23:11 2011 +0100

    dash: Avoid some copies & useless initializations
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 57ee2560c2640a22d936016cf00adec670a2053e
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 24 12:11:21 2011 +0100

    dash: Using initialization list.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 674fe3654d880fb3f8775db989fd0bec74c95c26
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 24 12:09:15 2011 +0100

    dash: MPD: Removing useless CTOR
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 85ed6b991f2aff8490ee23dffd96b431ddc22e7c
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 24 11:53:20 2011 +0100

    dash: Avoid some copies.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit df9757124d8e12c0fbf39803f3d3e8057262f353
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 24 11:52:44 2011 +0100

    dash: Avoid multiple lookups.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit dd159d0811d89c2bb90408fc1fc63cff0791cda2
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 24 11:29:59 2011 +0100

    dash: Removing factory another class instantiation.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit c1a6296ed71ac9fd57138d77aa609ac420460479
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 24 11:26:47 2011 +0100

    dash: No need to instantiate a factory.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit b67634afd3688daaec5fca69687afe6475c99813
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Nov 24 14:25:20 2011 +0400

    Install zapiks and extreme lua playlist parsers.

commit cbb00550eaf87e7bb741beeb62742c031f1fae9c
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Nov 24 14:20:55 2011 +0400

    Revert "Do not install vimeo lua playlist scripts."
    
    This reverts commit 6b9c7f2a35eb8e379e427a03110d9039d7ee756a.
    
    Now when we fake our UserAgent in vimeo.lua, it should work for our
    users.

commit 4561cb3bc265c50dae38238bfc1d63e18da288c9
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Nov 24 14:12:59 2011 +0400

    Lua: extreme.com playlist parser.

commit 7d338537e7f95332cccb5454e724de5f55de3951
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Nov 24 14:12:38 2011 +0400

    Lua: zapiks.fr playlist parser.

commit 77fb8a05fdfdbe9596167fc451c487a5a1ee3f56
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 24 10:53:30 2011 +0100

    macosx: updated Preferences script

commit a6c09741abbf39900841c6939842b1b7ef26a9d6
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Nov 24 08:24:58 2011 +0100

    MacOS Gui: fix play/pause toogle with space key in fullscreen mode
    
    This fixes play/pause toogle with space key, when vlc is or was in (non-lion) fullscreen mode.
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit c46be236fa6b7d1f53751476264c2601e675a0f9
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Nov 21 20:22:20 2011 +0100

    MacOS Gui: play right input when adding a new file due to double click in finder
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 3f021a041086a825cf6ff67467cab7aed7809ccb
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 01:15:53 2011 -0500

    OSX project: use absolute paths to frameworks

commit 66e45812305c60b92e2ea4ff99b130a2cb829320
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 24 00:09:12 2011 -0500

    fix album art caching for files without artist/album tags
    
    Closes: #5298
    If a file has no metadata, but has a download URL, we download the image
    and cache it using only the URL.
    Thus files with attachments and empty tags always used the same image,
    because we matched the image to the URL "attachment://X"
    
    Add the title (or file name as fallback) to the cache name when using
    attachments for files without artist/album meta.

commit aee3c6f9ddf1a82e67194a2fdf74102bc4002a9f
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 21:41:09 2011 -0500

    contrib: download prebuilt contribs

commit cc8487db61c0b09b992a34aba6b40c02640e72b0
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 21:16:10 2011 -0500

    contrib: guess OS automatically, make package will create:
    
    vlc-contrib-$(OS)-$(HOST)-$(DATE).tar.bz2
    
    where OS = macosx/win32
    HOST=x86_64-apple-darwin10 / i686-apple-darwin9 / i586-mingw32-msvc / x86_64-w64-mingw32 ...

commit 20985abf3a80644d8c64c7b69f539999edb38fb5
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 20:29:41 2011 -0500

    typo

commit 72263a21b63a4c6995193d258155835ca7c89785
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 20:28:28 2011 -0500

    OSX: test and use frameworks correctly

commit 49bc066575dcae7d6c2cd87b41278e5d0f4bf3cb
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 20:14:03 2011 -0500

    OSX: use correct framework search path in xcode project (at build time)

commit dcae1998d9da6f54cce9fce1305ac70920d4e680
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Thu Nov 24 01:30:46 2011 +0100

    Qt: Allow fullscreen controller to be stacked at the bottom
    
    Close #3120
    
    Modified-by: Jean-Baptiste Kempf <jb@videolan.org>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8691e5de24bd884e7a589533b7ea75ffcd1ea1b0
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 19:34:39 2011 -0500

    OSX: refuse to build without BGHUDAppKit

commit fdec98ad487e4e1c6024690603e6912a5b17ae00
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 19:34:32 2011 -0500

    OSX package: fix typos

commit af3b365aa722703b0261a70b215b30773ed7d1f1
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 19:13:07 2011 -0500

    contrib: tentative build rules for OSX frameworks
    
    only bghudappkit builds properly

commit a1d248f0b0f633df814ef56b2e71f3ee8f1827bb
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 18:54:26 2011 -0500

    osx packaging: 3rd party frameworks are optional

commit 2d1811bf8a3f6637886e467844129727ba690da5
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 18:52:21 2011 -0500

    OSX: make BGHUDAppKit and Sparkle optional

commit a33f16d71df5588846bd2f65a261a6e502e63992
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 18:29:23 2011 -0500

    update osx defaults

commit 6f7cf7daf8150009b082f8f67116ff041fb80b93
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 18:10:54 2011 -0500

    Revert "Don't assume some default prefix is used"
    
    This reverts commit ebf341dc34b3c237cab00000ef8c833a7f535878.
    
    We can't force a prefix at make install with DESTDIR
    files are installed in $(DESTDIR)/$(prefix) not $(DESTDIR)
    
    This also breaks OSX binaries, and thus test suite (is that libtool's fault?)

commit ab9286db29d31839380d742b8991139284333a8a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 23 23:53:30 2011 +0100

    MKV: update copyright

commit ebf341dc34b3c237cab00000ef8c833a7f535878
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 17:50:08 2011 -0500

    Don't assume some default prefix is used

commit 289d5a7295e33f8f4955783270b0b86f6b805510
Author: Denis Charmet <typx@dinauz.org>
Date:   Wed Nov 23 23:36:26 2011 +0100

    Prevents a crash if KaxInfo cannot be found in KaxSegment
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 73160f1a9bd3b3fa666abdd0c65ad7a083ea3b93
Author: Cheng Sun <chengsun9@gmail.com>
Date:   Wed Nov 23 21:39:12 2011 +0000

    Fix crash in invalid mkv files
    
    VirtualFromSegments can crash if the std::vector passed in is empty, which
    can happen in corrupted files. This is just a simple check for this case,
    making it fail elegantly rather than crashing
    
    OK-ed-by: Denis Charmet <typx@dinauz.org>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2bb4972e1e4b0a7ab735a6902c2bb616c0f07be4
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 17:28:08 2011 -0500

    remove --enable-macosx-defaults, move to shell script

commit 725582805b8127b5b6099f7d494b31961461d8e5
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 17:24:31 2011 -0500

    OSX: factorize, abort early if SDK not found

commit bf4764eaeaf05d9eaeaf14ebaff33d9898121ef1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 23 20:40:57 2011 +0100

    On the road to -pre2

commit b7e56314b287a5a9ef4f655548be955cd88b1d30
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 23 22:23:54 2011 +0200

    Qt4: fix encoding of recent menu text

commit c56cafe4b7d679f9703e2faa41aa9944a008e706
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 23 22:15:53 2011 +0200

    hqdn3d needs libm

commit cabec14a36421ec7f8b4ea0af4e9a8d68d7df5a6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 23 20:38:57 2011 +0100

    NEWS, po, LIST for hqdn3d

commit c536c705ffdcab7a1abe91d17b83bbefe7ca3477
Author: Cheng Sun <chengsun9@gmail.com>
Date:   Wed Nov 23 14:25:52 2011 -0500

    hqdn3d video filter, ported from mplayer
    
    High Quality DeNoise 3D, a port of the MPlayer filter, removes high-frequency
    noise while minimizing blending artifacts by performing a 3-way low-pass filter
    
    To open source programmers across the world:
       MAY THE FOO
       BE WITH YOU
    
    (PS: code-fu, that is)
    (PPS: blame funman)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 1305c3e1bffb93e63a417c8b1dc691b78458cd42
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 18 20:57:44 2011 -0500

    win32: fix gnutls access
    
    reading failed with EAGAIN but this error was not catched properly
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 055d7f3df9402ce6f74fce23dfad72edac9e77e5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 23 19:32:45 2011 +0200

    Qt: fix DVD MRL generation
    
    I must be missing something here... oh well.

commit 4f75c7f0a8fbdb6dcff308b34174af8be713b384
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 23 19:32:08 2011 +0200

    Qt: update DVD title/chapter syntax, add it for BD

commit f2b4f0474ea053a1e6693cd28d7d624eade47d30
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 23 19:22:54 2011 +0200

    Qt: do not set cdda-track for BD

commit 0f2036ebeb3150b063a0001935d7d60440cea368
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 23 19:22:32 2011 +0200

    Qt: do not prefix VCD chapter with 'E'

commit f73757dd054ab92af54a5fe4aac6f9003dc66fa6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 23 11:31:56 2011 +0100

    Contribs: remove most of dvdnav patch

commit e270cf4d9d69196f303e0218d435b00584afb07c
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 00:57:42 2011 -0500

    contrib: update qt4 for OSX (doesn't build)

commit ebb35e0156ccb3e34c180f357a71f6433eb142ed
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 23 00:28:19 2011 -0500

    contrib: dvdread: fix static linking of dvdcss on osx

commit cba2b87e98faf0e5aaadf4b0602b622c0823df9e
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 22 23:29:05 2011 -0500

    contrib: gnutls: skip automake

commit a16ccb7c096b784d0fde169759a71ff538e3fe90
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 22 23:23:59 2011 -0500

    contrib: gpg-error: skip automake

commit 4dcd2caf9e58f7dd2e1fc3bce21abe189491716d
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 22 23:06:22 2011 -0500

    contrib: forgotten patch for dvdcss

commit 9679c59b7e3b1f15c1d2e7c338166ca31d306764
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 22 22:56:38 2011 -0500

    contrib: add BGHUDAppKit (doesn't build)

commit d2a4a5af3912ced68a8503ad7aea25c8e1d71a98
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 22 22:49:05 2011 -0500

    contrib: OSX: add sparkle (doesn't build)

commit 9c76ebe5f85fa2507fc8c7f2bae2a21d03a7b137
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 22 22:38:34 2011 -0500

    contrib: add growl (not building)

commit bb8e5d60064b59db657d5b7c71baf4ce6aca471f
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 22 22:23:44 2011 -0500

    contrib: openjpeg: make sure we run only 1 job at once

commit ffb010c05f4e5a06d93427389c21e133c895410c
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 22 22:18:10 2011 -0500

    contrib: SDL_image: fix OSX build

commit 4be01fd334cbdd8dbffa679769b2d542e79422ec
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 22 22:14:02 2011 -0500

    contrib: fix libdvdcss build on OSX

commit 82947e7f69cb4e95f1b965f908cd9a3fbff161b8
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 22 22:06:38 2011 -0500

    contrib: fix gnutls / gpg-error build on OSX
    
    don't run aclocal for those (we only patch Makefile.am)

commit a6f96090fc33e438a10df98af057ad0c85a0e478
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 22 21:51:28 2011 -0500

    contrib: fix live555 build on osx

commit bf9ab95562dae4fd7d4396cb4ab7474771b6674f
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 22 21:45:36 2011 -0500

    contrib: use gcrypt for gnutls on OSX too

commit 7c98e07cc07295b40f034a31c0fa35ed001434a0
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 22 21:28:44 2011 -0500

    contrib: fix gcrypt build on osx

commit f047f0965483aa8c98dce390c0bab45efe0cbb5f
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 22 19:32:33 2011 -0500

    contrib: enhance binary package
    
    - remove stuff we don't need
    - replace prefix by template (.pc/.la/-config)
    - include script to replace prefix template by $PWD
    - use widely available bzip2 format so xz is not needed
    
    Use:
    $ make package-win32
    $ make package-win64
    $ make package-osx
    $ make package-whatever

commit ad81f3760bba308ba33f52eb12abbdb43ebc296e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 22 22:29:07 2011 +0200

    XDG needs <signal.h>
    
    Reported-by: Joseph Atkinson <jsa@freebsd.org>

commit f10fda0ce189fc268be42bd94006a8d1033bbccb
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 22 11:57:19 2011 -0500

    Revert "mingw32: Look for contribs in /usr/win32 or /usr/win64"
    
    This reverts commit ec76c41b3dce28ba672b8aaab8b6a1e1616b408b.

commit 1c8b5fc1a42fe3e165ef581aff132b10d9fd5b4d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 22 18:12:42 2011 +0200

    Win32: do not set _fmode
    
    Setting the translation mode is the responsibility of the program. A
    library must not interfere with that. It could perhaps be added to VLC.
    However it should not be required as we now force binary mode by
    default in vlc_fopen() and always specify an explicit mode when calling
    fopen() directly. Also it would make VLC behave differently than other
    LibVLC applications, which may raise really weird bugs.

commit 7ac7fbccf5b43164cca46ebc5ee01e1cfbe30c94
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 22 18:09:51 2011 +0200

    Win32: setmode(stdin) belongs in the app, not the library

commit 709b755fa8c4a91c876179ce318ea55b676506c5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 22 18:04:52 2011 +0200

    Win32: assume binary file open mode by default

commit c0d92ebea34aba10037f339928cf13048f0a5d92
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 22 18:01:26 2011 +0200

    libc.c: remove former authors
    
    ...whose code was (re)moved since then.

commit a4abf9d53cbe343ea4829118e6c51c29364e5c5e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 22 17:43:23 2011 +0200

    Remove unused variable

commit d692bb16f728377747b58016f5ac5c1f85952d30
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 22 17:42:47 2011 +0200

    Remove useless <unistd.h> inclusion in core

commit a4f1bc2b0806c9eb5cf33f965c980b72f836bd6e
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Tue Nov 22 15:18:40 2011 +0100

    Qt: implement playlist empty button
    
    Close #4999
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b19aaff6ad2d3440dd45f99d6d03933fa4426665
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 21 16:18:17 2011 -0500

    contrib: update TODO

commit 92cadd78009307dc3152e90587eb9ff62b46734e
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 21 16:18:12 2011 -0500

    Revert "contrib: OSX use shared libraries"
    
    This reverts commit 4a7bb89cd823531b1129671d25f91047886b1eb7.

commit de41dc591b3e3516acaa175fa25c1591c3085454
Author: Kaarlo Raiha <kaarlo.raiha@gmail.com>
Date:   Mon Nov 21 17:14:36 2011 +0200

    Fix typo
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 2e4809380466f8f27168b05e4ad0c31df9679424
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 21 01:58:22 2011 -0500

    fix OSX package, .app are directories, not files

commit 777ee545e7421f8540c728813039a01783bbf782
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 21 01:56:00 2011 -0500

    contrib: update TODO for OSX

commit 864b429161800a86d9b5ef793e7bbf21118bf26d
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 21 01:39:13 2011 -0500

    contrib: add -m64 flags for OSX

commit 1a204d9f65a5921545f4f71db5161d3534c1f2c0
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 21 00:58:43 2011 -0500

    contrib: update TODO with OSX status

commit c705d458eefce00a2fddcb228775d66ade88e12a
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 21 00:48:12 2011 -0500

    contrib: OSX: force AR/LD/STRIP/RANLIB
    
    There is no host-prefixed version of these tools

commit 0714ff05a3864699555801482c1140e12a6cce63
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 21 00:47:28 2011 -0500

    contrib: typo in OSX LDFLAGS
    
    Fix linking of a few libraries

commit 600cc13e0e3b243f896dcee06dcb3975bd8f31e8
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 21 00:46:18 2011 -0500

    Revert "contrib: re-run autoconf for some packages"
    
    This reverts commit f6982935912425c011b7225c0ddf1ac9e3f21101.

commit 39867aa1db523a9c9c75a1b68cdefb3177f7ac1f
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 21 00:46:08 2011 -0500

    Revert "contrib: shout: run autoreconf for darwin"
    
    This reverts commit 5213503d20328fac5f26f3c4aef5edf20e95cce6.

commit 4bc118600ea410331fd393c0eeaf84da7c6d1737
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 23:11:29 2011 -0500

    contrib: shout: run autoreconf for darwin

commit d0082aae123f925e5cc3ca2599748c3a622da21b
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 23:08:51 2011 -0500

    contrib: speex: really disable ogg

commit a9d50c22bab0249baabe20a3e99249966ae7a404
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 21:25:58 2011 -0500

    contrib: jpeg: run ranlib only if needed

commit 119e9b31c351c233e43e4f4c75451ca0ac4312ed
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 21:30:58 2011 -0500

    contrib: vpx: fix OSX build

commit 2db2a2a9ad550081bcd31f891a66d3134d5abb06
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 21:28:07 2011 -0500

    contrib: vpx: don't use GNU install

commit f6982935912425c011b7225c0ddf1ac9e3f21101
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 21:27:15 2011 -0500

    contrib: re-run autoconf for some packages
    
    they were made with old version of libtool which only know old versions of darwin

commit 56ba3eb2ffc0ca7ba8656fe2c7b7a45ee0f74bd4
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 21:22:28 2011 -0500

    contrib: OSX needs special care
    
    I could only test building for OSX 10.6 as it's what jones have
    Hardcoding 32bits target until someone tests 64bits

commit 4a7bb89cd823531b1129671d25f91047886b1eb7
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 21:22:05 2011 -0500

    contrib: OSX use shared libraries

commit d81b91680bce28e5b1adc04bfb7373460c03bc42
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 21:21:29 2011 -0500

    contrib: don't use GNU find to delete all directories from cwd

commit 4658abe5b64ca2ec50c21a38f1b2c02aca2c0bba
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 21:03:43 2011 -0500

    contrib: update live555 patch

commit ec76c41b3dce28ba672b8aaab8b6a1e1616b408b
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 17:42:53 2011 -0500

    mingw32: Look for contribs in /usr/win32 or /usr/win64

commit 9fc4ccebd9df60b4b7dc966268b42e1c7cc62d30
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 16:58:10 2011 -0500

    Check contribs after operating system (which sets SYS)

commit 5df271068ac0756c93b0ae6c2f4dad4dc0d7b43c
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 16:46:46 2011 -0500

    No need to set LDFLAGS_vlc

commit a2705d44b894fd789eba80791cf9c48a5d5fecd2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 20 22:30:02 2011 +0200

    DTV: add ISDB-C (ITU J.83 Annex C) untested support

commit 24d5626426cf75b0b82940c175f2e434f2ab4795
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 15:25:26 2011 -0500

    Fix references to configure-{msys,mingw,cygwin,common}*.sh

commit 3f311b7280df3e9dae7c0f69134336a841f01803
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 14:15:33 2011 -0500

    win32 configure helpers: merge into one script
    
    autodetect cygwin compiler
    you now have to specify --host option (and --disable-nls or --enable-debug) as argument

commit 6202b29bbbb9fac59b3ef9a571df45bf3058ab8f
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 14:05:56 2011 -0500

    fix win32 webplugin packaging

commit 0471d6ef8ba4c9e477561f4ae4fec75f1c8c2cd7
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 20 14:02:53 2011 -0500

    OSX package: add dependencies on ChangeLog, copy it from builddir everywhere

commit 3e633bab1d866d1ae66080843051341ad0adfe26
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 20 11:48:10 2011 +0200

    ugly: better module description

commit 824aa6134cabdf7eda03e9a15e55b7eabe71d2c1
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 19 21:18:46 2011 -0500

    osx package: copy ChangeLog from builddir

commit aabcf027bc9deeb9015cd74bf76aaf6254a04efe
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 19 17:57:13 2011 -0500

    contrib: patch zvbi for libpng15 api

commit cb84f9ac0fa0d0236a5c462e58261590b1b5068c
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 19 17:35:17 2011 -0500

    contrib: disable png code in SDL_image
    
    we already have a png decoder

commit 58ac662cc1f756c1fa9c9bd3315f91923739bd45
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 19 17:04:35 2011 -0500

    fix crash with directory access
    
    If a directory was not valid UTF-8, convert_xml_special_chars() would
    return NULL, we'd have no title to give to our node, and we'd use
    freed memory when adding the next node to the list.
    
    Ensure we give valid UTF-8 to convert_xml_special_chars()
    Also ensure we give a title to our node in any case

commit 8a2ce299b33d99501e07dc9a6ace50f91b40a02e
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 19 16:54:18 2011 -0500

    Revert "directory access: avoid useless strdup"
    
    This reverts commit 0cef084bdfb2acca795e72f2cd9ade638fa07e52.
    
    It broke playlist-tree

commit db4566e1d7d377103699f93e046a06ed2fc23757
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 19 22:14:21 2011 +0100

    macosx: replaced a few NSLog which sneaked in this summer

commit 67de52f4aeb6fae90acaca67045c7ff14bfb4985
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 12 21:32:58 2011 -0500

    mp4 mux: always write esds descriptor length using 4 bytes
    
    Closes: #4691
    ipod shuffle doesn't support anything else.
    
    Fix from FFmpeg
    
    Also simplify bo_* functions (bo_add_descr is from FFmpeg too)

commit e67f216bf7abfe36ed377242d1137bc076b931b3
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 19 10:04:29 2011 -0500

    win32 package: simplify / cleanup

commit 0fb207f2431f23cbea71e5e4ac587ec510ca264a
Author: Sam Lade <sam@sentynel.com>
Date:   Sat Nov 19 19:03:27 2011 +0100

    Bluray: fix issue when libbluray couldn't parse the meta info
    
    This is the case for BD of 2001
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b9dcd0c7321c9fb3e48e6892d09163a158574c63
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 19 18:58:13 2011 +0100

    Bluray access: relicense to LGPLv2.1+

commit 8be768a9cfb2c468b0e8917f045df81b592735a9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 19 18:42:51 2011 +0100

    Qt: Go To Time dialog: set default time to current (fix #5511)

commit c40e7aaf12e580725638154ac1fe8abdfd2e66ff
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 19 12:13:28 2011 -0500

    fix macosx packaging

commit b011ab462e57d62f434f47ef90691e6781d59255
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 19 17:50:49 2011 +0100

    macosx: fixed transform filter controls

commit fd7c4d1e39c3d11b3653b0b710a7d4c77a46f090
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 19 11:42:10 2011 -0500

    force symlink creation

commit 8df3fe36d10d21e1fcf57ab1f1cf424eb81ddbdc
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 19 17:03:37 2011 +0100

    macosx: fixed video filter enable/disable code
    
    loosely merged with the qt4 code

commit a75b97adb827bfad6ad6cf5afb500e2da5ea1c59
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 19 16:08:02 2011 +0100

    macosx: fixed confusing interface behavior of the crop filter controls

commit 23927fbbab12041e44581af4ebfc5855ff86f7cb
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 19 15:32:42 2011 +0100

    macosx: show an indeterminate progress bar style when doing stuff for indeterminate time
    
    Fixes #5548

commit 7c3da06795daf5fa8b038e1fa493e7155a9aba83
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 19 09:18:19 2011 -0500

    i686-w64-mingw32 toolchain produces 32bits binaries

commit 1148ca8f77c1857366842bb9d68b117930ec96bf
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 19 08:14:10 2011 -0500

    Fix VLC-release.app target
    
    VLC binary must not exist prior to running Pre-Compile.sh

commit c51c593ac5b8008e94cb062abb4c9c856903d14d
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 19 07:30:46 2011 -0500

    Remove obsolete optimizations=speed option

commit 62e0c8ad56cc47154c24816a112d06a326c932af
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 19 07:26:00 2011 -0500

    Don't force fno-omit-frame-pointer on darwin

commit 35ca47b9c89b978e947455a057e09f31c5b8c4db
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 19 07:24:38 2011 -0500

    n't -> ' not'
    
    fix vim syntax highlighting

commit b446c4eba02afb340096d263a4f8f6da19499475
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 19 02:16:14 2011 -0500

    MacOSX Readme: update
    
    Fix outdated link
    Remove 'version 0.9'

commit 046a06bd02d2286d611000b49f968b4cb936e7a0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 12:12:25 2011 +0200

    Fix CFLAGS for optimizations and SIMD
    
    This should really be cleaned up...

commit 1afe2b7a83b0cb997b1a7fa3423ac36c9a2edcd9
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 19 00:53:17 2011 -0500

    macosx packaging: simplify
    
    reduce some shell constructs
    copy whole share/ directory
        Closes: #5439
    copy .mo files and share/ for VLC-release.app too
    
    Finally get rid of the horrible, out-of-sync duplication of VLC.app and VLC-release.app

commit d1d03dfac311706c1314b3c1d55b7aabd560554d
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 18 23:47:01 2011 -0500

    Makefile.am: split macosx and win32 packaging into their own files

commit f584894de3d7b914af590494fccc2850165cd64c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 19 02:19:11 2011 +0100

    MKV: increase debug on attachment management to fix the cover art bug

commit 1e378378cee17f7cb7579e168ee517246ac1c37e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 19 02:01:38 2011 +0100

    MKV: remove unused variable

commit 27643a8bd9ce70eb9ed0350fd8fd28c7b967e2bc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 19 02:01:15 2011 +0100

    MKV: parse more metadata

commit d239e0f9f2251f17801e15a7f26b074dd47d09b3
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 18 19:00:41 2011 -0500

    skins2/win32: don't link with every lib known in existence

commit 5b9f4a1567f1e998d532bb1c91771114ea8b903f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 19 00:18:29 2011 +0100

    Contribs: disable libbluray debug

commit 504fed2b12e7acb5929957af1c9fc4e1dec4a202
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 19 00:11:25 2011 +0100

    Contribs: add more gcrypt ciphers

commit a52a9029ecf5b8f554aa422f1c719327b987625e
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 18 14:07:39 2011 -0500

    contrib: gcrypt: enable rsa public key cipher

commit a169af98651cb1cfa590ae7c55977988d3cd5b56
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 18 23:13:12 2011 +0100

    Qt: fix VLM geometry restoration
    
    Forgotten in previous commit

commit 0ee6cb86c47334196cce466266b5837f8a09f144
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 18 23:11:51 2011 +0100

    Qt: update correctly the MRL when checking BD radioButton

commit 4d8b6d1032c2a481264847acdca94446f75ba6c1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 18 19:00:06 2011 +0100

    MacOS X: fix preferences for ModulesConfig
    
    Close #5024

commit 1600cff8446e2274ba9c03f37a9f3b75e0ac7899
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 18 18:03:19 2011 +0200

    speex: increase default quality to 4
    
    On rare/unreproducible occasions, level 3 seem to induce lots of noise.

commit 6bb8836f875ddf72f2817c6d68fcad5511413679
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 18 16:19:51 2011 +0200

    Revert "Add list of committers"
    
    This reverts commit 5436f7e9cb11d2027f95b18694ad4e2262e46f6d.
    
    Conflicts:
    
    	COMMITTERS

commit a30d9526b9bda1f15b9361ceb40c3ebb5effd830
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 18 03:02:38 2011 +0100

    VLM: correctly save and restore the geometry

commit 9b8667a845054c36f1afbf9105baa70284b9aed1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 18 03:01:22 2011 +0100

    Qt: Extendedpanel: move to a Dialog
    
    Close #5335

commit 586de2de7af4df4944be1515b4faf5f96452e92d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 18 02:33:49 2011 +0100

    Qt: sprefs, add MKV preloading
    
    So anime folks don't jump on my throat again...

commit 8b8dfe1f91df6fa0a8591dabdb0676cfb29132d2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 18 02:28:51 2011 +0100

    MKV: improve options wording

commit 449010e5cf8172aafa956ab25d75d39af976a550
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 18 02:17:20 2011 +0100

    Contribs: update upnp to 1.6.14

commit a94e5083968b914d4b13bfaead5a0eec963ea19b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 18 01:11:13 2011 +0100

    Contribs: update to Gcrypt 1.5.0

commit a8a89eb78f58e55eb1c3d7466d89b386cac9ca21
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 17 18:14:31 2011 -0500

    Complete list of committers

commit 5436f7e9cb11d2027f95b18694ad4e2262e46f6d
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 17 17:53:32 2011 -0500

    Add list of committers

commit f7277a7848fde98013c2e4e5467df02e83e69fcc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 23:36:29 2011 +0100

    MKV: avoid a crash in msg_Dbg
    
    Reported by alienBob on IRC

commit 2c2eef52969fa6c2e5cb21dcd59a75e5042a818f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 23:15:56 2011 +0100

    Qt: correctly display the right treeView columns
    
    Close #2082

commit cd62d6f2bcb502b7755b5a1f63164d0506636671
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 22:22:56 2011 +0100

    Qt: fix toolbars customization
    
    Close #5547
    This must be a side-effect of the playlist settings

commit d3f5170f572a676ff42134670d7e1ee1a23e66b0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 20:16:03 2011 +0100

    Contribs: update PNG from 1.4.8 to 1.5.6

commit 02f4690929f72d3ff844ec0387b1e4e5de3983e0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 20:08:24 2011 +0100

    Contribs: update freetype to 2.4.8 (CVE-2011-3439)

commit 06c58b54aa5de6a6493007063f1e77e9e92c3930
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 20:05:06 2011 +0100

    Contribs: update libdvdcss to 1.2.11

commit 511e98892ae23ef20efd790ed36009cd3e6c6c92
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 20:04:32 2011 +0100

    Contribs: update LAME

commit 2bd534c96de40f7c4be90ebbb8bb170c206e60a7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 18:37:27 2011 +0100

    Contribs: mpc, use r475 (advised release)

commit 476935e1d438241a86555f19ef970802f948c0b4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 18:04:16 2011 +0100

    Dash: C++ sanitization

commit fecd538c61c781eb5439cb5f5e420891f4b6f8e2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 17:01:13 2011 +0100

    DASH: better debug messages

commit f45bf0377f5598dd4cdd16d30a4b88c37307c95e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 16:34:57 2011 +0100

    Dash: Simplify Dash detection
    
    It should be faster and matches better the other stream filters

commit e202b76c0e7c7417000c8e5489ab576e8e5acd48
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 16:34:44 2011 +0100

    Kill a warning

commit 858cbefa36274fec93637f53dc33ba025abbd25b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 16:11:00 2011 +0100

    Dash: static-ify isDash

commit b698c1c3de9cb572d96cd9c820ce631a29ca1098
Author: Naohiro KORIYAMA <nkoriyama@gmail.com>
Date:   Thu Nov 3 05:17:30 2011 +0900

    Freetype: Scan fonts from not only /System/Library/Fonts but also other system-wide directories on OS X
    
    Close #5491
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 46be98404f1f7b6a9c2a2d6b5bfa2c29ca4e1699
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 02:51:51 2011 +0100

    Qt: consistency on QSettings value for OpenDialog

commit 78df4901e408e858934165bb7a184ae8d5278549
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 02:29:45 2011 +0100

    Qt: update outdated comment

commit cb41e1e0c305dc7c770af87b266779b427d0f5d9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 02:25:15 2011 +0100

    Qt: do not show open options in both normal and advanced UI
    
    Close #2908

commit 349f96db5e52da900edabf1c43ae9fec7846393a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 01:30:32 2011 +0100

    Qt: apply search on latest Inserted Item
    
    Closes #4998

commit 98b991662f8935f2c952895581d84d082aa15557
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 01:25:57 2011 +0100

    Qt: cosmetics

commit 5220095263b4fa978b551b2185dd01f2facdbeac
Author: Can Wu <wu.canus@gmail.com>
Date:   Wed Nov 16 23:13:03 2011 +0800

    TS demux: handle es stream type 0x42, which is CAVS
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 756eb4fe379e8fdef27961af5b90ae217e993d98
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 17 00:21:33 2011 +0100

    Qt: simplify too complex UI for keys
    
    Noone understood this UI, but me...

commit ae8b4b8188bff1e249f1fa6ab3ac41afb4420413
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 16 22:43:58 2011 +0100

    Qt: preferences, fix conflict detection.
    
    Should close #3823 and #5052

commit b009862bea66be3bf9d4dcdb0c4a160e514dbca4
Author: Can Wu <wu.canus@gmail.com>
Date:   Wed Nov 16 09:25:36 2011 +0800

    introduce VLC_CLIP() macro to replace use pair of __MAX() and __MIN()
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 5b3e912db1aa25ec9a7e66947d9c8a8cea694b5c
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 16 12:15:49 2011 -0500

    win32 crash report: simplify crashdump_path usage
    
    no need for dynamic buffers or calculation, it won't change while running
    calculate it at start of program and make it const to ensure no threads will modify it
    remove one level of indent in check_crashdump()

commit 702e840979b21dbbc887d65ac496a462fe3b929a
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 16 12:01:23 2011 -0500

    contrib: gcrypt: disable asm completely on win64

commit 036d2ec05930e9a060b66ca97c2034e8b3799e71
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 16 17:59:25 2011 +0100

    WinVLC: upload the crashes to the right location

commit 7d5b8e7ca556711e7b94b3677dc3937dba7567fe
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 16 10:53:56 2011 -0500

    Revert "win32: remove 2 levels of directories from sdk headers"
    
    This reverts commit 3c365338c898f0f936a433c97b257e0803d95bb0.
    
    We want to keep the same structure than on Linux
    Also the .pc files use this structure

commit 7ddddde08409ab906cdbca7efe53e47e0a9acd90
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 16 10:39:44 2011 -0500

    UAC.dll : replace binary with version built from our source
    
    I built it using make CXX=i686-w64-mingw32-g++ STRIP=i686-w64-mingw32-strip

commit d1638d66b15e8f1363fd8e17c7e2c30fd44ed539
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 16 10:35:32 2011 -0500

    include UAC plugin source code for version 0.0.11.d
    
    modifications by me:
    - lower case filenames and includes
    - Makefile usable with mingw-w64
    - fix compilation with mingw-w64

commit 7262d1c9dca911f61435783ce8a408849eab2e71
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 16 09:48:03 2011 -0500

    Closes: #5544
    
    Typo introduced in 8dd09b2 while I was wondering why vlckit is in vlc.git

commit 527e3c4191b1cf4d5bedfc66377070c0711ebe16
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 15 23:14:29 2011 -0500

    Revert hunk of [8dd09b216224ebe] which broke wince

commit ae8706a759c622f254b80915d67490a5808cbb3b
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 15 20:32:21 2011 -0500

    win64: read/write x64 registry, not the x86 one
    
    InstallDirRegKey is not affected so we have to emulate it
    
    plugins are now registered correctly, and both 32-bits and 64-bits
    versions can be installed side-by-side without the installers screaming
    However there is an obvious conflict in the menu, desktop icon, and
    file / actions / context menu associations.
    
    In my testing the 32-bits version was selected as default, and it was
    also the last one installed.

commit ff9ad139303546fb275ccaf138967d1e223db79e
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 15 19:11:21 2011 -0500

    use mkdir -p

commit 3c365338c898f0f936a433c97b257e0803d95bb0
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 15 17:56:58 2011 -0500

    win32: remove 2 levels of directories from sdk headers

commit 2f5bab15de074af41975a451a6c75ecb0a5e15b5
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 15 16:32:28 2011 -0500

    README: update
    
    - fix hacker's guide URL
    - Merge "Files" and "Folders", rename as it's confusing when finding this file in a binary distribution
    - Update description of folders

commit 0952836a4bc124cfafc06cacdaa068771c1747d4
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 15 16:19:25 2011 -0500

    fix zsh completion

commit bf64888f7c34aa7405241d95a045175f52c75e65
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 15 16:13:42 2011 -0500

    Fix old comment

commit efd58cb463c70b42d8a58011c452c7d763ea6ab8
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 15 15:41:40 2011 -0500

    spelling

commit ca68f7e83896bcc0f13dcd1a91038e79b740a6be
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 15 12:43:27 2011 -0500

    win32: (un)install sdk folder

commit 239a13b88f8145b0d89d6a9b34a764a6581f8496
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 15 16:29:43 2011 +0100

    Contrib: detect zcat vs gzcat

commit 59b38619a3a28925e95c11de8ab1b453eb2bfb65
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 15 10:45:18 2011 -0500

    contrib: SDL_image: add missing dependencies to .pc file

commit 0d23c1c8727a0592d1220733b69ffa06525f7356
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 15 15:09:24 2011 +0100

    Contribs: fix cmake for OSX

commit 8dd09b216224ebe44f1b43db217b2fdc34ace381
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 15 10:15:50 2011 -0500

    cleanup packaging rules
    
    add phony targets
    do not clean files/directories automatically
    remove useless comments/messages
    use a timestamp to not run make install each time a win32 package is created

commit 66971620cd34f74e0b8966291764fca1dde665a0
Author: KO Myung-Hun <komh@chollian.net>
Date:   Sun Nov 13 21:23:11 2011 +0900

    Add 'vout window hwnd' support for OS/2
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 714ba1f156ec4bf1e69ae668f5c9d8447716c169
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 15 00:00:11 2011 -0500

    Fix uninhibiting gnome power manager
    
    LP#888002

commit 39b9b36381a495f374f880e37f899e59f453b9d4
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 14 23:25:45 2011 -0500

    extras/tools: check if autotools are recent enough

commit 98f09b5dd844b2126723d6cf0b6f0918444fad1f
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 14 20:22:21 2011 -0500

    winvlc: include address space layout in crash reports
    
    Will help to 'undo' ASLR and make those reports useful

commit 1cbf94aef5c77f9567ea248e9b40c6b02d317d1e
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 14 19:10:59 2011 -0500

    build tools: add reminder for version check

commit 56d9c89cd48d4011760f01e023eb5fbaf68c28f7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 14 23:59:13 2011 +0100

    Add .mp2 and .mp1 fourcc for mpeg audio in .iso playback
    
    Same for sac3 Qclq and sqcp
    
    http://forum.inmatrix.com/index.php?showtopic=6891 sac3
    http://forum.videolan.org/viewtopic.php?f=7&t=80308 Qclq
    http://discussions.apple.com/thread/750107?threadID=750107 sqcp

commit 35d7ee99308588f50ce3ab952e9ed14d6d12e4e6
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 14 15:22:48 2011 -0500

    ffmpeg: add ffmpeg-codec and sout-ffmpeg-codec
    
    This allows specifying the libavcodec decoder/encoder by name
    Useful in case there are more than one codec per fourcc
    
    Example: ffvp8 / libvpx decoders for VP8

commit 344bc8992e4db328f158560085346cfa08cbf3b0
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 14 12:50:36 2011 -0500

    contrib: live555: update version

commit 153e6c47cc92db78e93943d8b26b784029aa87d5
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 14 12:37:19 2011 -0500

    contrib: live555: update patch

commit 6a20b9968abde4f828c4c6cea51e8b7601f98fa5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 18:34:04 2011 +0200

    configure: check that live555 has our patches applied

commit 32653c834194f78086e781bc336ab8c0e35c8c63
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 18:05:51 2011 +0200

    configure: cache live555 version check

commit 0f00db90f4ef1f56c000b9d239722fcd38a347a7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 17:52:16 2011 +0200

    configure: drop --with-live555-tree and balance AC_LANG_PUSH/POP
    
    The VLC contrib patches for live555 are mandatory otherwise it will
    not work correctly. Thus, linking directly from the live555 source tree
    is not something that should be encouraged or even supported.
    
    live555 should either be installed or built from contrib instead.

commit ed98cfc61a0b0e2eacf212c0fee2cee516e8175a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 17:41:16 2011 +0200

    configure: live555 needs CXX check regardless of --with-live555-tree

commit e78431d902ce5f6754a471b84043d2e7b89ef55c
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 14 11:00:22 2011 -0500

    contrib: update vpx to 0.9.7-p1 Cayuga

commit ad077881ad4523bd2cafc9ec8efd800745bd5053
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 14 02:39:08 2011 -0500

    wince packaging fixes (skip .lib generation)
    
    DLLs are named after their version (libvlc-5.dll) on wince

commit 3edd1660e8539de8fbdf9db5ffdc0c7127053a1a
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 14 01:28:48 2011 -0500

    wince: fix npapi rule

commit 3f576cd9ec040e1b73ed3569139071666e6b5ff9
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 14 01:26:49 2011 -0500

    fix a few windows warnings (cast to void** aka LPVOID*)

commit 1fa83e0d821e77e12ee9d8630843b14a49e0d3f8
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 14 01:03:37 2011 -0500

    win64: disable realvideo decoder
    
    no sign of availability of real video DLLs for x86_64

commit 715c7fd42a4c2c3f7eef7ace85a908a933c18880
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 14 00:59:19 2011 -0500

    use tab in Makefile

commit 5b65f2b957a2443344b452a8a84d0f2f12d70386
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 14 00:57:09 2011 -0500

    fix pointer sign warning

commit a2f42a53bf214284c51e760a99d0e14c9bbdeb69
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 14 00:21:36 2011 -0500

    win32 packaging: point correctly to gecko headers from extras/contrib

commit e75d1bc06fd708648930eecb9e065d70e9858f4b
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 13 22:23:29 2011 -0500

    win64: vlc_GetCPUCount: fix GetProcessAffinityMask arguments type

commit a7172a8f1f79499e4a1c8c88bd2927bd32085f6a
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 13 22:13:38 2011 -0500

    win64: report crashes

commit 17b577777c118eb8a2d96d6affc3ed4c37106225
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 13 17:40:21 2011 -0500

    ncurses: fix mutex locking order

commit 4afbc70ab848078c18fff9340e544e5838fadc68
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 13 17:25:22 2011 -0500

    fix unused variable warning

commit f10c673298c5f8430b6327e78299e58d13a60276
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 13 17:23:15 2011 -0500

    avformat demux: fix h264 packetizing

commit 0cef084bdfb2acca795e72f2cd9ade638fa07e52
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 13 16:06:50 2011 -0500

    directory access: avoid useless strdup

commit 8579634b86f463528b618e447d02acbba35789a3
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 12 21:06:41 2011 -0500

    use MOZILLA_CFLAGS

commit 19f50e151efdeebea9d4ef3e1223c6f125aad6ba
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 12 21:03:31 2011 -0500

    don't use --with-mozilla-sdk-path

commit f305b4f1a3072bc54dbcbc15c96693ccdad0690e
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 12 16:51:42 2011 -0500

    Distribute compiler DLLs when needed

commit e9c1058b229b7bff72dd38a06ed004b809180d42
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 12 16:48:42 2011 -0500

    only wince does not need npapi

commit 88118cb59437f64a30e9f40693f0f034a6fdd6ba
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 11 17:09:27 2011 +0200

    Cover clobber list and compiler flags when checking x86 inline assembly

commit 91c2e63a0c84560a7faac1785602707f0f73a405
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 12 18:42:13 2011 +0100

    macosx: handle the space key correctly for play/pause toggling
    
    fixes #5508

commit 0c1f7a6782d1c0543c00830b53a5e4ee754d11f9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 12 18:27:53 2011 +0100

    Revert "macosx: remove callbacks in VLCMain correctly. Fixes #5427"
    
    This reverts commit f2dfc28e8b194b4f5b142cc8bfdd432ec4b1bb8f.

commit 2961176db5aa306cb2ec925583be2dbeb95c74d9
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 12 02:18:16 2011 -0500

    dlltool: associate lib file to dll

commit 826d193f25c365dcaffb53fcd229a9c1eb6523c5
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 11 22:41:32 2011 -0500

    contrib: vpx: update win64 patch (pushed upstream already)
    
    Generates correct assembly and fix vp8 crash

commit bcfe549ef0a303c3e24b4099e69bc1815a5e0aaf
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 11 16:11:31 2011 -0500

    Build and package libvlc(core).lib

commit cded90e4978249ac779b87d5ba8c629670f7c4b0
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 11 14:54:11 2011 -0500

    ignore vlc.exe

commit 63d88de230b60fa296fc8b8d9474fa57ca75069d
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 11 14:52:06 2011 -0500

    contrib: qt4: fix build in 32-bit chroot with 64-bit kernel

commit 673d65624392724baaac130601a64bd624a6738f
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 11 14:40:21 2011 -0500

    Fix #5706
    
    Properly take the recursive event_sending_lock when looking for listener to
    send the event.
    Ensure that there will be no event dispatch after vlc_event_detach().
    
    Also, fix a bug in libvlc_event where removing an event handler from an event
    callback would lead to a crash.

commit d771dd566984208355d65f49e858d8608b7c895e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 11 18:11:08 2011 +0200

    configure: do not print incomplete and thus confusing plugins list

commit fd2d2437e9d2e6443adc6e5434ba442ba1ff6e9e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 11 18:05:54 2011 +0200

    Rework OpenGL detection
    
     * Comment out checks for GL ES, as the plugins are not working.
     * Check libGL only once.
     * Disable EGL by default as it is incomplete and does not correctly
       check for version (1.4 or later is assumed).
     * Only the generic OpenGL output if EGL is available, as there are
       currently no other OpenGL provider plugins.

commit bba88abc2c53ecae8e7d56b87c1515d3ae899666
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 11 17:09:27 2011 +0200

    Revert "gradfun: define the clobber list"
    
    This reverts commit 07df00dc7275687577038e84cb42d31f1df4567e.

commit e4a69b3a859c9ff4c5256d05b31d642530b76bf1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 11 17:08:27 2011 +0200

    Revert "grain: fix clobber list"
    
    This broke compilation.
    
    This reverts commit 5b859717c106c37c5f4ce91420be25ad5865a35c.

commit ca49a46e0634cc66d755da3dce5a2d31a31a0bcc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 11 17:05:15 2011 +0200

    Revert "Add the clobber register list to inline assembly."
    
    This reverts commit 23e0cb9f280d74e5155277eb77ab57a30573a11a.

commit 5b56e1c5719e2920e1e16d17236bb8b540981e7b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 11 16:03:10 2011 +0100

    fbosd: fix potential buffer over-read

commit eb0389d34d8d56e40ba351e34000aaf71cc8ec1e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 11 15:56:07 2011 +0100

    freetype: fix a typo

commit fb74afaa490edfd3f07d423f5a41c413b75fdefa
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 11 15:52:41 2011 +0100

    decoder: fix warning

commit 8eb5947dec59cfae792f8c73d80b97489fed6692
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 11 15:43:24 2011 +0100

    vlc_mouse: Fix typo

commit 5b859717c106c37c5f4ce91420be25ad5865a35c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 11 15:39:29 2011 +0100

    grain: fix clobber list

commit 07df00dc7275687577038e84cb42d31f1df4567e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 11 15:28:56 2011 +0100

    gradfun: define the clobber list

commit d07facd4aff48f097537154327233b6d5ce23bbe
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Oct 11 16:20:54 2011 +0200

    vdr: check array index before using it.

commit 23e0cb9f280d74e5155277eb77ab57a30573a11a
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Oct 1 20:05:26 2011 +0200

    Add the clobber register list to inline assembly.

commit f6a21a8d352be77c4626cb94f0a2c44538e8a333
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 11 02:52:34 2011 -0500

    Fix wglew.h detection with mingw32

commit 5de6dc1d33d468016a1c3b758a6671fd57326930
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 11 01:03:38 2011 -0500

    Distribute peflags.pl and win32 configure scripts

commit c3e44598ea6092a7c766e127eb4d0c8c105c59d7
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 11 00:58:25 2011 -0500

    vlc.win32.nsi: remove obsolete stuff

commit 2e39f001f44a058901887720acf51302e37166da
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 11 00:50:36 2011 -0500

    Makefile.am: remove old useless MacOSX rules

commit 5dfa2b94f639524e2c67c554b88189ea9220c44e
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 10 21:35:21 2011 -0500

    contrib: qt4: fix header install

commit ce54c03b69d1add3ae8cce1121be8406bfc28a9e
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 10 20:43:03 2011 -0500

    contrib: qt4: Reduce win32 binsize
    
    Some config options do not apply to win32 builds (e.g. QT_NO_ICONV)

commit 04974d8f9efbb07d4a11f3aa659daf8cb958960c
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 10 20:15:33 2011 -0500

    contrib: qt4: fix jpeg enabling

commit 0721eeb9e2553f3da5415a0c331bcbc0adacc870
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 10 18:12:58 2011 -0500

    contrib: qt4: factorize header install

commit 3323b27cf697653a5022066c640a43bfd577c383
Author: Eren Inan Canpolat <eren.canpolat@gmail.com>
Date:   Thu Nov 10 22:43:32 2011 +0100

    Fix typo in http interface
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 27be9b0b51e2143a4868fd06e9554f45febe2c72
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 10 17:46:14 2011 -0500

    contrib: qt4: only disable cde, motif, plastique and cleanlooks style
    
    This keeps windows and mac styles (for mac builds)

commit 1be6b7486b865e40f5ab629928e0d90721f6ad38
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 10 17:39:48 2011 -0500

    contrib: qt4: don't build styles we don't want

commit d5f05e77999f3da201bb441010393bc99b1c0f99
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 10 21:39:34 2011 +0100

    macosx: fixed crash on Leopard

commit feeb0ed824c9740b9262bc7a401dc7898f9d361c
Author: KO Myung-Hun <komh@chollian.net>
Date:   Sun Nov 6 18:58:28 2011 +0900

    Implement vlc_poll() on OS/2
    
    Modified-and...
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit f0c0c665120c21e44c0ac52919f17ac4ca9a2791
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 10 20:57:53 2011 +0100

    Fr: mistake in translation

commit f0a4865fdd2025c3a1829d5e460d024c6cb442a4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 10 21:02:38 2011 +0200

    PulseAudio news

commit 3028647650e9b9541af4ebeaf11e04a2172cafc6
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 10 12:38:14 2011 -0500

    skins2: use vlc_mkdir

commit 71e0080e74522c9d750c55e07040e715d2d6c95f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 10 18:58:13 2011 +0200

    DTV: poll signal strength and noise ratio every so often

commit e84ae528c532e1686925d34d9a1492fb30c0d324
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 10 01:34:50 2011 +0100

    Qt: re-probe the disc drives on each change of FocusPanel()

commit 16f0f6c6899500e31045345208696e228b629813
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 9 19:25:14 2011 -0500

    glwin32 needs wglew.h not glext.h

commit fecd2c3750d1c28790a3b0d9de410ced2f88bda4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 10 01:14:50 2011 +0100

    Qt: open BRD

commit 4a806883eb84489410cf9c8f7eb097829b6cff50
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 9 23:09:42 2011 +0100

    macosx: more 10.5 fixes. Additionally, converted all xibs files to version 7.10

commit 878ede11925b88848f6a129dddc357b7881d8bfa
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 9 23:02:12 2011 +0100

    macosx: restored compatibility with Xcode 3.1.x

commit 7fba4e1c87b7e39617ab07184f29a27b289eb748
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 9 22:39:54 2011 +0100

    Contribs: don't use pthread for Win32

commit f12f0adb095f5044b33f534bf29dffe7dbf1e71c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 9 22:21:13 2011 +0100

    Qt4: install QtXml and QtNetwork
    
    Will help package phonon bindings and doesn't cost much since it is
    already compiled.

commit 13a053552d78bc58b62b81674f83925455b4ae25
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 9 23:07:44 2011 +0200

    Fix liba52 detection

commit dddf64833bfc736a792931f85833c4a9c88046f8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 9 21:49:15 2011 +0100

    Contribs: projectM seems to need pthreads to build

commit 9301977a9cfec63063065e92fd3887ed0c8842f8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 9 21:36:07 2011 +0100

    COntribs: zvbi, simplify

commit 0a9ac0e152dfb4e657a886b5900d529de81ec22a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 9 20:35:33 2011 +0100

    Contribs: fix previous commit

commit 899766fb7b6297304687ebf74bbab78477436ce6
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 9 14:30:29 2011 -0500

    stricter regexp

commit 66170b6f6bcc5853c76e60bcc5d416bbc559e3e1
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 9 14:25:40 2011 -0500

    contrib: fix zvbi .pc
    
    don't use absolute path to library because it pkg-config reorders it

commit 6eedfacdb2481a6e1737c7cd2ba41287c99aa974
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 9 13:51:34 2011 -0500

    win64: enable projectM

commit 2cb0aba4b1c66644d2b4b58734863b191fcd771b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 9 19:48:26 2011 +0100

    Contribs: glew, work-around buggy Makefile for MingW

commit a0a8bc9c689cde53a375ef726a314a8097173378
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Nov 9 20:42:54 2011 +0200

    configure.ac: fix typo

commit 0c1e325d76d109ac8b32e69964360696eb00a7af
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 9 13:34:32 2011 -0500

    contrib: qt4: native qt4 builds might just work
    
    good luck anyway for people doing that

commit 880be94928cdf6722685024d911494675dedbf73
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 9 13:34:10 2011 -0500

    contrib: update TODO, only OSX is left behind now

commit f4880f039bf3df7a26ee45176744b8b8689b9202
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 9 13:33:49 2011 -0500

    qt4: build/install rcc/moc/uic for both native and cross builds

commit 7a6e884fa6d0aec0b4c673f3a785fff8ea7d12e1
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 9 12:15:00 2011 -0500

    contrib: qt4: simplify cross compile

commit 998afc0b5e28387f047422a34c3dd1c1125e37ee
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 9 12:06:42 2011 -0500

    qt4: hide SQL media library when not compiled in

commit e19d5f53814907296fc60fd9a0f89ef6bf313499
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 9 09:51:13 2011 -0500

    blurayOpen(): factorize error case

commit a16e34d7e89dd396a8f0681b0752290a3ee051f6
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 8 20:59:45 2011 -0500

    contrib: qt4: use proper cross compile

commit e8d7f910dc8a52a258dfa46f9ef9ecaf995bb650
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 8 20:19:04 2011 -0500

    with-peflags was removed

commit 721fdef31ba1089d0b639a832b16144d56e80fb6
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 8 18:47:13 2011 -0500

    contrib: qt4: don't build phonon

commit 51fa8eeedfe5ff080dd59b3d7ca4a04f99892366
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 9 00:44:57 2011 +0100

    x264: do not make it harder for translators

commit 1c9b7a939cab06dc5c0b8cbaa1c04df1dcfca05a
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Tue Nov 8 22:54:16 2011 +0000

    Add Telugu l10n to .desktop
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 157c841f96ff6164a0c10fdf96aed6d1b7fd19e8
Author: Christophe Mutricy <xtophe@chewa.net>
Date:   Tue Nov 8 23:28:59 2011 +0000

    Sync .po for 1.2.0-pre1

commit 99da2e6b918bb26faab48a6d1d0de42fe962a251
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Tue Nov 8 23:25:13 2011 +0000

    l10n: Initial Telugu translation
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 5f4489d71c447b16befdfe28ec42342b2635b217
Author: Fumio Nakayama <fumio.n6a@gmail.com>
Date:   Tue Nov 8 23:23:59 2011 +0000

    l10n: Japanese update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 59f402c0ecc96fde7174fc512645c6476d60a65c
Author: Éric Lassauge <lassauge@users.sf.net>
Date:   Tue Nov 8 23:21:14 2011 +0000

    l10n: French update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit b80c308d78a72945ef2901316bcb411fd7c1032d
Author: Xabier Aramendi <azpidatziak@gmail.com>
Date:   Tue Nov 8 23:16:18 2011 +0000

    l10n: Basque update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit befca05fe0e2daa5c88227a24c1ed88fee5719da
Author: Mihkel Kirjutas <turakas@gmail.com>
Date:   Tue Nov 8 23:15:34 2011 +0000

    l10n: Estonian update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit a2b4a001dbe8ffd7127ead3d52d1a67d9e5e142d
Author: Ivo Ivanov <bestran@mail.bg>
Date:   Tue Nov 8 23:14:55 2011 +0000

    l10n: Bulgarian update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 392b5eb93f75f2611c07fa6a6a8854c74fb563f0
Author: Fumio Nakayama <fumio.n6a@gmail.com>
Date:   Tue Nov 8 23:11:18 2011 +0000

    l10n: Japanese NSIS update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 2017cc9ea8434a3150c856eb540d1973fad3ec5c
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Mon Nov 7 23:57:19 2011 +0000

    l10n: Hebrew translation of .desktop
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 26807b49dfcb2ca35bbb81c228b7ec9dc672a687
Author: Christophe Mutricy <xtophe@chewa.net>
Date:   Tue Nov 8 23:27:37 2011 +0000

    l10n: Update vlc.pot for VLC 1.2.0-pre1

commit a145f4a8c25a770f069ab48e939e403a25c56d25
Author: Mihkel Kirjutas <turakas@gmail.com>
Date:   Mon Nov 7 23:54:17 2011 +0000

    Fix typo in estonian l10n
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit cce39058fc612fec21156579dca80eee04b72c4c
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 8 13:08:15 2011 -0500

    contrib: qt4 can only be cross compiled atm

commit 8505f9891c2e4fffa4d2a25aa69c1d47bc0e7bd4
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 8 12:57:40 2011 -0500

    contrib: qt4: win32 rules
    
    doesn't seem to build with mingw32

commit 4b4963f3133bd45f0051ec3db15f7fd8239a4d86
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 8 12:51:11 2011 -0500

    peflags.py -> peflags.pl

commit 1476c5eed1366cec0453b2bb2a3e7b8c60b1a0d7
Author: Sébastien Escudier <sebastien-devel@celeos.eu>
Date:   Mon Nov 7 15:32:16 2011 +0100

    fix win32 threadvar linked list

commit d7f643847b2b6b5d1b5d162316d580a8bfc11f83
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 8 01:38:58 2011 -0500

    typo

commit 68ca19470221c8561fdf3de015c857c667c39426
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 8 01:26:12 2011 -0500

    contrib: add qt4
    
    win64 only for now, win32 support shouldn't be hard to add

commit 7de8efc5f38cdc70095aba8f450b84969056bbf5
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 8 00:36:39 2011 -0500

    extras/tools: add yasm

commit 314157beb391d46535a272f5ee8a4504f2975758
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 7 23:41:03 2011 -0500

    contrib: remove yasm deps
    
    build tools will be handled by extras/tools

commit 7f2a7295080e823f220d2ff1cae82ccf31dd7d43
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 7 23:34:24 2011 -0500

    extra/tools: add GNU tar (with J = xz support)

commit fdeff10074c41691f62f01cd3d5233e1883f33ce
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 7 23:33:17 2011 -0500

    shell typo

commit c4f54ba8d2afbd627a986a5ce8785ce635ba3a6d
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 7 21:08:27 2011 -0500

    sout_std: try to guess muxer if opening failed
    
    do it not only if muxer was not precised

commit 1575796ce7f14190594b9d14e27c88ae130cf8b5
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Mon Oct 31 02:17:17 2011 +0100

    input: fix a crash when loading an invalid mrl
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 307831c36a4a8b25a5a6e112f2514fb35868342a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 8 02:39:49 2011 +0100

    Update NEWS about activex

commit 2e7c3714ef3990026d93298950113df799ec8d73
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 7 20:21:31 2011 -0500

    win packaging: disable activex on win64

commit 257601a15264578ca6f6402f783ae6ef647ac6fb
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 7 20:18:00 2011 -0500

    activex.am: remove

commit d1873b6fd550a4e706900c8bb80d70264028f42b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 8 01:39:18 2011 +0100

    Use ActiveX from the npapi repo

commit df287db5af3e35093216e504ee2fda150e43904f
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 7 16:37:14 2011 -0500

    win64: really package npapi plugin

commit 43229fa88228fdeeebb1262d9cddbee090e53229
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 7 16:32:00 2011 -0500

    contrib: ncurses: enable only for osx

commit 1c173782961ca33e5547aac6cd7a4f0f11aa4aab
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 7 16:18:48 2011 -0500

    peflags: rewrite needed features in python
    
    remove conditional from configure.ac

commit 0fc21febc72045e3b90af1476be6284fdbb6ef45
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 7 10:57:33 2011 -0500

    win64: package npapi plugin

commit af882308eefd7754e2e23cb6b396eb75efefdbec
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 7 09:20:58 2011 -0500

    contrib: portaudio: enable only on win32

commit f318cb5b70a5ec9b6e4e4e0e3d9477ab273e736f
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 7 09:18:21 2011 -0500

    contrib: disable sqlite

commit b5470a94cbe58456613d3a04afbffcb9cd227c47
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 7 00:24:30 2011 -0500

    contrib: add TODO list (remaining stuff to be ported from extras/contrib)

commit 07bf0ae8afc9d12ce45aba5e591952cc79d3b556
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 7 00:13:11 2011 -0500

    contrib: add ncurses

commit 19ba1d24d2bc393a7d0349fc090a6a7d4af0220f
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 6 23:53:22 2011 -0500

    contrib: add gecko headers

commit 1124b708e8b167c732bc0560ecb9303ed8c96a75
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 6 23:36:38 2011 -0500

    contrib: add portaudio

commit 2e0827b53473b979bc357c4e53ce0f7528a871e9
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 6 23:17:08 2011 -0500

    contrib: libmpeg2: apply patches

commit 613a5a0063642b30bcecec4a59d6593f575bc718
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 6 23:15:38 2011 -0500

    contrib: add sqlite

commit 9a06f7b9a2a07c6d94661bf0f376819ee6ad0ead
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 6 22:38:40 2011 -0500

    contrib: upnp: enable, fix win32/64 build

commit 1ac73b1590c216c2377c5132760f285cd2cf7492
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 6 22:28:12 2011 -0500

    contrib: add libmpeg2

commit cfceecdd6262358b5ccf39425a038ca9224a17fe
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 6 21:47:47 2011 -0500

    contribs: gnutls: fix linking
    
    modules/misc/gnutls.c:789: undefined reference to `gnutls_certificate_set_x509_crl_file'

commit b10704cfa4e99e5770644ae2438d825bc37de40d
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 6 20:48:22 2011 -0500

    contribs: libvpx: fix win64 (use correct asm symbols)

commit 31e51ce2a7325c53714efa52af2a625541223550
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 6 20:25:55 2011 -0500

    contribs: projectM: fix win64 build

commit 74f9c9574ef9d58a3445c24f34fd84dc0c0b1dbb
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 6 19:47:55 2011 -0500

    contribs: taglib: remove obsolete cygwin patch

commit e429aabdce667f03367bc12bf9a4a0d2099bf18c
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 6 19:47:24 2011 -0500

    contribs: taglib: install libtag.pc unconditionally

commit 17d64234825a62974c99e8e43f32384771b3cbd7
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 6 18:15:50 2011 -0500

    contribs: ffmpeg, enable dxva2 on win64 (needs recent or fixed headers)

commit 6fdeb51c484e0ddb80d600977561c941f5a17020
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 6 18:00:48 2011 -0500

    contribs: fix dshow checksumming

commit 68e724115d2fdbe82d81eb85d68f2732457d6b36
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 6 17:13:54 2011 -0500

    win64/ffmpeg: enable dxva2

commit 5543b6cce4ea199ef0d22f6d0b1a9f88388c066b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 6 14:47:11 2011 +0200

    contrib: Makefile syntax error

commit ade7f0e4fdb944ce0a3b144fa390cf1be525b350
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 6 11:34:33 2011 +0200

    contrib: fix zvbi compilation on Win32

commit 1683e21e3f22415bdcdeaa2c29345192cfade399
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 6 11:16:48 2011 +0200

    contrib: fix lame on Win32 with mingw-w64

commit dde3c27230cb444d07cc22f3c7835c6e5db88a9e
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 5 21:06:37 2011 -0400

    win64 packaging: fix comment
    
    It is not clear that static linking is superior in our case
    Shared linking could even reduce package size (only one copy of libstdc++ shipped)
    
    21:04 < jon_y> libtool prevents static linking if you are working with dlls, it is by
                   design

commit ebac954fe8d642adc49c4b237f3ef322b4eeb818
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 5 20:04:15 2011 -0400

    win64 packaging: distribute libstdc++-6.dll and libgcc_s_sjlj-1.dll

commit a90e83323d5dc51f7027dbb7c791521e961ff58c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 22:38:46 2011 +0200

    contrib: lame but better than nothing detection for gettext

commit f017c0b041416471587b2f5a9d25299d404a4254
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 22:23:53 2011 +0200

    contrib: zvbi depends on iconv

commit 87659fe631f28a3f43ef21f2a810b32b1c6339b4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 22:23:20 2011 +0200

    contrib: iconv is always needed by VLC, build it on Windows

commit ea84947e082bfcd051da3d72de7c5b410faa1f92
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 18:24:14 2011 +0200

    contrib: build cddb with WIN32_LEAN_AND_MEAN
    
    This works around a conflict with <winioctl.h>.

commit 29d3ded7194271882f212b83aac232baa15f2939
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 18:26:37 2011 +0200

    cddb: do not use alarm()
    
    It does not work on Windows, and is not thread-safe on Linux.

commit 1193208c49c16d1283093e0475e204b2e8008a5f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 18:19:06 2011 +0200

    contrib: disable projectM on non-Win32 until glew rules are fixed

commit e09f67a5b3b70542d9420257fc024590b0e50a2f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 18:02:46 2011 +0200

    glew: win32 patch is only for MingW

commit 406702d1355afcbae24cc82c025fd72363a11db0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 17:16:56 2011 +0200

    SDL: disable aseembler (broken) audio (unused) and other useless stuff

commit 7e8cd820e7765a0fa2c07ddb86a5e15dc810faeb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 16:50:55 2011 +0200

    Update tiff configure line

commit 5242d73b91487befb2a811c790d0eb7fb0c226b5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 14:40:34 2011 +0200

    v4l2: fix typo

commit 6e88d709bf79f1c04da39ca66c5df781fd2c84d5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 12:08:19 2011 +0200

    GL: mark the OpenGL (EGL) plugin experimental
    
    It is missing some features w.r.t. window management.

commit 8a43aa2fc23bed6dd5cc53556ea1366ce204f28e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 12:08:07 2011 +0200

    XCB/GLX: add OpenGL in the plugin name

commit eb00ecccf8e7f5fe950e563ee125d8903f98678d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 4 19:02:07 2011 +0200

    Remove revision.txt and revision.c on maintainerclean

commit 6af92f68167d947106ddd6cb90ec9f9234910339
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 4 17:54:43 2011 +0200

    RTP: print an explanatory error in case of dynamic payload format

commit 3c5962b1991a2c09ef9d0b74975275dbd1cf8955
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 4 17:44:16 2011 +0200

    RTP: cosmetic fixes

commit f380c1a0d162840fad2ce0f76d577b77533a45d7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 4 17:22:37 2011 +0200

    Fix punctuation ". (%m)" -> "(%m) ."

commit 506bb385a5bced95e041bdc613005c950df93904
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 4 02:30:52 2011 +0100

    Moving to 1.2.0-pre1

commit 4039ea6f1b2c7a1244e260749c16c65d5e4b800a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 4 02:00:54 2011 +0100

    Update NEWS

commit 7d1b317977ec6fe7641fe6f67637ab0caaa569aa
Author: Michael Feurstein <michael.feurstein@gmail.com>
Date:   Sun Oct 30 22:27:48 2011 +0100

    qtsound: updated news and list entry
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3ddb9e51a7d11a69849ff427d38642d4f7d24f5e
Author: Michael Feurstein <michael.feurstein@gmail.com>
Date:   Sun Oct 30 22:27:46 2011 +0100

    qtsound: added audio capture functionality for MAC OS X
    
    Tested with Built-in Input, Built-in Microphone and Griffin iMic USB system
    Usage: qtsound://"Built-In Input" or qtsound://"iMic USB audio system"
    
    Modified-by: Jean-Baptiste Kempf <jb@videolan.org>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4b4c3d608f0cd05b65536307f7bd29ceec8aad3f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 4 01:45:17 2011 +0100

    Contribs: update dvbpsi to 0.2.2
    
    A regression was there in 0.2.1

commit 575dd0f2460a6a2797628585f6c03f68a86adacd
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 3 23:21:10 2011 +0100

    Improved TS file detection.
    
    Closed #4373
    (The samples still doesn't work if ffmpeg-mt is enabled, but that's probably a
    ffmpeg/libav bug)

commit a99b30ada85962d9824628b932ca1984bf5bdad0
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 3 17:42:52 2011 -0400

    extras/tools: preliminary support for building missing dev tools
    
    Needed on platform with poor tools support (== OSX)
    TODO:
        find required versions for each tool and check if the system has them
        build GNU tar with xz support if xz was missing

commit 6385ae3c0692a9116c69c89ac426e7365d7a53e3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 3 20:39:07 2011 +0100

    Enabled HTTP seek support when Accept-Ranges is present and contains "bytes".

commit b7fa472646be6827643257209ccfab4102ae0190
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 3 20:28:51 2011 +0100

    Workaround for video size incompatible with the colorspace.
    
    Close #4206.

commit 9f5b54964c36cda46acc6b3a0f5596355f252cda
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 3 15:14:58 2011 -0400

    Don't error out if --disable-avcodec was specified but not --disable-libva

commit 6f2f2843bf82ef83ca2a597be8b57b4457be4989
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 3 21:21:01 2011 +0200

    Missing #include

commit ad2b31594906d4b2ac21d3ba0a000a19e94ebc20
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 3 20:53:59 2011 +0200

    BDA: work around unimplemented dvb_enum_systems()

commit 255985b382f8d23ddca51defa4fcdb1366b06a09
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 3 20:47:58 2011 +0200

    Install vlc_network.h and vlc_tls.h

commit ff96809b407550ba64b949b24c7c143ab72961ca
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 3 20:47:39 2011 +0200

    Make vlc_network.h installable

commit 5ceabdd8d3fa1c4641bb6d35a0f40d4cf4e5b650
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 3 20:11:08 2011 +0200

    Rewrite inet_pton() and inet_ntop() into compat
    
    This should correct error handling cases.

commit 1a357f6fd4b95fcaf6e3f4c2bfddfa321ba8012c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 3 19:43:41 2011 +0200

    configure: remove inet_aton() check
    
    This is not used anymore.

commit 56ee33a212e60fecf7b0e075b67618e3e4744df2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 3 19:41:56 2011 +0200

    HTTPd: remove never used channel & bidirectional modes
    
    This was meant for interleaving RTP.

commit 7834663b7d9cae22164b035b51a72603c425e4fe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 3 19:24:14 2011 +0200

    vlc_fopen: fix append mode
    
    In append mode, all write operations must occur at the end of the file.
    Nevertheless the initial read offset is the beginning of the file.

commit 19cc40ec00cf1cd82d7aefe33bca21d3ab3ca72f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 3 19:20:40 2011 +0200

    vlc_fopen: implement binary mode (useful on Windows)

commit c484413099d309030ef4eb7c870feb55f83b1104
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 3 10:30:36 2011 -0400

    contribs: fix lame build on win64
    
    mingw-w64 FORCEINLINE definition includes 'extern'

commit 295594f691159ac6fc47112c354d8f4ba9641a05
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 2 22:26:16 2011 -0400

    vlc-thumb: works also with gnome 3

commit 92691c21c7dc7d58b86e1514091b48aea532583e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 2 18:50:17 2011 +0100

    old contribs: compilation fixes and compiler experiment

commit 412774e9577174b4b975522dcbff8a6522cdecab
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 1 19:43:08 2011 +0100

    Freetype: account for more complex font names on Windows
    
    We have to count for "Bold", "Normal" and "Italic" ending in registry
    
    Close #4949

commit aa736eb3f82d8f9bf29d64987839957f73da5889
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 1 19:45:58 2011 +0200

    Disable buggy DASH plugin.
    
    Probing is buggy and slow (and it runs for every input item!).

commit bef61ae2b0a4813fcc36b7d04fe324721d42b081
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 1 19:39:51 2011 +0200

    DASH: allocate hot-path parser on the stack and cosmetics

commit 8fdf5c8af8693274c03f1453b6be14ce0d5d1237
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 1 19:17:24 2011 +0200

    XCB/XVideo: permute image format loops and rework format selection
    
     * fix memory leak of image attribute in case of error,
     * fix clobber of video format structure in case of error,
     * print unknown XVideo format error only once per adaptor
       (rather than once per VLC format per adaptor)

commit a8da2aa3dae00fceb255e4b1324c71932e5506b0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 1 17:51:12 2011 +0200

    DTV: remove misleading/outdated comment
    
    var_LocationParse() enforces change_safe().

commit db97e8e782300e1d5b8c8a02d137fc8c62fae040
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 1 17:48:44 2011 +0200

    Mark dvb-adapter as safe (fix #5503)
    
    Just about every other capture mechanism allows selecting the device
    from the MRL, so we might as well support it for DVB. The playlist will
    only work on a specific system, but it should still be safe.

commit c189fe691eca4ed79f20429b6ac8fb959c7e9c18
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 1 16:12:56 2011 +0100

    opengl: speed-up for Mac OS X
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit fd8168bd1b035bdb3c00c73727a5ec3171106173
Author: Denis Charmet <typx@dinauz.org>
Date:   Tue Nov 1 15:42:43 2011 +0100

    Fix a bug preventing files without segment duration
    
    And fix the crash of http://streams.videolan.org/issues/mkv/invalid_EBML_number_size_tag.mkv
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 16aec732663892527bc84f907d9b19fb784d9e1f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 1 14:34:24 2011 +0100

    Allowed to use mp2/mp3 to specify layer 2/3 for mpeg audio encoder.
    
    It might be better (dunno if it would be simpler) to have a way to
    specify some kind of profile.

commit 4ae75d4717c32de2f332993018b646daea85aa33
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 1 14:27:45 2011 +0100

    Wall: set the default center element to 16:9
    
    Since this is the default AR for Home Theaters Projectors

commit 0891ac62c94b90337fe437c8eada9f14e55c5e9b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 1 14:08:32 2011 +0100

    Freetype: fallback to arial.ttf on Win32
    
    When we haven't found the right font, use arial.ttf
    
    Close #4946

commit 4e27ee7bf9157bf744ba9949cfd1ac5b2efdfee2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 1 13:29:38 2011 +0100

    Freetype: correctly load fonts with complete path
    
    Close #5495

commit fdb50f7de1e9316ba7eceb7d3a14a2f7ca766be8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 1 11:01:23 2011 +0100

    FourCC update

commit b23902d9bb17c69277cf62f90b3365b1193313b1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 1 10:46:02 2011 +0100

    Contribs: update LAME to 3.99

commit c48875b31615603d9d2daaa1a1daf161a83e1f2a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 1 09:21:09 2011 +0100

    Twolame: fix copyright header, and remove unnecessary includes

commit a210fe16911bf66cb543a1afd928bea59c5aedce
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 1 09:11:38 2011 +0100

    Hotkeys: rename the text/longtext about mousewheel
    
    because x-axis was confusing to some users, notably with the "Magic
    mouse"

commit 9cd51319488d6a2054cfb3f81c6f0a1eebce18eb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 1 02:13:15 2011 +0100

    Qt, sprefs: correctly implement freetype configurations
    
    Close #5421

commit aa1d564909d15463bab3f737269633fb39820fab
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 31 22:21:23 2011 +0200

    XCB/XVideo: allow mixed endian format if 8 or 4 bits per component
    
    Mixed endianess is only an issue if the component values are not
    aligned inside octets. This fixes Debian #604687.

commit dbcc7fad003192d2b589a4b6f32ae285e0767923
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 31 22:21:14 2011 +0200

    XCB/XVideo: cosmetic

commit 2ee87126c258da4f56dd10f63224eaf0ca9379c5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 31 22:16:57 2011 +0200

    speex: fix occasional buffer overflow
    
    (VLC simply lost one sample - no memory errors.)

commit e9e13b75b645bf0cc6f414fb9b0b16d4c7d6a889
Author: KO Myung-Hun <komh@chollian.net>
Date:   Thu Oct 20 21:30:22 2011 +0900

    Add UI for KAI
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit d48571e966132f112fb4cbf485eeef54a33398d9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 31 19:55:28 2011 +0200

    Update module list

commit 26564eaa55b045f6b9d8072401db12419e5a7582
Author: KO Myung-Hun <komh@chollian.net>
Date:   Sat Oct 22 15:03:32 2011 +0900

    Add KAI audio output module for OS/2
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 1d623791abda965978efc061dd2aca2a7bd7be4e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 31 18:53:23 2011 +0100

    Android/Maemo: remove unneeded declaration
    
    That was conflicting with the one in vlc_network.h

commit f189f90f64398ff389a3866a683770503dbd515d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 31 18:43:49 2011 +0100

    Qt: use %tmp%/$TMP folder for updates
    
    Instead of asking the user for where to place it...
    I think %tmp% should always be writtable.

commit 8853c7521d3c7e2ebe762a5024fae0edea937f46
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 31 18:55:46 2011 +0200

    v4l2: fix step-wise and continuous frame sizes enumeration
    
    Width and height are independent for step-wise frame sizes (yes,
    enumerating is slow). Continuous frame sizes are step-size with one
    pixel steps for both dimensions (yes, enumerationg is very slow).
    
    A few device drivers use either of those two types, though the discrete
    type is much more common.

commit b79c09ceb5d3f0117fd231b54a21fb06e255fd61
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 31 18:06:30 2011 +0200

    Assume OpenMAX IL is used (if it is compiled)

commit 336185ed987faf592a31fc9a86cf75f0c356cde3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 31 18:03:37 2011 +0200

    Remove unused Maemo5 old stuff

commit b875626ecee79ec7b9df02a65fec9bbdd18c3b97
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 31 11:36:11 2011 -0400

    Revert "win64: enable live again"
    
    This reverts commit e1b6bbb5bc38384378e8df208e50e3ae98ec6c96.

commit e1b6bbb5bc38384378e8df208e50e3ae98ec6c96
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 31 10:47:23 2011 -0400

    win64: enable live again

commit 3d813d0eaf4ffd86ec92396268491471edafb320
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 31 10:37:32 2011 -0400

    old contribs: update live patch
    
    patch in new contribs is different -> no update

commit dfd11aa01c2582855d04fb81b48ae765bcff722d
Author: Sebastien Zwickert <dilaroga@free.fr>
Date:   Sun Oct 30 02:10:46 2011 +0200

    macosx: fixes a memory leak.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6c3405e7274f9b9f5079d89d8a1f0c223c8b4bd5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 30 00:43:48 2011 +0200

    Qt, sprefs: use the Color Selector

commit 8dec35209f6c23c5b328a59b0b7810aab6340ab9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 30 00:27:03 2011 +0200

    Qt, sprefs: expose outline thickness

commit c35da63efe19a485945d8f793a5178b4a652e9fb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 30 00:08:39 2011 +0200

    Qt: implement the color selector button

commit b2202ed46c1dbc6ec564eaa927cbbb1b88b5ad27
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 30 00:34:12 2011 +0200

    Qt, prefs: correctly set the tooltip on Font Selector

commit 1cc30b4c317c5221594fcf621e9f65291816e294
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 30 00:39:01 2011 +0200

    Freetype: better shortext for Text Opacity

commit 2248e8678e484c085d75462c4d14466dfb9ed15d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 30 00:34:30 2011 +0200

    Freetype: use NULL instead of "" for empty longtext

commit c22b7e0ece66ea1d8a0df64076f783b765b4a371
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 30 00:17:29 2011 +0200

    Video Filter: use rgb to define colors

commit 5e56eb1ffb4fb8f86b0d5b7be32609d919f0ae90
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 29 19:19:15 2011 +0200

    Freetype: mark as _rgb the appropriate options

commit 20acb53f18eed70b981c63e0caea051b0c6fae7d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 29 19:02:34 2011 +0200

    Switcher: avoid use of unset variable

commit 69f5eeae3da75c81a7be56855e37d046aae5ea75
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 29 12:01:34 2011 +0200

    Win32: always use mingw's snprintf

commit 12dfb65e91cb460d1ac97dff6b5c0d2b1e431c51
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 29 11:48:06 2011 +0200

    ASF: help stupid compiler

commit f1ce311c46e577ec41fbaac8fd285fec6caa530f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 28 15:36:05 2011 +0200

    mp4: kill warning about sign

commit e480841ee66cd8ead0a8ab0cec53992b29f18f51
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 28 15:16:38 2011 +0200

    ASF: use proper ifdef for DEBUG

commit f1cb2188053eb019a11f55639c648d9a6ee0d10a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 28 15:13:51 2011 +0200

    Netsync: fix return type

commit 4cff240b24f80fd4e3ca38ceb1d37be8c445d99b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 28 15:04:34 2011 +0200

    STL: kill warning about sign comparison

commit 59dc68d51993687f68b6b2f4b8868d149e0cef4c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 28 15:04:10 2011 +0200

    Kate: unused arguments

commit b9296a1298d5be5f486f1ef78ba31d2bccb19c35
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 28 15:03:51 2011 +0200

    cvdsub: remove unused variable

commit 24c463913bbd35f849a6feacdca9f8ccdbe876f6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 28 14:02:51 2011 +0200

    Spatializer: kill warnings and improve locality

commit e26c3d8cd23b39a372aefe40eb976b3600df6f7c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 28 13:48:43 2011 +0200

    DVDread: comment out dead code

commit 16224f69252a4f0e0a30190a4e76cb2b4e840296
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 28 13:40:43 2011 +0200

    DV: check return of vlc_clone

commit 3da4a170af0c0f0c5c694228473e91464e741172
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 28 13:34:08 2011 +0200

    misc/picture.c: kill sign warnings

commit 6dbe300fb69b0f02bac22d278f41c257b55c5b8f
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 30 19:23:00 2011 -0400

    windows: use C++ prototype for REFIID / CoCreateInstance
    
    Fix build with mingw-w64

commit 2287e147f0447b483293e29f936c8f1657b33422
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 30 18:01:06 2011 -0400

    win64 old contribs: disable live for now, to not bother us

commit d980183c56ac1c36cb184c7d32cdc74a41eacbd9
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 30 17:51:11 2011 -0400

    win64: really get _mkdir definition

commit e59e805e0893d9c5726f58a1cfa7b701bdf6bca3
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Sat Oct 29 10:37:28 2011 +0200

    mux/asf.c: Workaround for playback of WMV in WMP12 and Silverlight.
    
    The maximum bitrate of the file is not allowed to become zero. If it
    is then playback in WMP12 and Silverlight does not work. The actual
    value for maximum bitrate does not really matter in these cases as
    long as it is not 0.

commit b0d9f43adb99c4018a876a9aaa62f1cdb983d992
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Sat Oct 29 10:14:28 2011 +0200

    mux/asf.c: typo

commit f2f5a1b707f28abf691fabb1e5c540b075209a15
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 28 23:40:25 2011 +0300

    Fix invalid use of the PulseAudio stream from the context callback
    
    Make sure the context callback is registered only after the stream
    is created, and unregistered before the stream is destroyed. This
    should fix a potential assertion failure when stopping audio.

commit 61cb650c1a47fb9c3cb7befaa5f93970d85871fa
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Oct 8 16:02:10 2011 +0200

    luahttp intf: Make use of gettext

commit fb3be334cd7b4ca3b504b41a2e65524f8465eed3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 28 21:39:17 2011 +0200

    web intf: prettify js code.
    
    And convert tabs to 4 spaces according to code guidelines.

commit 6b49065d2c4ba3375fd5c4962a097e592f9d859d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 27 00:07:47 2011 +0200

    Added 'pasp' atom support to mp4/mov demuxer.
    
    This atom can store an optionnal aspect ratio.

commit a2e0062688242c35828710a81dd6de8f8eb70108
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Oct 26 22:56:45 2011 +0200

    Fixed support of mov/mp4 with fixed video samples size.
    
    It fixes #3531 (DV inside mov)

commit 05a7af68c439d4b4f00cade40d366b6bcd71178f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 26 21:11:12 2011 +0300

    vasprintf: rewrite. va_copy() was missing.

commit f480cd0ddb5cb62091944bb5b305f391c5d35f5b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 26 18:58:42 2011 +0200

    Dash: major warnings cleanup
    
    All of them should be gone, except one.

commit 55f2b5d5d9a5b73db653981b2e4e1f8fc1b203ce
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 26 07:41:49 2011 +0200

    DASH: remove unnecessary includes and other trivial fixes

commit bab7fd937bc8ab816561a5fe6087790f180e1fc6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 26 07:33:55 2011 +0200

    Update NEWS, LIST and po for DASH

commit f3600cde89b93c2291b72d4b918589e72825dc94
Author: Christopher Mueller <christopher.mueller@itec.aau.at>
Date:   Thu Oct 6 19:36:57 2011 -0700

    Added DASH stream filter
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3d0a5eb47461fdb70d2770599ffac0fa1cd454b4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 26 06:54:43 2011 +0200

    Contribs: update freetype to 2.4.7 (CVE-2011-3256)

commit 00114ae28d377d4044e392948e7fd81c4d0bb89e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 24 03:07:54 2011 +0200

    Taglib: don't try to add empty meta in APE

commit 2a3be8975ca0a3a9b4cb772d7087a347553f0392
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 25 22:58:24 2011 +0200

    Deprecated native real demuxer in favor to avformat.

commit 22dc9766c517fe7e6a7806737cb8529ba42ef821
Author: Tobias Güntner <fatbull@web.de>
Date:   Fri Sep 9 16:19:09 2011 +0000

    Ignore invalid timestamps (PS demuxer)
    
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit f942343d3a8b13578c882c4d4c6a1e74adb19384
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 25 19:49:47 2011 +0300

    Improve x86 cpuid
    
    There is no need for hoops around EBX for non-PIC code.

commit 35a45488f5b609e928d9f79d0c9e488f75a65777
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 25 12:46:09 2011 -0400

    x86_64 cpuid: remove useless step (already done by '=b')

commit 5c13f219d0fc100b4a1c547ac6d8d29f30a95eaa
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 24 21:22:32 2011 +0200

    Do not require a recognized .extension for module tracker files when a robust enough marker is present.

commit 0367c0505945096a22c94b0f2dab4273288c406e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 24 21:02:37 2011 +0200

    Fix detection of the idx1 index offset for some AVI files.
    
    It fixes #5478.

commit 40f931378bd37ec7a0b07e9908fcb05fb8d8d745
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Oct 24 03:33:11 2011 +0200

    Revert "Use separate HTTPd host per protocol"
    
    This reverts commit f06b4d30510f4528dac682d9c02ab0238a0993ed.
    This way provides more use-cases that are more useful.
    
    Conflicts:
    
    	src/network/httpd.c

commit e20af8a81f5188342659557a4e962376faec82ff
Author: Christophe Mutricy <xtophe@chewa.net>
Date:   Sun Oct 23 22:07:06 2011 +0100

    NSIS: Activate Hebrew, Glician and Swedish translations

commit 730b32d8109144d765a17a45e174c8186e7743e3
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Oct 23 20:25:03 2011 +0100

    l10n: NSIS installer Swedish translation
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit b66ae455ac127a779633b199883883850081ad95
Author: Gonçalo Cordeiro <gzcordeiro@gmail.com>
Date:   Sun Oct 23 20:22:54 2011 +0100

    l10n: NSIS installer galician translation
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit b9796997b0a0cd94e4620f2085547c93d3f6fece
Author: Gonçalo Cordeiro <gzcordeiro@gmail.com>
Date:   Sun Oct 23 20:22:25 2011 +0100

    l10n: Galician update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 4a614737689d30558310e4099d5ef74af0c78af8
Author: A S Alam <apreet.alam@gmail.com>
Date:   Sun Oct 23 20:21:13 2011 +0100

    l10n: Punjabi update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit b663f4481b91cb87c5bbd55f9ce8348d2cf214bc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 23 12:03:24 2011 +0200

    V4L2: remove exposure control, this is for still cameras

commit 37575838f4457e9efdc6d48f80b695d6bd6b42a0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 23 10:42:01 2011 +0200

    V4L2: hack compatibility with kernel headers 2.6.32-2.6.34

commit ca53307db0a87c54b5364e021d0fa276e956c4b6
Author: KO Myung-Hun <komh@chollian.net>
Date:   Sat Oct 22 15:28:01 2011 +0900

    Fix the problem that mwait() and msleep() do not work in a main thread and an alien thread
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit a80eae667341871ca8b235f11f5ffaa3f40b5cfd
Author: Alexey Sokolov <alexey@alexeysokolov.co.cc>
Date:   Sat Oct 22 18:10:36 2011 +0700

    Fix LIBVLC_VERSION_INT macro.
    
    LIBVLC_VERSION_REVISION was ignored.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit a8e454035dbfc01f4607e69b6271fad25163f730
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 22 04:02:52 2011 +0200

    Contribs: add SRC

commit aa2b33928e9e0599a53033f60e95bf8dc5aadc59
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 22 02:07:41 2011 +0200

    Qt: sprefs, fix caching combobox behaviour

commit 9f13c667def4bf782944666f256a474cd719fafb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 22 01:56:29 2011 +0200

    Visualisation: use 16:10 vout by default
    
    Instead of 5:4

commit bc1445691f2737bc1541dd591f5b4e4dd8784013
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 22 01:48:28 2011 +0200

    Audiobar: fix copyright years and shortname

commit 7413c9f48265034773531111d2abec990f2431fa
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 21 20:57:58 2011 +0200

    web intf: mobile: no need for flowplayer include here

commit dee4c92582a61fa4afe215896786effce9757d76
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 21 20:58:44 2011 +0200

    web intf: mobile: delay loading of flowplayer

commit a8de45a9baf98a1c77d1518421da848448537344
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 21 20:39:15 2011 +0200

    web intf: fix uri decoding when browsing.
    
    And now make use of URI

commit 7e3268332bd1a976aa958e6bfb46116189b703e7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 21 20:36:28 2011 +0200

    web intf: fix css for mobile

commit e19f3ad959e8be9cc22757882f0890678b066e71
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 21 15:50:35 2011 +0200

    Fix compilation with FFmpeg

commit 8b69f37b61ff8a729ace73b2ee16fe29d877f7a6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 21 15:25:09 2011 +0200

    swscale/avcodec: Add I422 9-bit chroma pix_fmt

commit 639eca0ef43b79aba3deeaf2c414c3556c33c7aa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 20 19:27:07 2011 +0200

    Qt: rename playlist root* functions and getters for clarity

commit 139cf222f01e9d0f88d02d706618428b71147ba8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 20 19:17:23 2011 +0200

    Qt: rename a signal to be more self-documenting

commit 1dbb99880cc2666cefa9f4d44873018254f683b1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 20 19:10:40 2011 +0200

    Qt: reposition the separator in the playlist popup menu

commit 69863bd612acc31188fa55c713e0c9dc329eb909
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 20 19:07:41 2011 +0200

    Qt: remove the zoom slider and put it on the menu
    
    This isn't one of the most used function, so, it shouldn't be that
    visible in the interface.

commit 2f6eb75c0d317e521e201e3a61a0b0642ee9e552
Author: KO Myung-Hun <komh@chollian.net>
Date:   Thu Oct 20 21:30:23 2011 +0900

    Add vout window support for OS/2
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 2aea85fb4d4446da101216ad09b314e2da59a12c
Author: KO Myung-Hun <komh@chollian.net>
Date:   Thu Oct 20 21:30:11 2011 +0900

    Implement cdrom tools to access audio/video CD on OS/2
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit eb5b11677dad2c6a71901e5cc429d4104e25cb9d
Author: Denis Charmet <typx@dinauz.org>
Date:   Wed Oct 19 23:51:01 2011 +0200

    Matroska: Fix Seek with Cues
    
    It is now more precise.
    Should fix #3019 #3026 (same bug) and avoid case where vlc infinitely loops at some ordered chapter change.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 167e86b9399166a7f2be57cba6ec8e53386e4338
Author: Pavol Babincak <scroolik@gmail.com>
Date:   Wed Oct 19 22:45:39 2011 +0300

    Added URI scheme handlers: mms, rtmp, rtsp
    
    URI scheme handlers allows VLC to manifest ability to open these URIs.
    Practically it means that if user wants to open url like
    mms://example.com/ system may automatically choose VLC to open it.
    
    I haven't included http, ftp, etc. because they are better handled by
    web browsers than media player.
    
    More info about URI scheme handlers are here:
    http://standards.freedesktop.org/shared-mime-info-spec/shared-mime-info-spec-latest.html#id2869854
    
    Line with MimeType key is now longer than 998 characters (see RFC 2822).
    I haven't found a way of making it shorter. In case you didn't get whole
    line it ends with: x-content/audio-player;application/xspf+xml;
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 45334e6f79e64058ba3a294da4e035526ce95b6c
Author: Rémi Denis-Courmont <remi@remlab.net>
